#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x892a54db, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x3bcf4616, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x4eeb5ebc, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x39f8f725, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0xda9d1478, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x946cbd3a, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x13f5cf9e, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0x9252ab37, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0x5bbb65eb, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x93c92b0f, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x6ba3c363, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0xbd3e298b, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x6fe68d37, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x3c255617, "crypto_destroy_tfm" },
	{ 0xdcb764ad, "memset" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb64db72f, "crypto_alloc_skcipher" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x778cb1e2, "crypto_alloc_ahash" },
	{ 0x21d7fb3f, "crypto_alloc_aead" },
	{ 0x7ef5ad65, "crypto_skcipher_setkey" },
	{ 0x62106586, "crypto_spawn_tfm2" },
	{ 0xd34c0df4, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0xea20719c, "crypto_shash_setkey" },
	{ 0x7e7bcc0f, "crypto_clone_shash" },
	{ 0x973ecb0c, "crypto_aead_setauthsize" },
	{ 0x82692522, "crypto_aead_setkey" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x6d24b313, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x3cf84ecc, "crypto_grab_shash" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2c3e6e80, "shash_no_setkey" },
	{ 0xc264612a, "ahash_register_instance" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x6fe766d1, "crypto_enqueue_request" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5ec6734c, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x122c3a7e, "_printk" },
	{ 0x35b9ddc2, "crypto_register_template" },
	{ 0xc0590102, "crypto_grab_aead" },
	{ 0x5b160d6b, "aead_register_instance" },
	{ 0xb05e6997, "crypto_grab_skcipher" },
	{ 0x1a0bac58, "skcipher_register_instance" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4aa96aab, "crypto_skcipher_decrypt" },
	{ 0x46655f4d, "crypto_skcipher_encrypt" },
	{ 0xcb7ab788, "shash_ahash_digest" },
	{ 0x97c22802, "shash_ahash_finup" },
	{ 0xa0b182b3, "crypto_shash_final" },
	{ 0x9e430886, "shash_ahash_update" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x8d507427, "param_ops_uint" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7DD30DF5492C1612FF1B43C");
