#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x8a0897b6, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x7211737c, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x4dd6e1a6, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x7f896e97, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x258a5d46, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x95638044, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0xa1ffe0b7, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x7d12f7f7, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x9f34cc06, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x0f916101, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0xdda1ddc6, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x1bf1661f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xf7f86645, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xe0025b6e, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x1f62e136, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x25c97066, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdad25cd6, "vmf_insert_pfn" },
	{ 0x5abb65bd, "ww_mutex_lock_interruptible" },
	{ 0x9e164be1, "drm_gem_get_pages" },
	{ 0x265855d2, "dma_buf_vmap" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x84f208c4, "invalidate_mapping_pages" },
	{ 0xa85d3990, "ww_mutex_unlock" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xc8e664d0, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x46152b34, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x853286dc, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2b83aa0f, "drm_gem_create_mmap_offset" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x4b537c60, "drm_gem_object_init" },
	{ 0x3e3f03f1, "dev_driver_string" },
	{ 0xf67c187, "dma_resv_reset_max_fences" },
	{ 0x20848d39, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xe38d2c7c, "drm_gem_vm_close" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xcbba0356, "drm_gem_vm_open" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x606d8142, "up_write" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xaa05e454, "drm_gem_object_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x7936eb99, "ww_mutex_lock" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x6412846f, "vmap" },
	{ 0x394f6e3a, "drm_gem_handle_create" },
	{ 0x1557f66a, "__drm_dev_dbg" },
	{ 0xd3129f40, "drm_prime_pages_to_sg" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x686d7c4b, "dma_buf_vunmap" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xace7d628, "shmem_truncate_range" },
	{ 0x28779e52, "drm_printf" },
	{ 0xdaf7c881, "dma_map_sgtable" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbef9a737, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x22b94f67, "dma_unmap_sg_attrs" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x8608cf94, "drm_gem_put_pages" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x8a3ab1fe, "drm_gem_private_object_fini" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x20e65209, "drm_prime_gem_destroy" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "7B036E953BCF9591D0D5063");
