#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_do_setdasa, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0xc3ce5d1f, "_gpl");
SYMBOL_CRC(i3c_device_do_setdasa, 0xeb6da907, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x15a4d938, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x46aceca6, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0xad044bc3, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0xc5fc899a, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xc83e28d8, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0x8747ace4, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0xed2c63c0, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0xc898cad1, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0x30eb03e2, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0x533cdd35, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0x4c164659, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x742637b0, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0xd62e323e, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0xc51b6353, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0xc447a074, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0xf692963b, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0x6a51cbde, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0x8d3774c5, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0x7456d169, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0x52a1dd08, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x0306bbcd, "_gpl");
SYMBOL_CRC(i3c_master_register, 0x3358fa62, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0xa9cdce51, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe59557d5, "bus_unregister_notifier" },
	{ 0xf444c0b0, "devm_kmalloc" },
	{ 0xd3e88e6b, "of_node_put" },
	{ 0x5e7df8a2, "of_property_read_variable_u32_array" },
	{ 0xce5b3f8f, "dev_set_name" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xff0ebadb, "i2c_client_type" },
	{ 0x4ddad947, "device_unregister" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69de03b2, "device_initialize" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa824ed5b, "of_node_get" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xb12f1bf5, "of_get_next_available_child" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xd655f67, "__dynamic_dev_dbg" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcdf99e2d, "put_device" },
	{ 0xa54add62, "bus_register_notifier" },
	{ 0x492566d0, "i2c_del_adapter" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x6817bd35, "bus_unregister" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x890178a5, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0x5a1d27ad, "device_add" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x7994145d, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x994fb2a6, "i2c_new_client_device" },
	{ 0x1cb08db3, "i2c_bus_type" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x321cdbf, "of_alias_get_highest_id" },
	{ 0x5681337f, "device_register" },
	{ 0x6d236517, "device_del" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x74a76053, "down_read" },
	{ 0xd7f556d6, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x90b6d3de, "of_alias_get_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0xfec1ea74, "of_i2c_get_board_info" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x1600a2b, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xd197f971, "bus_register" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E3BB5AA6922156854D4B5AD");
