#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x205901e3, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x5731ec82, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0xb1fecff9, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0xc27d77c2, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x891399e3, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x8f9eaa0a, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x9c6b35a7, "_gpl");
SYMBOL_CRC(register_mtd_user, 0xd9e8b08e, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x0717ad2d, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x95bf4bfe, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x0e4d1834, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x61e47311, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x085214b0, "_gpl");
SYMBOL_CRC(put_mtd_device, 0xa4c69218, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0xbecd590a, "_gpl");
SYMBOL_CRC(mtd_erase, 0x3f91a2ec, "_gpl");
SYMBOL_CRC(mtd_point, 0x698eba5f, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x33164e79, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x1f045d4c, "_gpl");
SYMBOL_CRC(mtd_read, 0xa340b9be, "_gpl");
SYMBOL_CRC(mtd_write, 0x6453f2fe, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x49158950, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x866fa150, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0xc75b3112, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x9ce0631d, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0xb0220ee9, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x895ac80c, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xfd6a7e92, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x4286bc46, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0xee11611c, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x4989f495, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x1df89e3c, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x6684d328, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x32a184cf, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0xd723bb22, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x7cbd596e, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0xcf7d4ec0, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0xbc31b1a8, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0xee41322d, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x512b8fed, "_gpl");
SYMBOL_CRC(mtd_lock, 0x490a4510, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x715265db, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x990f2267, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x95f4a91d, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x5ee10afe, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0xfe36943b, "_gpl");
SYMBOL_CRC(mtd_writev, 0x106f6e48, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x7df81fec, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0xe736628e, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0xebc53afa, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0xcd12c436, "");
SYMBOL_CRC(mtd_concat_destroy, 0xcf9fabc1, "");
SYMBOL_CRC(mtd_add_partition, 0x82051718, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x336d4861, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x3ff36777, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x37ac0f0f, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0x949c680b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8783fda, "generic_shutdown_super" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x691f467d, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x7344405a, "idr_find" },
	{ 0xd3e88e6b, "of_node_put" },
	{ 0xa6954281, "sget_dev" },
	{ 0x1fa415db, "bdi_unregister" },
	{ 0xce5b3f8f, "dev_set_name" },
	{ 0x5e92b2ea, "of_get_compatible_child" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xaffa8cd5, "bdi_register" },
	{ 0xffa17152, "of_node_name_prefix" },
	{ 0x4ddad947, "device_unregister" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa824ed5b, "of_node_get" },
	{ 0xe280a6a3, "logfc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x7169556a, "sysfs_remove_files" },
	{ 0xab78f808, "__module_get" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x274fa8f5, "bdi_put" },
	{ 0x45dfc7ac, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xcdf99e2d, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x93228d66, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd286005, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x85e21b08, "of_get_child_by_name" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x67d166a0, "debugfs_create_bool" },
	{ 0xeb04b818, "of_prop_next_string" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4c7a29f2, "device_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x61b5d619, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xa751cc1e, "fixed_size_llseek" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd544b518, "of_property_read_string" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe6d3e1bd, "of_find_property" },
	{ 0x264b3f69, "class_unregister" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x5f2da325, "bdi_alloc" },
	{ 0x5681337f, "device_register" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x23905034, "of_device_is_compatible" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8bb445ff, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3ce5d088, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf3d4b617, "remove_proc_entry" },
	{ 0x372e30aa, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0xac4c9dc8, "seq_printf" },
	{ 0x3720d9ef, "lockref_get" },
	{ 0x2455d2d3, "deactivate_locked_super" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb70789e, "__might_fault" },
	{ 0x90b6d3de, "of_alias_get_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x87847c06, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe9a4910, "dev_err_probe" },
	{ 0x1073dc2c, "proc_create_single_data" },
	{ 0x787eaa7d, "nvmem_register" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf129ace9, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x2e177ba6, "of_platform_populate" },
	{ 0xa9b42b97, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F791D9842983DCB762A2866");
