#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(liquidio_set_ethtool_ops, "_gpl", "");
KSYMTAB_FUNC(lio_delete_glists, "_gpl", "");
KSYMTAB_FUNC(lio_setup_glists, "_gpl", "");
KSYMTAB_FUNC(liquidio_set_feature, "_gpl", "");
KSYMTAB_FUNC(liquidio_link_ctrl_cmd_completion, "_gpl", "");
KSYMTAB_FUNC(setup_rx_oom_poll_fn, "_gpl", "");
KSYMTAB_FUNC(cleanup_rx_oom_poll_fn, "_gpl", "");
KSYMTAB_FUNC(liquidio_setup_io_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_interrupt, "_gpl", "");
KSYMTAB_FUNC(liquidio_change_mtu, "_gpl", "");
KSYMTAB_FUNC(lio_wait_for_clean_oq, "_gpl", "");
KSYMTAB_FUNC(lio_fetch_stats, "_gpl", "");
KSYMTAB_FUNC(liquidio_get_speed, "_gpl", "");
KSYMTAB_FUNC(liquidio_get_fec, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_instr_queue, "_gpl", "");
KSYMTAB_FUNC(lio_wait_for_instr_fetch, "_gpl", "");
KSYMTAB_FUNC(octeon_ring_doorbell_locked, "_gpl", "");
KSYMTAB_FUNC(octeon_register_reqtype_free_fn, "_gpl", "");
KSYMTAB_FUNC(lio_process_iq_request_list, "_gpl", "");
KSYMTAB_FUNC(octeon_send_command, "_gpl", "");
KSYMTAB_FUNC(octeon_prepare_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_send_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_sc_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_done_list, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_zombie_list, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(octeon_alloc_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_free_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_response_list, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_response_list, "_gpl", "");
KSYMTAB_FUNC(lio_process_ordered_list, "_gpl", "");
KSYMTAB_FUNC(octeon_init_device_list, "_gpl", "");
KSYMTAB_FUNC(lio_get_state_string, "_gpl", "");
KSYMTAB_FUNC(octeon_free_device_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_allocate_device, "_gpl", "");
KSYMTAB_FUNC(octeon_register_device, "_gpl", "");
KSYMTAB_FUNC(octeon_deregister_device, "_gpl", "");
KSYMTAB_FUNC(octeon_allocate_ioq_vector, "_gpl", "");
KSYMTAB_FUNC(octeon_free_ioq_vector, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_instr_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_output_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_set_io_queues_off, "_gpl", "");
KSYMTAB_FUNC(octeon_init_dispatch_list, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_dispatch_list, "_gpl", "");
KSYMTAB_FUNC(octeon_register_dispatch_fn, "_gpl", "");
KSYMTAB_FUNC(octeon_core_drv_init, "_gpl", "");
KSYMTAB_FUNC(octeon_get_tx_qsize, "_gpl", "");
KSYMTAB_FUNC(octeon_get_rx_qsize, "_gpl", "");
KSYMTAB_FUNC(octeon_get_conf, "_gpl", "");
KSYMTAB_FUNC(lio_get_device, "_gpl", "");
KSYMTAB_FUNC(lio_pci_readq, "_gpl", "");
KSYMTAB_FUNC(lio_pci_writeq, "_gpl", "");
KSYMTAB_FUNC(octeon_mem_access_ok, "_gpl", "");
KSYMTAB_FUNC(octeon_wait_for_ddr_init, "_gpl", "");
KSYMTAB_FUNC(lio_enable_irq, "_gpl", "");
KSYMTAB_FUNC(lio_setup_cn66xx_octeon_device, "_gpl", "");
KSYMTAB_FUNC(lio_setup_cn68xx_octeon_device, "_gpl", "");
KSYMTAB_FUNC(setup_cn23xx_octeon_pf_device, "_gpl", "");
KSYMTAB_FUNC(cn23xx_fw_loaded, "_gpl", "");
KSYMTAB_FUNC(cn23xx_tell_vf_its_macaddr_changed, "_gpl", "");
KSYMTAB_FUNC(cn23xx_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(cn23xx_vf_ask_pf_to_do_flr, "_gpl", "");
KSYMTAB_FUNC(cn23xx_octeon_pfvf_handshake, "_gpl", "");
KSYMTAB_FUNC(cn23xx_setup_octeon_vf_device, "_gpl", "");
KSYMTAB_FUNC(octeon_pci_read_core_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_pci_write_core_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_read_device_mem64, "_gpl", "");
KSYMTAB_FUNC(octeon_read_device_mem32, "_gpl", "");
KSYMTAB_FUNC(octeon_write_device_mem32, "_gpl", "");
KSYMTAB_FUNC(octeon_droq_check_hw_for_pkts, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_droq, "_gpl", "");
KSYMTAB_FUNC(octeon_droq_process_packets, "_gpl", "");
KSYMTAB_FUNC(octeon_unregister_droq_ops, "_gpl", "");
KSYMTAB_FUNC(octeon_alloc_soft_command_resp, "_gpl", "");
KSYMTAB_FUNC(octnet_send_nic_data_pkt, "_gpl", "");
KSYMTAB_FUNC(octnet_send_nic_ctrl_pkt, "_gpl", "");

SYMBOL_CRC(liquidio_set_ethtool_ops, 0x35bd7ec2, "_gpl");
SYMBOL_CRC(lio_delete_glists, 0x2794a742, "_gpl");
SYMBOL_CRC(lio_setup_glists, 0xd718d826, "_gpl");
SYMBOL_CRC(liquidio_set_feature, 0xf30b0997, "_gpl");
SYMBOL_CRC(liquidio_link_ctrl_cmd_completion, 0x19cb4e69, "_gpl");
SYMBOL_CRC(setup_rx_oom_poll_fn, 0x8474e63a, "_gpl");
SYMBOL_CRC(cleanup_rx_oom_poll_fn, 0xe5e4be73, "_gpl");
SYMBOL_CRC(liquidio_setup_io_queues, 0x7157ad9f, "_gpl");
SYMBOL_CRC(octeon_setup_interrupt, 0xcee0984f, "_gpl");
SYMBOL_CRC(liquidio_change_mtu, 0xa21d0612, "_gpl");
SYMBOL_CRC(lio_wait_for_clean_oq, 0x8e4b7f44, "_gpl");
SYMBOL_CRC(lio_fetch_stats, 0xeaebbabc, "_gpl");
SYMBOL_CRC(liquidio_get_speed, 0x99aded05, "_gpl");
SYMBOL_CRC(liquidio_get_fec, 0xa7199d6a, "_gpl");
SYMBOL_CRC(octeon_delete_instr_queue, 0xa73323f6, "_gpl");
SYMBOL_CRC(lio_wait_for_instr_fetch, 0xea61f434, "_gpl");
SYMBOL_CRC(octeon_ring_doorbell_locked, 0x535ed58f, "_gpl");
SYMBOL_CRC(octeon_register_reqtype_free_fn, 0xd846648e, "_gpl");
SYMBOL_CRC(lio_process_iq_request_list, 0x9a135263, "_gpl");
SYMBOL_CRC(octeon_send_command, 0x6758cb8a, "_gpl");
SYMBOL_CRC(octeon_prepare_soft_command, 0xe95ae965, "_gpl");
SYMBOL_CRC(octeon_send_soft_command, 0x5b7f639f, "_gpl");
SYMBOL_CRC(octeon_setup_sc_buffer_pool, 0xc399d05b, "_gpl");
SYMBOL_CRC(octeon_free_sc_done_list, 0xe9d59772, "_gpl");
SYMBOL_CRC(octeon_free_sc_zombie_list, 0xd4c5e385, "_gpl");
SYMBOL_CRC(octeon_free_sc_buffer_pool, 0x37261ea6, "_gpl");
SYMBOL_CRC(octeon_alloc_soft_command, 0xce62bec1, "_gpl");
SYMBOL_CRC(octeon_free_soft_command, 0x4cac3e2c, "_gpl");
SYMBOL_CRC(octeon_setup_response_list, 0x5f65660b, "_gpl");
SYMBOL_CRC(octeon_delete_response_list, 0x209db111, "_gpl");
SYMBOL_CRC(lio_process_ordered_list, 0x9820fa81, "_gpl");
SYMBOL_CRC(octeon_init_device_list, 0x6d0d28ef, "_gpl");
SYMBOL_CRC(lio_get_state_string, 0xec7f00a5, "_gpl");
SYMBOL_CRC(octeon_free_device_mem, 0x36dd3751, "_gpl");
SYMBOL_CRC(octeon_allocate_device, 0x8d6c4013, "_gpl");
SYMBOL_CRC(octeon_register_device, 0x2b98c0eb, "_gpl");
SYMBOL_CRC(octeon_deregister_device, 0x5a2849bf, "_gpl");
SYMBOL_CRC(octeon_allocate_ioq_vector, 0x6aee4e55, "_gpl");
SYMBOL_CRC(octeon_free_ioq_vector, 0x4b0bad56, "_gpl");
SYMBOL_CRC(octeon_setup_instr_queues, 0x9adc4bfb, "_gpl");
SYMBOL_CRC(octeon_setup_output_queues, 0xec23ba0d, "_gpl");
SYMBOL_CRC(octeon_set_io_queues_off, 0x4523e44d, "_gpl");
SYMBOL_CRC(octeon_init_dispatch_list, 0x0889e03c, "_gpl");
SYMBOL_CRC(octeon_delete_dispatch_list, 0x0963129a, "_gpl");
SYMBOL_CRC(octeon_register_dispatch_fn, 0x1fb7f107, "_gpl");
SYMBOL_CRC(octeon_core_drv_init, 0xc6abc5b1, "_gpl");
SYMBOL_CRC(octeon_get_tx_qsize, 0x12e7a891, "_gpl");
SYMBOL_CRC(octeon_get_rx_qsize, 0x1c1b3055, "_gpl");
SYMBOL_CRC(octeon_get_conf, 0x8411703e, "_gpl");
SYMBOL_CRC(lio_get_device, 0x8ec7af11, "_gpl");
SYMBOL_CRC(lio_pci_readq, 0x89aaf69c, "_gpl");
SYMBOL_CRC(lio_pci_writeq, 0x6be7ded9, "_gpl");
SYMBOL_CRC(octeon_mem_access_ok, 0x86741199, "_gpl");
SYMBOL_CRC(octeon_wait_for_ddr_init, 0xf07015a2, "_gpl");
SYMBOL_CRC(lio_enable_irq, 0xea6ec55d, "_gpl");
SYMBOL_CRC(lio_setup_cn66xx_octeon_device, 0x82a86525, "_gpl");
SYMBOL_CRC(lio_setup_cn68xx_octeon_device, 0x7e9435f8, "_gpl");
SYMBOL_CRC(setup_cn23xx_octeon_pf_device, 0x0e145c74, "_gpl");
SYMBOL_CRC(cn23xx_fw_loaded, 0x7e58aa47, "_gpl");
SYMBOL_CRC(cn23xx_tell_vf_its_macaddr_changed, 0xe0c46b95, "_gpl");
SYMBOL_CRC(cn23xx_get_vf_stats, 0x601550f1, "_gpl");
SYMBOL_CRC(cn23xx_vf_ask_pf_to_do_flr, 0x2f92ac20, "_gpl");
SYMBOL_CRC(cn23xx_octeon_pfvf_handshake, 0x121c71f1, "_gpl");
SYMBOL_CRC(cn23xx_setup_octeon_vf_device, 0xbe42f134, "_gpl");
SYMBOL_CRC(octeon_pci_read_core_mem, 0xc8b3dd27, "_gpl");
SYMBOL_CRC(octeon_pci_write_core_mem, 0x30c96440, "_gpl");
SYMBOL_CRC(octeon_read_device_mem64, 0x0654148f, "_gpl");
SYMBOL_CRC(octeon_read_device_mem32, 0x9cf69797, "_gpl");
SYMBOL_CRC(octeon_write_device_mem32, 0xcbea5a75, "_gpl");
SYMBOL_CRC(octeon_droq_check_hw_for_pkts, 0x1ddc0afb, "_gpl");
SYMBOL_CRC(octeon_delete_droq, 0xe05cd1ed, "_gpl");
SYMBOL_CRC(octeon_droq_process_packets, 0xf0467ff3, "_gpl");
SYMBOL_CRC(octeon_unregister_droq_ops, 0xe4711101, "_gpl");
SYMBOL_CRC(octeon_alloc_soft_command_resp, 0x10de76fc, "_gpl");
SYMBOL_CRC(octnet_send_nic_data_pkt, 0x874b471c, "_gpl");
SYMBOL_CRC(octnet_send_nic_ctrl_pkt, 0x6b56633a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xea61370, "pci_request_region" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x424b4938, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x83a29ded, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x6b38bb3, "dump_page" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x5eb7a29d, "dma_unmap_page_attrs" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x59554972, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xde694b84, "skb_add_rx_frag" },
	{ 0x5fe86f20, "pci_disable_msi" },
	{ 0x1ac46bbb, "ptp_clock_index" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x951270c1, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x7c74b9fb, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xd655f67, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xe68a1baa, "dev_addr_mod" },
	{ 0xb7fd9c0b, "eth_type_trans" },
	{ 0x68cd0cc3, "pci_read_config_dword" },
	{ 0x26bad4d3, "wait_for_completion_interruptible_timeout" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xcc370b16, "dma_map_page_attrs" },
	{ 0xf26b03b8, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7e704e1e, "__napi_schedule" },
	{ 0xfe0d2634, "pci_enable_msix_range" },
	{ 0x45570b42, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x77bbf9a6, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x4876ec24, "_dev_info" },
	{ 0x7da42530, "napi_gro_receive" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x4975b4d4, "pci_enable_msi" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x890178a5, "_dev_err" },
	{ 0x8e2c0e06, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x29b2af89, "netif_set_real_num_tx_queues" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x8f463b63, "netif_set_real_num_rx_queues" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x46eb6b34, "dma_alloc_attrs" },
	{ 0x51d21fd, "pcie_flr" },
	{ 0x9166fada, "strncpy" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xfeacee4d, "_raw_spin_trylock" },
	{ 0xa750b09, "ethtool_op_get_link" },
	{ 0x48e7a121, "netif_set_xps_queue" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x93fcd625, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xde111b5, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb8094ee8, "netif_schedule_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xebf936af, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x896d84cf, "_dev_notice" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xdbe0d7f7, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe31f0d9, "call_netdevice_notifiers" },
	{ 0xed9fa8fe, "alloc_pages" },
	{ 0xd2413200, "__folio_put" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x9bd13155, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x5a55d81d, "__napi_schedule_irqoff" },
	{ 0xae6d09a6, "napi_schedule_prep" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xa6464377, "dev_kfree_skb_any_reason" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x6c6abe09, "pci_release_region" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x483f9b1d, "pci_write_config_dword" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xff88ffc2, "netdev_info" },
	{ 0xa080c5e5, "smp_call_function_single_async" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F361FC316BAA6A2E9F2389");
