#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x6bf177d0, "");
SYMBOL_CRC(vnic_dev_get_res, 0x71740163, "");
SYMBOL_CRC(vnic_dev_unregister, 0xc1911305, "");
SYMBOL_CRC(vnic_dev_register, 0x9d1d2a15, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x9ffd7d27, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0x721dc633, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53ceee8a, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x387b76e3, "pci_find_ext_capability" },
	{ 0x8ea99ffa, "skb_copy_bits" },
	{ 0x424b4938, "skb_put" },
	{ 0xbb0ebcd6, "skb_tstamp_tx" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4995dde4, "pci_enable_device_mem" },
	{ 0xe77c0f05, "consume_skb" },
	{ 0x38ccd06a, "pci_iomap" },
	{ 0x83a29ded, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7c062556, "unregister_netdev" },
	{ 0x5eb7a29d, "dma_unmap_page_attrs" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8060a07b, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x5fe86f20, "pci_disable_msi" },
	{ 0xb4024337, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xe3e46116, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9ff1696d, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7c74b9fb, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x315e9f8a, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xcd63c098, "netdev_err" },
	{ 0x3e3f03f1, "dev_driver_string" },
	{ 0xe68a1baa, "dev_addr_mod" },
	{ 0xb7fd9c0b, "eth_type_trans" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xcc370b16, "dma_map_page_attrs" },
	{ 0xf26b03b8, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xfe0d2634, "pci_enable_msix_range" },
	{ 0x4876ec24, "_dev_info" },
	{ 0x18af0a61, "__hw_addr_unsync_dev" },
	{ 0x7da42530, "napi_gro_receive" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xed164a41, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x4975b4d4, "pci_enable_msi" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x890178a5, "_dev_err" },
	{ 0xbaa481c3, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x29b2af89, "netif_set_real_num_tx_queues" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x8f463b63, "netif_set_real_num_rx_queues" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x2eedc501, "dev_close" },
	{ 0x46eb6b34, "dma_alloc_attrs" },
	{ 0x5fa634be, "pci_read_config_word" },
	{ 0x7dc9fba8, "napi_enable" },
	{ 0xc42aff0b, "netif_receive_skb" },
	{ 0xd342850f, "nla_put" },
	{ 0xa9ca811c, "register_netdev" },
	{ 0x61c15e11, "free_netdev" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa750b09, "ethtool_op_get_link" },
	{ 0x48e7a121, "netif_set_xps_queue" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x93fcd625, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x83721493, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xde111b5, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xbadc466, "pci_set_master" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa76ca35, "__pskb_pull_tail" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xebf936af, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x403f75e, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xdc708409, "rps_may_expire_flow" },
	{ 0xdbe0d7f7, "dma_free_attrs" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf4a3adf1, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe31f0d9, "call_netdevice_notifiers" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8a338e3, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x53891ae8, "__hw_addr_sync_dev" },
	{ 0x1a9f5dd6, "pci_disable_sriov" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x9850f096, "netif_carrier_on" },
	{ 0x9bd13155, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x34ab611, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x430ec98c, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6b98ffa0, "__skb_flow_dissect" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x5a55d81d, "__napi_schedule_irqoff" },
	{ 0xae6d09a6, "napi_schedule_prep" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x98cf60b3, "strlen" },
	{ 0x695eebdf, "napi_disable" },
	{ 0xa6464377, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xcedb95a3, "pci_enable_sriov" },
	{ 0x9efd555d, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xff88ffc2, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "698D0B539A3E0B77BE7ABC4");
