#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x311a6ab6, "");
SYMBOL_CRC(be_roce_unregister_driver, 0xb31ccf22, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53ceee8a, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6d4a3e31, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa0dbbad3, "__skb_pad" },
	{ 0x45e11a05, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8ea99ffa, "skb_copy_bits" },
	{ 0x8d507427, "param_ops_uint" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xe54cca57, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7964fac8, "param_ops_ushort" },
	{ 0xe77c0f05, "consume_skb" },
	{ 0x38ccd06a, "pci_iomap" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x83a29ded, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x9b2a557f, "pci_vfs_assigned" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x6b38bb3, "dump_page" },
	{ 0x96728dda, "ndo_dflt_bridge_getlink" },
	{ 0x7c062556, "unregister_netdev" },
	{ 0xf67c39c8, "napi_get_frags" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x5eb7a29d, "dma_unmap_page_attrs" },
	{ 0x94a0f2ed, "request_firmware" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8060a07b, "__pci_register_driver" },
	{ 0xd653033b, "pci_num_vf" },
	{ 0xb4024337, "pci_request_regions" },
	{ 0x9d7fff81, "___pskb_trim" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x9b808211, "pci_sriov_get_totalvfs" },
	{ 0x951270c1, "__put_devmap_managed_page_refs" },
	{ 0xe3e46116, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe46a3f5c, "udp_tunnel_nic_ops" },
	{ 0x7c74b9fb, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x8b714dba, "netif_tx_unlock" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x315e9f8a, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x9bf274fe, "pskb_expand_head" },
	{ 0x3e3f03f1, "dev_driver_string" },
	{ 0xe68a1baa, "dev_addr_mod" },
	{ 0xb7fd9c0b, "eth_type_trans" },
	{ 0x68cd0cc3, "pci_read_config_dword" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xcc370b16, "dma_map_page_attrs" },
	{ 0xf26b03b8, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7e704e1e, "__napi_schedule" },
	{ 0xfe0d2634, "pci_enable_msix_range" },
	{ 0x116848ea, "netif_device_detach" },
	{ 0x18af0a61, "__hw_addr_unsync_dev" },
	{ 0x4876ec24, "_dev_info" },
	{ 0x3d88d73f, "netif_device_attach" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x890178a5, "_dev_err" },
	{ 0xbaa481c3, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x29b2af89, "netif_set_real_num_tx_queues" },
	{ 0x8f463b63, "netif_set_real_num_rx_queues" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x139ac4e9, "skb_push" },
	{ 0x46eb6b34, "dma_alloc_attrs" },
	{ 0x7dc9fba8, "napi_enable" },
	{ 0xc42aff0b, "netif_receive_skb" },
	{ 0xa9ca811c, "register_netdev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x61c15e11, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa750b09, "ethtool_op_get_link" },
	{ 0x48e7a121, "netif_set_xps_queue" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf44492b5, "pci_iounmap" },
	{ 0x74264fb9, "pci_restore_state" },
	{ 0x93fcd625, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x83721493, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x1abf795f, "devm_hwmon_device_register_with_groups" },
	{ 0xdcb764ad, "memset" },
	{ 0xde111b5, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xbadc466, "pci_set_master" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa76ca35, "__pskb_pull_tail" },
	{ 0xe189a8b, "netif_tx_lock" },
	{ 0xebf936af, "__netdev_alloc_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x403f75e, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xdbe0d7f7, "dma_free_attrs" },
	{ 0x9f390a29, "pci_enable_wake" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf4a3adf1, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xed9fa8fe, "alloc_pages" },
	{ 0xd2413200, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8a338e3, "netif_carrier_off" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x830d8cfd, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x53891ae8, "__hw_addr_sync_dev" },
	{ 0x1a9f5dd6, "pci_disable_sriov" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x9850f096, "netif_carrier_on" },
	{ 0x9bd13155, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x34ab611, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x430ec98c, "dma_set_mask" },
	{ 0xfaf13520, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0xae6d09a6, "napi_schedule_prep" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xd087d3b0, "pci_sriov_set_totalvfs" },
	{ 0x695eebdf, "napi_disable" },
	{ 0xa6464377, "dev_kfree_skb_any_reason" },
	{ 0x2e173531, "_dev_printk" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xcedb95a3, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x483f9b1d, "pci_write_config_dword" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xff88ffc2, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E1C7FFCF4852CAE7984BA3D");
