#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nic_netdev_match_check, "", "");
KSYMTAB_FUNC(nic_chip_recover_handler, "", "");
KSYMTAB_FUNC(nic_set_pfc_storm_para, "", "");
KSYMTAB_FUNC(nic_get_pfc_storm_para, "", "");
KSYMTAB_FUNC(nic_set_notify_pkt_param, "", "");
KSYMTAB_FUNC(nic_set_notify_pkt_start, "", "");
KSYMTAB_FUNC(nic_set_torus_param, "", "");
KSYMTAB_FUNC(nic_get_torus_param, "", "");
KSYMTAB_FUNC(nic_clean_stats64, "", "");
KSYMTAB_FUNC(nic_set_cpu_affinity, "", "");
KSYMTAB_FUNC(nic_get_chipid, "", "");
KSYMTAB_FUNC(nic_get_mac_id, "", "");
KSYMTAB_FUNC(nic_get_io_die_id, "", "");
KSYMTAB_FUNC(nic_get_chip_num, "", "");
KSYMTAB_FUNC(nic_get_io_die_num, "", "");
KSYMTAB_FUNC(nic_get_port_num_of_die, "", "");
KSYMTAB_FUNC(nic_get_port_num_per_chip, "", "");
KSYMTAB_FUNC(nic_set_tx_timeout, "", "");
KSYMTAB_FUNC(nic_get_sfp_present, "", "");
KSYMTAB_FUNC(nic_set_sfp_state, "", "");
KSYMTAB_FUNC(nic_disable_net_lane, "", "");
KSYMTAB_FUNC(nic_get_net_lane_status, "", "");
KSYMTAB_FUNC(nic_disable_clock, "", "");
KSYMTAB_FUNC(nic_set_pfc_time_cfg, "", "");
KSYMTAB_FUNC(nic_get_port_fault_status, "", "");
KSYMTAB_FUNC(nic_get_port_wire_type, "", "");
KSYMTAB_FUNC(nic_set_mac_state, "", "");
KSYMTAB_FUNC(nic_set_led, "", "");
KSYMTAB_FUNC(nic_get_led_signal, "", "");
KSYMTAB_FUNC(nic_get_phy_reg, "", "");
KSYMTAB_FUNC(nic_set_phy_reg, "", "");

SYMBOL_CRC(nic_netdev_match_check, 0xe76689f1, "");
SYMBOL_CRC(nic_chip_recover_handler, 0x2eb6aace, "");
SYMBOL_CRC(nic_set_pfc_storm_para, 0xcb7f9cfc, "");
SYMBOL_CRC(nic_get_pfc_storm_para, 0x6364339e, "");
SYMBOL_CRC(nic_set_notify_pkt_param, 0x1b2002fb, "");
SYMBOL_CRC(nic_set_notify_pkt_start, 0x52d0cb44, "");
SYMBOL_CRC(nic_set_torus_param, 0x6b718627, "");
SYMBOL_CRC(nic_get_torus_param, 0x3d6873e0, "");
SYMBOL_CRC(nic_clean_stats64, 0x55084193, "");
SYMBOL_CRC(nic_set_cpu_affinity, 0xe0792cc0, "");
SYMBOL_CRC(nic_get_chipid, 0xb3216a2c, "");
SYMBOL_CRC(nic_get_mac_id, 0x5b447efe, "");
SYMBOL_CRC(nic_get_io_die_id, 0x16af20f0, "");
SYMBOL_CRC(nic_get_chip_num, 0x254e91f4, "");
SYMBOL_CRC(nic_get_io_die_num, 0xc7896c81, "");
SYMBOL_CRC(nic_get_port_num_of_die, 0xbcba2d81, "");
SYMBOL_CRC(nic_get_port_num_per_chip, 0x0c3d0901, "");
SYMBOL_CRC(nic_set_tx_timeout, 0x8dcffec7, "");
SYMBOL_CRC(nic_get_sfp_present, 0x70961205, "");
SYMBOL_CRC(nic_set_sfp_state, 0xe7547620, "");
SYMBOL_CRC(nic_disable_net_lane, 0x7def7ff0, "");
SYMBOL_CRC(nic_get_net_lane_status, 0xce939a00, "");
SYMBOL_CRC(nic_disable_clock, 0x366b1ec6, "");
SYMBOL_CRC(nic_set_pfc_time_cfg, 0xaa5f10ff, "");
SYMBOL_CRC(nic_get_port_fault_status, 0xdc73790a, "");
SYMBOL_CRC(nic_get_port_wire_type, 0x2c2ffa78, "");
SYMBOL_CRC(nic_set_mac_state, 0x805b7af8, "");
SYMBOL_CRC(nic_set_led, 0x8af97ffc, "");
SYMBOL_CRC(nic_get_led_signal, 0x3eec75df, "");
SYMBOL_CRC(nic_get_phy_reg, 0xa4f10e22, "");
SYMBOL_CRC(nic_set_phy_reg, 0xb91df7b3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc97325da, "genphy_restart_aneg" },
	{ 0x53ceee8a, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa0dbbad3, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc655ac75, "page_pool_get_stats" },
	{ 0x8ea99ffa, "skb_copy_bits" },
	{ 0x8d507427, "param_ops_uint" },
	{ 0xf444c0b0, "devm_kmalloc" },
	{ 0x424b4938, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xbb0ebcd6, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x6a729e6d, "page_pool_alloc_frag" },
	{ 0x74584b60, "__napi_alloc_skb" },
	{ 0x83a29ded, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9b2a557f, "pci_vfs_assigned" },
	{ 0x6b38bb3, "dump_page" },
	{ 0x6e15b50b, "trace_raw_output_prep" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x7c062556, "unregister_netdev" },
	{ 0xfb477bfe, "__trace_trigger_soft_disabled" },
	{ 0x5eb7a29d, "dma_unmap_page_attrs" },
	{ 0xcaefc9d8, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xf7370f56, "system_state" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8060a07b, "__pci_register_driver" },
	{ 0x3f22a1ae, "dma_sync_single_for_device" },
	{ 0xd653033b, "pci_num_vf" },
	{ 0xde694b84, "skb_add_rx_frag" },
	{ 0xa8eaf39e, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x91712175, "page_pool_destroy" },
	{ 0x951270c1, "__put_devmap_managed_page_refs" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x74b039b8, "bpf_trace_run2" },
	{ 0x9ff1696d, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x53b4868, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7c74b9fb, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x315e9f8a, "pci_unregister_driver" },
	{ 0xcd63c098, "netdev_err" },
	{ 0x9bf274fe, "pskb_expand_head" },
	{ 0x3e3f03f1, "dev_driver_string" },
	{ 0xc60eff60, "trace_event_buffer_commit" },
	{ 0xe68a1baa, "dev_addr_mod" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0xb7fd9c0b, "eth_type_trans" },
	{ 0xcc370b16, "dma_map_page_attrs" },
	{ 0xf26b03b8, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x42922e8c, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xdd918967, "net_dim" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xcd95a080, "ipv6_skip_exthdr" },
	{ 0x5f8c8cf9, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x4876ec24, "_dev_info" },
	{ 0x7da42530, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x5b8379d1, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xb95ac5d0, "eth_get_headlen" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0x4e53af84, "flow_block_cb_setup_simple" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x8e378c3d, "perf_trace_run_bpf_submit" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0x8b33cf18, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x890178a5, "_dev_err" },
	{ 0xbaa481c3, "softnet_data" },
	{ 0x4492f3bf, "simple_open" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x29b2af89, "netif_set_real_num_tx_queues" },
	{ 0x8f463b63, "netif_set_real_num_rx_queues" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0x46eb6b34, "dma_alloc_attrs" },
	{ 0xe50b0df7, "hnae3_register_client" },
	{ 0x61b5d619, "debugfs_remove" },
	{ 0x7dc9fba8, "napi_enable" },
	{ 0xa9ca811c, "register_netdev" },
	{ 0x78875e, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x61c15e11, "free_netdev" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x48e7a121, "netif_set_xps_queue" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x7cb08bf, "netif_tx_stop_all_queues" },
	{ 0x8b893e6c, "bpf_trace_run1" },
	{ 0x93fcd625, "netif_tx_wake_queue" },
	{ 0x1e8c33d5, "hnae3_register_ae_dev" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x83721493, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb04e6c4d, "page_pool_create" },
	{ 0x5b8f55aa, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xde111b5, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb8094ee8, "netif_schedule_queue" },
	{ 0x3aa7acd1, "__alloc_pages" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd1251a06, "netdev_set_tc_queue" },
	{ 0xa76ca35, "__pskb_pull_tail" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1ff936d, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8376db3, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x32d82008, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x819e5182, "netdev_reset_tc" },
	{ 0xdbe0d7f7, "dma_free_attrs" },
	{ 0xec717cb0, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xf9229207, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd2413200, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8a338e3, "netif_carrier_off" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x53891ae8, "__hw_addr_sync_dev" },
	{ 0x1a9f5dd6, "pci_disable_sriov" },
	{ 0x9850f096, "netif_carrier_on" },
	{ 0x6530e73d, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x42258c04, "phy_ethtool_ksettings_get" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9644ce94, "phy_ethtool_ksettings_set" },
	{ 0x6eb8d8d8, "napi_gro_flush" },
	{ 0x6b98ffa0, "__skb_flow_dissect" },
	{ 0x22b94f67, "dma_unmap_sg_attrs" },
	{ 0x10bd71f1, "hnae3_unregister_client" },
	{ 0x5a55d81d, "__napi_schedule_irqoff" },
	{ 0xae6d09a6, "napi_schedule_prep" },
	{ 0xe3b7775b, "napi_consume_skb" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0x695eebdf, "napi_disable" },
	{ 0xa6464377, "dev_kfree_skb_any_reason" },
	{ 0x94b8338d, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0xf129ace9, "debugfs_create_dir" },
	{ 0xeb3a4fd3, "hnae3_unregister_ae_dev" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xcedb95a3, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6a54d041, "skb_to_sgvec" },
	{ 0x9efd555d, "skb_clone_tx_timestamp" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb0d59993, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xff88ffc2, "netdev_info" },
	{ 0xa0b013fb, "dma_map_sg_attrs" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "hnae3");

MODULE_ALIAS("pci:v000019E5d0000A220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A222sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A223sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A224sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A225sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A226sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A22Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A22Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "399807C586204AE02E586A4");
