#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0x0d45fc91, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0xc58ca278, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xc1efbe63, "xsk_tx_completed" },
	{ 0x53ceee8a, "alloc_etherdev_mqs" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6d4a3e31, "pci_save_state" },
	{ 0x5ea1bcd2, "xp_dma_sync_for_device_slow" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x7674acab, "pcie_capability_read_word" },
	{ 0xc0bd55c, "device_set_wakeup_enable" },
	{ 0xa0dbbad3, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa2376daf, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x387b76e3, "pci_find_ext_capability" },
	{ 0xd4dbd405, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8929a06b, "xp_dma_map" },
	{ 0xb917d1be, "ida_destroy" },
	{ 0x8ea99ffa, "skb_copy_bits" },
	{ 0x8d507427, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xf6fc50bb, "pci_request_selected_regions" },
	{ 0xf91494f9, "pci_release_selected_regions" },
	{ 0xde1d830d, "pci_wake_from_d3" },
	{ 0xbb0ebcd6, "skb_tstamp_tx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x74584b60, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x12110092, "auxiliary_device_init" },
	{ 0x4995dde4, "pci_enable_device_mem" },
	{ 0xe77c0f05, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x83a29ded, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x43316e4c, "xsk_tx_peek_release_desc_batch" },
	{ 0x9b2a557f, "pci_vfs_assigned" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x6e15b50b, "trace_raw_output_prep" },
	{ 0xb17fe252, "bpf_warn_invalid_xdp_action" },
	{ 0x96728dda, "ndo_dflt_bridge_getlink" },
	{ 0x7c062556, "unregister_netdev" },
	{ 0x3208846f, "xdp_convert_zc_to_xdp_frame" },
	{ 0x518a5539, "xdp_features_set_redirect_target" },
	{ 0xfb477bfe, "__trace_trigger_soft_disabled" },
	{ 0x2ea2d539, "pci_get_device" },
	{ 0x5eb7a29d, "dma_unmap_page_attrs" },
	{ 0x94a0f2ed, "request_firmware" },
	{ 0xcaefc9d8, "trace_event_printf" },
	{ 0x9a58dd2d, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0xf7370f56, "system_state" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8060a07b, "__pci_register_driver" },
	{ 0x3f22a1ae, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xd653033b, "pci_num_vf" },
	{ 0x78fccbba, "flow_rule_match_eth_addrs" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xde694b84, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5fe86f20, "pci_disable_msi" },
	{ 0x1ac46bbb, "ptp_clock_index" },
	{ 0xa8eaf39e, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb0560255, "xdp_do_redirect" },
	{ 0xe3e46116, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x74b039b8, "bpf_trace_run2" },
	{ 0x9ff1696d, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe46a3f5c, "udp_tunnel_nic_ops" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x53b4868, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x1cbfdc99, "flow_rule_match_ipv4_addrs" },
	{ 0x7c74b9fb, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xb4795e1, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xd655f67, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x315e9f8a, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xcd63c098, "netdev_err" },
	{ 0x9bf274fe, "pskb_expand_head" },
	{ 0x3e3f03f1, "dev_driver_string" },
	{ 0x2f31d9d8, "pci_restore_msi_state" },
	{ 0xc60eff60, "trace_event_buffer_commit" },
	{ 0xe68a1baa, "dev_addr_mod" },
	{ 0x8c449416, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x870a30aa, "ptp_find_pin" },
	{ 0xb7fd9c0b, "eth_type_trans" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xcc370b16, "dma_map_page_attrs" },
	{ 0x2d9141d5, "irq_set_affinity_notifier" },
	{ 0xf26b03b8, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x42922e8c, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcdf99e2d, "put_device" },
	{ 0x7e704e1e, "__napi_schedule" },
	{ 0xcd95a080, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe0d2634, "pci_enable_msix_range" },
	{ 0x104b0af9, "xsk_set_rx_need_wakeup" },
	{ 0x618911fc, "numa_node" },
	{ 0x77bbf9a6, "__free_pages" },
	{ 0x18af0a61, "__hw_addr_unsync_dev" },
	{ 0x4876ec24, "_dev_info" },
	{ 0x7da42530, "napi_gro_receive" },
	{ 0x1e4c3fac, "xdp_features_clear_redirect_target" },
	{ 0x3ee1eb0b, "pci_select_bars" },
	{ 0x5b8379d1, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x1a0ca2, "xp_raw_get_dma" },
	{ 0xb95ac5d0, "eth_get_headlen" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x3af89cb5, "xdp_rxq_info_is_reg" },
	{ 0x4e53af84, "flow_block_cb_setup_simple" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x69919988, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4975b4d4, "pci_enable_msi" },
	{ 0x8e378c3d, "perf_trace_run_bpf_submit" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x890178a5, "_dev_err" },
	{ 0xbaa481c3, "softnet_data" },
	{ 0x4492f3bf, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x99300390, "cpu_bit_bitmap" },
	{ 0xbc817c3e, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xda3e4ac0, "ptp_clock_register" },
	{ 0x5cd2ddf3, "ethtool_intersect_link_masks" },
	{ 0xe5b41a63, "xp_dma_sync_for_cpu_slow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe91e8585, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x29b2af89, "netif_set_real_num_tx_queues" },
	{ 0xaac24545, "__auxiliary_device_add" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x8f463b63, "netif_set_real_num_rx_queues" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x46eb6b34, "dma_alloc_attrs" },
	{ 0x61b5d619, "debugfs_remove" },
	{ 0x5fa634be, "pci_read_config_word" },
	{ 0x7dc9fba8, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x471686cd, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xe3c0f1fa, "dcbnl_ieee_notify" },
	{ 0x6b4b6657, "xsk_uses_need_wakeup" },
	{ 0xa9ca811c, "register_netdev" },
	{ 0x78875e, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x61c15e11, "free_netdev" },
	{ 0xd51d85eb, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa750b09, "ethtool_op_get_link" },
	{ 0x4e134e3b, "eth_platform_get_mac_address" },
	{ 0x48e7a121, "netif_set_xps_queue" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x7cb08bf, "netif_tx_stop_all_queues" },
	{ 0x74264fb9, "pci_restore_state" },
	{ 0x93fcd625, "netif_tx_wake_queue" },
	{ 0x6d236517, "device_del" },
	{ 0x91cc6904, "netdev_set_sb_channel" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x83721493, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xbc193ad2, "dcb_getapp" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0xde111b5, "_dev_warn" },
	{ 0x366d8fdd, "flow_rule_match_ports" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x158e25dd, "ptp_clock_event" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb8094ee8, "netif_schedule_queue" },
	{ 0x3aa7acd1, "__alloc_pages" },
	{ 0x491020e7, "timer_shutdown_sync" },
	{ 0xbadc466, "pci_set_master" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf0eb98b, "flow_rule_match_ipv6_addrs" },
	{ 0xd1251a06, "netdev_set_tc_queue" },
	{ 0xb7e90289, "ptp_clock_unregister" },
	{ 0xa76ca35, "__pskb_pull_tail" },
	{ 0x4ddd0d, "xp_dma_unmap" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1ff936d, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x85ce8342, "netdev_unbind_sb_channel" },
	{ 0x403f75e, "dma_set_coherent_mask" },
	{ 0x9c2ab0b8, "bpf_trace_run3" },
	{ 0xa8376db3, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x421ad6fb, "ipv6_find_hdr" },
	{ 0x982a302f, "netdev_bind_sb_channel_queue" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x32d82008, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x6c7b3f5d, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x819e5182, "netdev_reset_tc" },
	{ 0xdbe0d7f7, "dma_free_attrs" },
	{ 0xec717cb0, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe31f0d9, "call_netdevice_notifiers" },
	{ 0x65b21d9a, "xp_set_rxq_info" },
	{ 0xf83128a, "flow_rule_match_vlan" },
	{ 0x23e3505b, "xdp_rxq_info_unreg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x703b653e, "napi_build_skb" },
	{ 0x8992911b, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8a338e3, "netif_carrier_off" },
	{ 0xf59f3af4, "__cant_migrate" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x53891ae8, "__hw_addr_sync_dev" },
	{ 0x1a9f5dd6, "pci_disable_sriov" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x9850f096, "netif_carrier_on" },
	{ 0x6530e73d, "netdev_set_num_tc" },
	{ 0xb70789e, "__might_fault" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x9bd13155, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf0089d2b, "dev_uc_add_excl" },
	{ 0x34ab611, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa56e970f, "xp_free" },
	{ 0x605933f0, "dev_mc_add_excl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x331065f, "dev_uc_add" },
	{ 0x430ec98c, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62b03cab, "_dev_crit" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x616bbfc0, "xdp_master_redirect" },
	{ 0x5a55d81d, "__napi_schedule_irqoff" },
	{ 0xae6d09a6, "napi_schedule_prep" },
	{ 0xe3b7775b, "napi_consume_skb" },
	{ 0x628b279b, "pci_read_config_byte" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xb4c12979, "xp_alloc_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0x695eebdf, "napi_disable" },
	{ 0xa6464377, "dev_kfree_skb_any_reason" },
	{ 0x484d8cab, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0xf129ace9, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xd1e1c5d, "flow_rule_match_control" },
	{ 0xcedb95a3, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9efd555d, "skb_clone_tx_timestamp" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xa60a3630, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb0d59993, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xff88ffc2, "netdev_info" },
	{ 0xa0431690, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B3E6F152DDE411062EA6BBD");
