#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0xd6d82c99, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xdc53d523, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x5a980c39, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0xb203a699, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x93395ba0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xc1efbe63, "xsk_tx_completed" },
	{ 0x53ceee8a, "alloc_etherdev_mqs" },
	{ 0x38bde98d, "flow_block_cb_lookup" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6d4a3e31, "pci_save_state" },
	{ 0x5ea1bcd2, "xp_dma_sync_for_device_slow" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x87970653, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xc0bd55c, "device_set_wakeup_enable" },
	{ 0xa0dbbad3, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa2376daf, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x387b76e3, "pci_find_ext_capability" },
	{ 0xc8b62afb, "kthread_create_worker" },
	{ 0xd4dbd405, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8929a06b, "xp_dma_map" },
	{ 0x81949865, "devlink_unregister" },
	{ 0x8ea99ffa, "skb_copy_bits" },
	{ 0x7344405a, "idr_find" },
	{ 0xd80fce8b, "devm_request_threaded_irq" },
	{ 0x4fe3b69e, "kthread_cancel_delayed_work_sync" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xf444c0b0, "devm_kmalloc" },
	{ 0xde1d830d, "pci_wake_from_d3" },
	{ 0xbb0ebcd6, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x74584b60, "__napi_alloc_skb" },
	{ 0x3f3c703e, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x878ecb1e, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x12110092, "auxiliary_device_init" },
	{ 0x4995dde4, "pci_enable_device_mem" },
	{ 0xe77c0f05, "consume_skb" },
	{ 0xc2d4ad48, "kthread_delayed_work_timer_fn" },
	{ 0xb2bdb80f, "flow_rule_match_enc_ip" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x4f54e957, "pci_alloc_irq_vectors" },
	{ 0xbffa02c3, "flow_rule_match_l2tpv3" },
	{ 0x83a29ded, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x43316e4c, "xsk_tx_peek_release_desc_batch" },
	{ 0x9b2a557f, "pci_vfs_assigned" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xbe4a2994, "dmam_alloc_attrs" },
	{ 0x6e15b50b, "trace_raw_output_prep" },
	{ 0x84c773c1, "devl_lock" },
	{ 0xb17fe252, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x96728dda, "ndo_dflt_bridge_getlink" },
	{ 0x7c062556, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x518a5539, "xdp_features_set_redirect_target" },
	{ 0xfb477bfe, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x2ea2d539, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x5eb7a29d, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x94a0f2ed, "request_firmware" },
	{ 0xcaefc9d8, "trace_event_printf" },
	{ 0x30cb19d9, "dev_uc_del" },
	{ 0xf7370f56, "system_state" },
	{ 0x526d07ba, "flow_rule_match_cvlan" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8060a07b, "__pci_register_driver" },
	{ 0xd33137d7, "devlink_params_unregister" },
	{ 0x3f22a1ae, "dma_sync_single_for_device" },
	{ 0xd653033b, "pci_num_vf" },
	{ 0x78fccbba, "flow_rule_match_eth_addrs" },
	{ 0xde694b84, "skb_add_rx_frag" },
	{ 0xea1cd65d, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x1ac46bbb, "ptp_clock_index" },
	{ 0xa8eaf39e, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1d4df33b, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xf724b5a6, "devlink_alloc_ns" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x73cb86d5, "devl_rate_leaf_destroy" },
	{ 0x3a141122, "devlink_register" },
	{ 0xb0560255, "xdp_do_redirect" },
	{ 0x6b938114, "devlink_free" },
	{ 0xe3e46116, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x74b039b8, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x1acf9091, "devl_rate_node_create" },
	{ 0x9ff1696d, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe46a3f5c, "udp_tunnel_nic_ops" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x53b4868, "pci_set_power_state" },
	{ 0xf96ca740, "devl_rate_nodes_destroy" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xb0610c81, "pci_irq_vector" },
	{ 0x1cbfdc99, "flow_rule_match_ipv4_addrs" },
	{ 0x7c74b9fb, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xd655f67, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x87796938, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x315e9f8a, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xcd63c098, "netdev_err" },
	{ 0x9bf274fe, "pskb_expand_head" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x6f81b277, "devlink_flash_update_status_notify" },
	{ 0x3e3f03f1, "dev_driver_string" },
	{ 0x2f31d9d8, "pci_restore_msi_state" },
	{ 0xc60eff60, "trace_event_buffer_commit" },
	{ 0x3c88806, "xdp_return_buff" },
	{ 0xe68a1baa, "dev_addr_mod" },
	{ 0x8c449416, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xb7fd9c0b, "eth_type_trans" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xcc370b16, "dma_map_page_attrs" },
	{ 0xf26b03b8, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xd05f01f9, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x42922e8c, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcdf99e2d, "put_device" },
	{ 0xda2e8881, "devm_free_irq" },
	{ 0xdd918967, "net_dim" },
	{ 0x7e704e1e, "__napi_schedule" },
	{ 0xcd95a080, "ipv6_skip_exthdr" },
	{ 0x104b0af9, "xsk_set_rx_need_wakeup" },
	{ 0xdc12d749, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x618911fc, "numa_node" },
	{ 0x77bbf9a6, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x18af0a61, "__hw_addr_unsync_dev" },
	{ 0x4876ec24, "_dev_info" },
	{ 0x7da42530, "napi_gro_receive" },
	{ 0x1e4c3fac, "xdp_features_clear_redirect_target" },
	{ 0x5b8379d1, "netdev_pick_tx" },
	{ 0xf101e83, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x1a0ca2, "xp_raw_get_dma" },
	{ 0xb95ac5d0, "eth_get_headlen" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x3af89cb5, "xdp_rxq_info_is_reg" },
	{ 0x121b3bc1, "flow_rule_match_enc_opts" },
	{ 0x4e53af84, "flow_block_cb_setup_simple" },
	{ 0xacd93043, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x69919988, "flow_rule_match_basic" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xed164a41, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9745ab16, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x93d4b246, "devlink_region_create" },
	{ 0x1e1a0bcf, "__xa_alloc" },
	{ 0x2b50af60, "vlan_dev_real_dev" },
	{ 0xcc12c71a, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xccc46599, "devm_kmemdup" },
	{ 0x9c70d0c, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x8e378c3d, "perf_trace_run_bpf_submit" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0xc39e50bd, "devlink_port_unregister" },
	{ 0x9b7a3e52, "devlink_flash_update_timeout_notify" },
	{ 0x8b33cf18, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x890178a5, "_dev_err" },
	{ 0x3bff08b5, "init_net" },
	{ 0xbaa481c3, "softnet_data" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbc817c3e, "xdp_return_frame" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xda3e4ac0, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xe5b41a63, "xp_dma_sync_for_cpu_slow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe91e8585, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x29b2af89, "netif_set_real_num_tx_queues" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xaac24545, "__auxiliary_device_add" },
	{ 0xf3e2ae14, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xa1655192, "xa_load" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x8f463b63, "netif_set_real_num_rx_queues" },
	{ 0x664396db, "flow_indr_block_cb_alloc" },
	{ 0x94b84091, "pci_wait_for_pending_transaction" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x2eedc501, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x46767d7d, "pci_device_is_present" },
	{ 0x5fa634be, "pci_read_config_word" },
	{ 0x51d21fd, "pcie_flr" },
	{ 0x7dc9fba8, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x471686cd, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xe3c0f1fa, "dcbnl_ieee_notify" },
	{ 0x6b4b6657, "xsk_uses_need_wakeup" },
	{ 0xa9ca811c, "register_netdev" },
	{ 0x8b9e8971, "dev_mc_del" },
	{ 0x78875e, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x61c15e11, "free_netdev" },
	{ 0xd51d85eb, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa750b09, "ethtool_op_get_link" },
	{ 0x48e7a121, "netif_set_xps_queue" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x7cb08bf, "netif_tx_stop_all_queues" },
	{ 0x74264fb9, "pci_restore_state" },
	{ 0x8b893e6c, "bpf_trace_run1" },
	{ 0x93fcd625, "netif_tx_wake_queue" },
	{ 0x6d236517, "device_del" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x83721493, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xbc193ad2, "dcb_getapp" },
	{ 0xedd3f85b, "dmam_free_coherent" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0xde111b5, "_dev_warn" },
	{ 0x366d8fdd, "flow_rule_match_ports" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x158e25dd, "ptp_clock_event" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb8094ee8, "netif_schedule_queue" },
	{ 0x3aa7acd1, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xbadc466, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf0eb98b, "flow_rule_match_ipv6_addrs" },
	{ 0xd1251a06, "netdev_set_tc_queue" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xb7e90289, "ptp_clock_unregister" },
	{ 0xa76ca35, "__pskb_pull_tail" },
	{ 0x4ddd0d, "xp_dma_unmap" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc75f5191, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x1ff936d, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x403f75e, "dma_set_coherent_mask" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0xde2e411a, "flow_rule_match_pppoe" },
	{ 0x49b0fd78, "flow_rule_match_enc_control" },
	{ 0x9c2ab0b8, "bpf_trace_run3" },
	{ 0xa8376db3, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x896d84cf, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xdc708409, "rps_may_expire_flow" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x6c7b3f5d, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x819e5182, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x11ef543c, "devlink_params_register" },
	{ 0xec717cb0, "trace_event_buffer_reserve" },
	{ 0x59e07ec8, "kthread_destroy_worker" },
	{ 0x4635387e, "flow_rule_match_enc_ipv6_addrs" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xe52ac3fe, "flow_rule_match_enc_ports" },
	{ 0xc16cc79c, "xdp_return_frame_bulk" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x19b95610, "xa_destroy" },
	{ 0xfe31f0d9, "call_netdevice_notifiers" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0x7dd378a3, "pcie_print_link_status" },
	{ 0x65b21d9a, "xp_set_rxq_info" },
	{ 0xf83128a, "flow_rule_match_vlan" },
	{ 0x23e3505b, "xdp_rxq_info_unreg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x703b653e, "napi_build_skb" },
	{ 0xad3cbc6a, "netdev_master_upper_dev_get_rcu" },
	{ 0x8992911b, "__xdp_rxq_info_reg" },
	{ 0xb7aa84d3, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8a338e3, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf59f3af4, "__cant_migrate" },
	{ 0x11d07542, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x53891ae8, "__hw_addr_sync_dev" },
	{ 0x147c8bc6, "devlink_port_register_with_ops" },
	{ 0x1a9f5dd6, "pci_disable_sriov" },
	{ 0x9361d405, "pldmfw_flash_image" },
	{ 0x8c89c811, "kthread_queue_delayed_work" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x9850f096, "netif_carrier_on" },
	{ 0x6530e73d, "netdev_set_num_tc" },
	{ 0xb70789e, "__might_fault" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf0089d2b, "dev_uc_add_excl" },
	{ 0x34ab611, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa56e970f, "xp_free" },
	{ 0x605933f0, "dev_mc_add_excl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x430ec98c, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfaf13520, "netif_set_tso_max_size" },
	{ 0x6b98ffa0, "__skb_flow_dissect" },
	{ 0xf53b1c6e, "vlan_dev_vlan_id" },
	{ 0x59fa15ce, "pci_msix_alloc_irq_at" },
	{ 0xf930b65, "xa_find_after" },
	{ 0xb07f9dc2, "pcim_iomap_table" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x616bbfc0, "xdp_master_redirect" },
	{ 0xfcc566fd, "__devm_add_action" },
	{ 0xae6d09a6, "napi_schedule_prep" },
	{ 0xe3b7775b, "napi_consume_skb" },
	{ 0x628b279b, "pci_read_config_byte" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xb4c12979, "xp_alloc_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0x695eebdf, "napi_disable" },
	{ 0xa6464377, "dev_kfree_skb_any_reason" },
	{ 0x484d8cab, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x94b8338d, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x4def4aaa, "pcim_enable_device" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7b6312c2, "pci_free_irq_vectors" },
	{ 0xd1e1c5d, "flow_rule_match_control" },
	{ 0x7e86fd3d, "flow_rule_match_ip" },
	{ 0xcedb95a3, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9efd555d, "skb_clone_tx_timestamp" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xa60a3630, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb0d59993, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xff88ffc2, "netdev_info" },
	{ 0xa0431690, "skb_dump" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x3cc13dbb, "pci_get_dsn" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F1B753EAFAAC9C5C8029FFB");
