#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x13f70daa, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x6ac93694, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0xbfbfdb58, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x168562f0, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x55d98794, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x4f012c85, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x90aa4e24, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xbe0e8581, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xb0938c77, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x0b541673, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xdbb1e035, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x2d53ef15, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x882e88db, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x05c49b6f, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x2ef9fb92, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x7284d71c, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0xe83d9b7f, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0xbbb1c5c9, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0xe08e6f31, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xa41de716, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0xf5743cb0, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0xd4814e0f, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x9d4930a7, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0xdfd15fa2, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xd6c0ae59, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x503eff08, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0xd72dc6ab, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0xd462e6be, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x6101cb5c, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x2d7c92ec, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xa21c8da7, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x2da6f7f9, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xbef69ac2, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x0e5806b4, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x749540c3, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x0e416559, "");
SYMBOL_CRC(mlx4_test_async, 0xbf5e83f5, "");
SYMBOL_CRC(mlx4_test_interrupt, 0xfee200b5, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0xb0903c43, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xce243139, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xf94e2cb2, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x6a3a76b0, "");
SYMBOL_CRC(mlx4_assign_eq, 0x4b63be8c, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x2a693009, "");
SYMBOL_CRC(mlx4_release_eq, 0x392319e2, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x5bc6d885, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x4aab9f0a, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x939d1228, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x5c51ff06, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x5c07d9ec, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x596778dd, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x1a6cf9b2, "");
SYMBOL_CRC(mlx4_wol_read, 0x4167cf96, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0xcb067c5b, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x8c03fb53, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x4810a585, "");
SYMBOL_CRC(set_phv_bit, 0xbdbd18c6, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x357146bb, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x32d0c6a5, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xf001b89e, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xa55bfc13, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xf7fca5eb, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x5098cdf7, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x85371ad9, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x45e94c47, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x7a9e5f48, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x40a48588, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0xf0dfa6d7, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x8df37d82, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x4e82fea8, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xe3e9852c, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xa7f897bf, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xc2f17b38, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0xad2d521f, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x6890dcc2, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x2f414387, "");
SYMBOL_CRC(mlx4_read_clock, 0xe4d6b48d, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x19825f1a, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0xc9b975c9, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x91da3fa6, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0xbde3d78c, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x742a9e0d, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x4016646e, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x2e23710f, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x5b815df8, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0xe59eeb05, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0xdfe1f232, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x091b07f6, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x41cf965f, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x8edc6b8d, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0xaf38f09b, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x417375d6, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0xe81c3249, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x4a766f9e, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x688bc17a, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x9c127dcf, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x3fa1e449, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x4907d954, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x02235921, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x5d1e7108, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x56260db8, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xea356e54, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0xdad539a5, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xd1d3dd8e, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0xb72ee207, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x10b66355, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xfc20664b, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xefb76376, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x936b764e, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x9093993c, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x1e7eae23, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x5b899ef3, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0xc67f4184, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x994a76f6, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x22933a4d, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x281834ed, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xb11349d2, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x8297023f, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x4283de76, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xbbbd8814, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xe0019f2f, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x8f47ff90, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xb2be90bc, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xc2ade8cd, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x881775ad, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0xa0c521dc, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xc1f65657, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xbbc40915, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0xec16cf2a, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x5bd54416, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0xa9543792, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x5fd5ad3f, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x3f65cd23, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xb196969e, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x04e240ff, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x6216a168, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0xbd89da1e, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0xcb6f9916, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x521c71c8, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x35d5b1b8, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xb62e39e5, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0xc012a7cb, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x9fe5f1bb, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x1c566b23, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0xe4a8ef90, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x824e5ca7, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x8387da60, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x322f65d1, "");
SYMBOL_CRC(mlx4_get_module_info, 0xd8ab5c78, "");
SYMBOL_CRC(mlx4_max_tc, 0x2136a8f6, "");
SYMBOL_CRC(mlx4_put_qp, 0x0cff07a6, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xc4bab087, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x89ecefc3, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x5571d58f, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x0cc7563f, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x10fbe495, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x21d70a93, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x6fdd6139, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x7d99cd9b, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x821e18a9, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xb0da6933, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x835d0e7c, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x42db0e91, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0xf317a80e, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x36445002, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x6d4a3e31, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x7aee6225, "pcie_capability_write_word" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x11f4ec8b, "devl_region_create" },
	{ 0x81949865, "devlink_unregister" },
	{ 0xaa09883c, "dma_pool_create" },
	{ 0x4af0225d, "radix_tree_insert" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xe54cca57, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x12110092, "auxiliary_device_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xfa8bbbfe, "devlink_region_snapshot_id_get" },
	{ 0x84c773c1, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0xd8523d44, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8060a07b, "__pci_register_driver" },
	{ 0x66cb57fb, "up" },
	{ 0x3f22a1ae, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xd653033b, "pci_num_vf" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x3fa2a08d, "param_array_ops" },
	{ 0xb4024337, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf724b5a6, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x9b808211, "pci_sriov_get_totalvfs" },
	{ 0x3a141122, "devlink_register" },
	{ 0x828825a, "devlink_port_type_clear" },
	{ 0x6b938114, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x4de16d9c, "param_ops_byte" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xc9dff7b3, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x916758a3, "node_states" },
	{ 0x315e9f8a, "pci_unregister_driver" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x68cd0cc3, "pci_read_config_dword" },
	{ 0x26bad4d3, "wait_for_completion_interruptible_timeout" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x18595066, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x6ba93f6d, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd05f01f9, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xce197687, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcdf99e2d, "put_device" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xfe0d2634, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x45570b42, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x77bbf9a6, "__free_pages" },
	{ 0x4876ec24, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2021e845, "device_create_file" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x784b6911, "radix_tree_delete" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x890178a5, "_dev_err" },
	{ 0x3bff08b5, "init_net" },
	{ 0x606d8142, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa67cfc0, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0xaac24545, "__auxiliary_device_add" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xaa8c0973, "down" },
	{ 0xea5a2d7d, "devl_port_register_with_ops" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x46eb6b34, "dma_alloc_attrs" },
	{ 0x5fa634be, "pci_read_config_word" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x1e43e55b, "devl_params_register" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x74264fb9, "pci_restore_state" },
	{ 0x6d236517, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x83721493, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xbfdd4876, "devl_param_driverinit_value_set" },
	{ 0xdcb764ad, "memset" },
	{ 0xde111b5, "_dev_warn" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x3aa7acd1, "__alloc_pages" },
	{ 0xbadc466, "pci_set_master" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc0d3e37a, "atomic_notifier_call_chain" },
	{ 0x44df6546, "devl_params_unregister" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xece784c2, "rb_first" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74a76053, "down_read" },
	{ 0xc75f5191, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x403f75e, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xdbe0d7f7, "dma_free_attrs" },
	{ 0x99ffd2dd, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xf9229207, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf4a3adf1, "pci_release_regions" },
	{ 0x634dea1a, "devl_assert_locked" },
	{ 0x7dd378a3, "pcie_print_link_status" },
	{ 0xed9fa8fe, "alloc_pages" },
	{ 0x1d673dc4, "devl_port_unregister" },
	{ 0x39d05967, "devl_param_driverinit_value_get" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x11d07542, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x1a9f5dd6, "pci_disable_sriov" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9bd13155, "pci_disable_msix" },
	{ 0x34ab611, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x430ec98c, "dma_set_mask" },
	{ 0x355af491, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x22b94f67, "dma_unmap_sg_attrs" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x94b8338d, "param_ops_int" },
	{ 0x2e173531, "_dev_printk" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xcedb95a3, "pci_enable_sriov" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x483f9b1d, "pci_write_config_dword" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xc0b99887, "device_remove_file" },
	{ 0xa0b013fb, "dma_map_sg_attrs" },
	{ 0xa2d2c192, "devl_param_value_changed" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "404B5ACF317598EB45AF60F");
