#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x79cadde7, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x0b8fce5b, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x038effbf, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x395de0f5, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x4687e28b, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x7033f772, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x67e8ef38, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x86836853, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x5de0163c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x575b35f0, "__skb_get_hash" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xdcb764ad, "memset" },
	{ 0xd4130890, "_copy_to_iter" },
	{ 0xa15de923, "iov_iter_advance" },
	{ 0x48db02dd, "skb_copy_datagram_iter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x5849fb38, "cdev_init" },
	{ 0xd78b1ebf, "cdev_add" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9e6362a0, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe77c0f05, "consume_skb" },
	{ 0x53df7429, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x139ac4e9, "skb_push" },
	{ 0x26befc9f, "__skb_gso_segment" },
	{ 0x42922e8c, "skb_checksum_help" },
	{ 0x58c66688, "kfree_skb_list_reason" },
	{ 0x4fca433f, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xcd63c098, "netdev_err" },
	{ 0x7344405a, "idr_find" },
	{ 0x16d277fc, "sk_alloc" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xbf8b47f8, "sock_init_data_uid" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xec08b731, "skb_partial_csum_set" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x6b98ffa0, "__skb_flow_dissect" },
	{ 0xa76ca35, "__pskb_pull_tail" },
	{ 0x9a573584, "build_skb" },
	{ 0x424b4938, "skb_put" },
	{ 0xda1f85c0, "__dev_queue_xmit" },
	{ 0x8ea99ffa, "skb_copy_bits" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xb70789e, "__might_fault" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x4558f895, "dev_set_mac_address_user" },
	{ 0xfdef6ff5, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xfaa4b453, "iov_iter_npages" },
	{ 0xd31e7ef5, "sock_alloc_send_pskb" },
	{ 0x4903f453, "zerocopy_sg_from_iter" },
	{ 0x4369a50c, "_copy_from_iter" },
	{ 0x6f4fcd96, "skb_copy_datagram_from_iter" },
	{ 0x9e2016e7, "iov_iter_revert" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x32040443, "compat_ptr_ioctl" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5B8F853864CAC40F21BA3A8");
