#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0x08c31a03, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0x3ada2a49, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0x28f32e67, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0xd222f817, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0x7ab206d8, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0xe37a6acd, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0x7f2c7154, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0x103c1418, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0x0eaf53ac, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0x50e66bff, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0x8d307284, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0x9e51cf64, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0xf71c2545, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0xcc6daf40, "_gpl");
SYMBOL_CRC(gether_suspend, 0x0f82dd7d, "_gpl");
SYMBOL_CRC(gether_resume, 0xa8e714b1, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0x92c33e35, "_gpl");
SYMBOL_CRC(gether_disconnect, 0x5504d6fa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdd64e639, "strscpy" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe68a1baa, "dev_addr_mod" },
	{ 0xa9ca811c, "register_netdev" },
	{ 0x4876ec24, "_dev_info" },
	{ 0xb8a338e3, "netif_carrier_off" },
	{ 0xd655f67, "__dynamic_dev_dbg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x98cf60b3, "strlen" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x349cba85, "strchr" },
	{ 0x9166fada, "strncpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x7c062556, "unregister_netdev" },
	{ 0x5efde415, "flush_work" },
	{ 0x61c15e11, "free_netdev" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x890178a5, "_dev_err" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x53ceee8a, "alloc_etherdev_mqs" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xde111b5, "_dev_warn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x3ea59b5d, "usb_ep_alloc_request" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2af38e5f, "usb_ep_free_request" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xebf936af, "__netdev_alloc_skb" },
	{ 0xac5667d9, "usb_ep_queue" },
	{ 0xa6464377, "dev_kfree_skb_any_reason" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x424b4938, "skb_put" },
	{ 0x6142b5b8, "skb_dequeue" },
	{ 0xb7fd9c0b, "eth_type_trans" },
	{ 0x927330c7, "netif_rx" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x31992073, "skb_queue_tail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x93fcd625, "netif_tx_wake_queue" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x784d9a58, "usb_ep_enable" },
	{ 0x9850f096, "netif_carrier_on" },
	{ 0x2c53cadb, "usb_ep_disable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5eaaff94, "usb_func_wakeup" },
	{ 0xcb2dc80, "usb_gadget_wakeup" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbca07da, "eth_mac_addr" },
	{ 0xe3e46116, "eth_validate_addr" },
	{ 0xa750b09, "ethtool_op_get_link" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "libcomposite");


MODULE_INFO(srcversion, "4EA8C2D081ACC09E25E43E8");
