#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0xbb967de8, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xdb2fc3b7, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x2b859197, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x8efcadf4, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x6deabfec, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x76879f85, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x1f94ca9e, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x9389b49b, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xa0072239, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x23e29d25, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x11eb50c8, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xfe83fabf, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x68116f5f, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x3d9bd1e1, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0xed071ff5, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0xb848cc43, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x778a67c5, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x1db13555, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xf318cbf2, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d4a3e31, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x84c930d2, "request_resource" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9e1b417c, "pci_read_vpd" },
	{ 0xe59557d5, "bus_unregister_notifier" },
	{ 0xf6fc50bb, "pci_request_selected_regions" },
	{ 0xf91494f9, "pci_release_selected_regions" },
	{ 0x12d3975e, "pci_user_write_config_byte" },
	{ 0xe54cca57, "pci_enable_device" },
	{ 0xc461b292, "pci_bus_max_busnr" },
	{ 0x3863975f, "pci_check_and_mask_intx" },
	{ 0x38ccd06a, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x4f54e957, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xe8c4e4fe, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xedb780ca, "pci_dev_put" },
	{ 0x633b5f72, "iommu_group_get" },
	{ 0x32cbfb55, "vfio_virqfd_disable" },
	{ 0xbb63fdab, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xdc4a0bae, "fget" },
	{ 0xd653033b, "pci_num_vf" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf40ed402, "pci_user_read_config_dword" },
	{ 0x244df648, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x853286dc, "dump_mm" },
	{ 0xed00b5dd, "pci_user_read_config_word" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa53426f8, "pci_probe_reset_bus" },
	{ 0x67c24a81, "pci_probe_reset_slot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x4ac1818c, "zap_vma_ptes" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x53b4868, "pci_set_power_state" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xb0610c81, "pci_irq_vector" },
	{ 0xb786bf75, "pci_write_msi_msg" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0xd655f67, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x2c41b000, "down_read_trylock" },
	{ 0x68cd0cc3, "pci_read_config_dword" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xeb677b93, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe8689b3c, "pci_user_write_config_word" },
	{ 0xa54add62, "bus_register_notifier" },
	{ 0x4876ec24, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x8010bfa5, "vfio_file_is_group" },
	{ 0xacd93043, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x10748b76, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xcc12c71a, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x6d0dac9f, "__pci_reset_function_locked" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x17b6bf2f, "fput" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x606d8142, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa1655192, "xa_load" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x22a3ca18, "pci_write_vpd" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xfb74951b, "vfio_virqfd_enable" },
	{ 0xe16eec54, "vga_client_register" },
	{ 0x5fa634be, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x976bc420, "aperture_remove_conflicting_pci_devices" },
	{ 0x221c6a8d, "vfio_unregister_group_dev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x9e638fdf, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x49bff3ca, "pci_store_saved_state" },
	{ 0x13640660, "get_cached_msi_msg" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xf44492b5, "pci_iounmap" },
	{ 0x74264fb9, "pci_restore_state" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xde111b5, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x15ab3f97, "pcie_get_mps" },
	{ 0xe7b9746e, "pci_dev_trylock" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x90cc0ac4, "down_write_trylock" },
	{ 0x74a76053, "down_read" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0xe93dcfca, "pci_dev_driver" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0x271561f0, "__mmap_lock_do_trace_start_locking" },
	{ 0x3a06ceec, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x896d84cf, "_dev_notice" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x48ad470b, "pm_runtime_forbid" },
	{ 0xa57da6db, "pm_runtime_allow" },
	{ 0x36a73d8d, "pci_reset_bus" },
	{ 0x3424c477, "mmput" },
	{ 0xf53f89a9, "__pm_runtime_resume" },
	{ 0xf0c395c6, "vfio_register_group_dev" },
	{ 0x5a5879c8, "vfio_assign_device_set" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x6c3a36fe, "pci_user_read_config_byte" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4528ba60, "pci_try_reset_function" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x966486c1, "pci_get_class" },
	{ 0x450887cc, "pci_user_write_config_dword" },
	{ 0x4df37412, "pcie_capability_read_dword" },
	{ 0x31971354, "__mmap_lock_do_trace_released" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xd20c3adf, "pci_load_and_free_saved_state" },
	{ 0x1a9f5dd6, "pci_disable_sriov" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb70789e, "__might_fault" },
	{ 0xb0c99d5a, "vfio_device_set_open_count" },
	{ 0x34ab611, "pci_disable_device" },
	{ 0xa0e927be, "pci_match_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xca78d34d, "pci_check_and_unmask_intx" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb62f4d98, "pcie_set_readrq" },
	{ 0x4f338dfe, "pci_walk_bus" },
	{ 0x59fa15ce, "pci_msix_alloc_irq_at" },
	{ 0xf930b65, "xa_find_after" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xf2016769, "pci_unmap_rom" },
	{ 0x628b279b, "pci_read_config_byte" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x1366fe77, "release_resource" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x2f4fabf1, "vga_set_legacy_decoding" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6aea26a, "pci_dev_unlock" },
	{ 0xf81687fa, "pci_write_config_word" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7b6312c2, "pci_free_irq_vectors" },
	{ 0xcedb95a3, "pci_enable_sriov" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xb180685d, "__pm_runtime_idle" },
	{ 0xf23c070f, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5e7c7c, "pci_bus_type" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "705CC029AEE0A07894BF004");
