#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_platform_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_platform_open_device, "_gpl", "");
KSYMTAB_FUNC(vfio_platform_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_platform_read, "_gpl", "");
KSYMTAB_FUNC(vfio_platform_write, "_gpl", "");
KSYMTAB_FUNC(vfio_platform_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_platform_init_common, "_gpl", "");
KSYMTAB_FUNC(vfio_platform_release_common, "_gpl", "");
KSYMTAB_FUNC(__vfio_platform_register_reset, "_gpl", "");
KSYMTAB_FUNC(vfio_platform_unregister_reset, "_gpl", "");

SYMBOL_CRC(vfio_platform_close_device, 0x9dfa8844, "_gpl");
SYMBOL_CRC(vfio_platform_open_device, 0xeff21d38, "_gpl");
SYMBOL_CRC(vfio_platform_ioctl, 0xd354cd0e, "_gpl");
SYMBOL_CRC(vfio_platform_read, 0x156ad655, "_gpl");
SYMBOL_CRC(vfio_platform_write, 0x8521e389, "_gpl");
SYMBOL_CRC(vfio_platform_mmap, 0x83770b36, "_gpl");
SYMBOL_CRC(vfio_platform_init_common, 0x3d48fa66, "_gpl");
SYMBOL_CRC(vfio_platform_release_common, 0x711d6442, "_gpl");
SYMBOL_CRC(__vfio_platform_register_reset, 0x1a3ab533, "_gpl");
SYMBOL_CRC(vfio_platform_unregister_reset, 0x261a68fc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x691f467d, "try_module_get" },
	{ 0xb55c79e1, "acpi_device_hid" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x7c93c111, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x32cbfb55, "vfio_virqfd_disable" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x244df648, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4876ec24, "_dev_info" },
	{ 0xd286005, "module_put" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x890178a5, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x9808f112, "irq_get_irq_data" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xde4e2b21, "device_property_read_string" },
	{ 0xfb74951b, "vfio_virqfd_enable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xde111b5, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf53f89a9, "__pm_runtime_resume" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb180685d, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "42692BCB4351ECA273D4447");
