#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mrp_request_join, "_gpl", "");
KSYMTAB_FUNC(mrp_request_leave, "_gpl", "");
KSYMTAB_FUNC(mrp_init_applicant, "_gpl", "");
KSYMTAB_FUNC(mrp_uninit_applicant, "_gpl", "");
KSYMTAB_FUNC(mrp_register_application, "_gpl", "");
KSYMTAB_FUNC(mrp_unregister_application, "_gpl", "");

SYMBOL_CRC(mrp_request_join, 0xe69362bf, "_gpl");
SYMBOL_CRC(mrp_request_leave, 0x2b05d313, "_gpl");
SYMBOL_CRC(mrp_init_applicant, 0x03dd0e61, "_gpl");
SYMBOL_CRC(mrp_uninit_applicant, 0x3e91649e, "_gpl");
SYMBOL_CRC(mrp_register_application, 0xfa4d1944, "_gpl");
SYMBOL_CRC(mrp_unregister_application, 0xf552e509, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xaf2c5385, "dev_add_pack" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xf491a48b, "dev_remove_pack" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0xb86496f7, "dev_mc_add" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x37a0cba, "kfree" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x31992073, "skb_queue_tail" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x4829a47e, "memcpy" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x5f8c8cf9, "__alloc_skb" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xece784c2, "rb_first" },
	{ 0xca9360b5, "rb_next" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xda1f85c0, "__dev_queue_xmit" },
	{ 0x6142b5b8, "skb_dequeue" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x491020e7, "timer_shutdown_sync" },
	{ 0x8b9e8971, "dev_mc_del" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x8ea99ffa, "skb_copy_bits" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0x830d8cfd, "skb_clone" },
	{ 0xe77c0f05, "consume_skb" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x8d507427, "param_ops_uint" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0EAAB996B60917BACD7ADA9");
