#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ax25_bcast, "_gpl", "");
KSYMTAB_DATA(ax25_defaddr, "_gpl", "");
KSYMTAB_DATA(null_ax25_address, "", "");
KSYMTAB_FUNC(ax2asc, "", "");
KSYMTAB_FUNC(asc2ax, "", "");
KSYMTAB_FUNC(ax25cmp, "", "");
KSYMTAB_FUNC(ax25_register_pid, "_gpl", "");
KSYMTAB_FUNC(ax25_protocol_release, "", "");
KSYMTAB_FUNC(ax25_linkfail_register, "", "");
KSYMTAB_FUNC(ax25_linkfail_release, "", "");
KSYMTAB_FUNC(ax25_listen_register, "", "");
KSYMTAB_FUNC(ax25_listen_release, "", "");
KSYMTAB_DATA(ax25_header_ops, "", "");
KSYMTAB_FUNC(ax25_ip_xmit, "", "");
KSYMTAB_FUNC(ax25_send_frame, "", "");
KSYMTAB_FUNC(ax25_display_timer, "", "");
KSYMTAB_DATA(ax25_uid_policy, "", "");
KSYMTAB_FUNC(ax25_findbyuid, "", "");
KSYMTAB_FUNC(ax25_find_cb, "", "");

SYMBOL_CRC(ax25_bcast, 0xac93ae05, "_gpl");
SYMBOL_CRC(ax25_defaddr, 0xaeb7451e, "_gpl");
SYMBOL_CRC(null_ax25_address, 0xd43ecbf1, "");
SYMBOL_CRC(ax2asc, 0x53dea1ff, "");
SYMBOL_CRC(asc2ax, 0x4502c65a, "");
SYMBOL_CRC(ax25cmp, 0xc1444946, "");
SYMBOL_CRC(ax25_register_pid, 0x0cbbd229, "_gpl");
SYMBOL_CRC(ax25_protocol_release, 0x8ede9e26, "");
SYMBOL_CRC(ax25_linkfail_register, 0xbd16a9d0, "");
SYMBOL_CRC(ax25_linkfail_release, 0xb3d5fb4a, "");
SYMBOL_CRC(ax25_listen_register, 0xbd2e7e06, "");
SYMBOL_CRC(ax25_listen_release, 0x0d5c9cc6, "");
SYMBOL_CRC(ax25_header_ops, 0x0ed7e2b5, "");
SYMBOL_CRC(ax25_ip_xmit, 0x242530ea, "");
SYMBOL_CRC(ax25_send_frame, 0x3bfb3410, "");
SYMBOL_CRC(ax25_display_timer, 0xb0b24f30, "");
SYMBOL_CRC(ax25_uid_policy, 0x242852b9, "");
SYMBOL_CRC(ax25_findbyuid, 0xee02e420, "");
SYMBOL_CRC(ax25_find_cb, 0x716e4925, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x19f2feb1, "skb_free_datagram" },
	{ 0xc66247c2, "sock_queue_rcv_skb_reason" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x424b4938, "skb_put" },
	{ 0x85b514ba, "skb_expand_head" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf2c5385, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6142b5b8, "skb_dequeue" },
	{ 0x53df7429, "finish_wait" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7e2dd6d5, "__skb_try_recv_datagram" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x6d20b09b, "__dev_get_by_name" },
	{ 0xe62a3971, "skb_queue_purge_reason" },
	{ 0x6ddcc303, "register_net_sysctl_sz" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8384c2b9, "proto_unregister" },
	{ 0x1000e51, "schedule" },
	{ 0xc1293c02, "sock_register" },
	{ 0x23b5deaf, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb5cfffcc, "make_kuid" },
	{ 0x5f8c8cf9, "__alloc_skb" },
	{ 0x16532b81, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x31992073, "skb_queue_tail" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3bff08b5, "init_net" },
	{ 0x8e2c0e06, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa67cfc0, "add_timer" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xf491a48b, "dev_remove_pack" },
	{ 0x4fca433f, "sk_free" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xc5294929, "_raw_write_lock" },
	{ 0x139ac4e9, "skb_push" },
	{ 0x543ef284, "seq_hlist_start" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe41f2809, "_raw_read_unlock" },
	{ 0xcd0ecc9c, "_raw_write_unlock" },
	{ 0x4bac21c, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x48db02dd, "skb_copy_datagram_iter" },
	{ 0xe074cd34, "__skb_wait_for_more_packets" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x16d277fc, "sk_alloc" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x4e70ac85, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x491020e7, "timer_shutdown_sync" },
	{ 0x13f09b3c, "skb_dequeue_tail" },
	{ 0x5514ed75, "sock_no_mmap" },
	{ 0x927330c7, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x72f46ef3, "sock_rfree" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdacab184, "sock_i_ino" },
	{ 0xda1f85c0, "__dev_queue_xmit" },
	{ 0x1d0fb6f3, "skb_set_owner_w" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xd31e7ef5, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf3d4b617, "remove_proc_entry" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xac4c9dc8, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x633306cb, "skb_copy" },
	{ 0x830d8cfd, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x4369a50c, "_copy_from_iter" },
	{ 0x3f75b01b, "_raw_read_lock" },
	{ 0xb70789e, "__might_fault" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x87847c06, "seq_puts" },
	{ 0x38f33a9, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb8eae6a, "send_sig" },
	{ 0x12ad23cc, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1d6a8844, "from_kuid_munged" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0x9e2016e7, "iov_iter_revert" },
	{ 0x3cf3ef6b, "proc_create_seq_private" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xb0f2059c, "sock_init_data" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x5c6c757b, "release_sock" },
	{ 0x4995fe2d, "skb_queue_head" },
	{ 0x94dee2e4, "proc_dointvec_minmax" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "76E250B589ED8E43E930D5F");
