#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(libceph_compatible, "", "");
KSYMTAB_FUNC(ceph_msg_type_name, "", "");
KSYMTAB_FUNC(ceph_check_fsid, "", "");
KSYMTAB_FUNC(ceph_compare_options, "", "");
KSYMTAB_FUNC(ceph_parse_fsid, "", "");
KSYMTAB_FUNC(ceph_alloc_options, "", "");
KSYMTAB_FUNC(ceph_destroy_options, "", "");
KSYMTAB_FUNC(ceph_parse_mon_ips, "", "");
KSYMTAB_FUNC(ceph_parse_param, "", "");
KSYMTAB_FUNC(ceph_print_client_options, "", "");
KSYMTAB_FUNC(ceph_client_addr, "", "");
KSYMTAB_FUNC(ceph_client_gid, "", "");
KSYMTAB_FUNC(ceph_create_client, "", "");
KSYMTAB_FUNC(ceph_destroy_client, "", "");
KSYMTAB_FUNC(ceph_reset_client_addr, "", "");
KSYMTAB_FUNC(__ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_wait_for_latest_osdmap, "", "");
KSYMTAB_FUNC(ceph_pr_addr, "", "");
KSYMTAB_FUNC(ceph_msgr_flush, "", "");
KSYMTAB_FUNC(ceph_con_close, "", "");
KSYMTAB_FUNC(ceph_con_open, "", "");
KSYMTAB_FUNC(ceph_con_init, "", "");
KSYMTAB_FUNC(ceph_addr_is_blank, "", "");
KSYMTAB_FUNC(ceph_con_send, "", "");
KSYMTAB_FUNC(ceph_con_keepalive, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pages, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pagelist, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bio, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bvecs, "", "");
KSYMTAB_FUNC(ceph_msg_new2, "", "");
KSYMTAB_FUNC(ceph_msg_new, "", "");
KSYMTAB_FUNC(ceph_msg_get, "", "");
KSYMTAB_FUNC(ceph_msg_put, "", "");
KSYMTAB_FUNC(ceph_msg_dump, "", "");
KSYMTAB_FUNC(ceph_buffer_new, "", "");
KSYMTAB_FUNC(ceph_buffer_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_alloc, "", "");
KSYMTAB_FUNC(ceph_pagelist_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_append, "", "");
KSYMTAB_FUNC(ceph_pagelist_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_free_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_set_cursor, "", "");
KSYMTAB_FUNC(ceph_pagelist_truncate, "", "");
KSYMTAB_FUNC(ceph_monc_want_map, "", "");
KSYMTAB_FUNC(ceph_monc_got_map, "", "");
KSYMTAB_FUNC(ceph_monc_renew_subs, "", "");
KSYMTAB_FUNC(ceph_monc_wait_osdmap, "", "");
KSYMTAB_FUNC(ceph_monc_open_session, "", "");
KSYMTAB_FUNC(ceph_monc_do_statfs, "", "");
KSYMTAB_FUNC(ceph_monc_get_version, "", "");
KSYMTAB_FUNC(ceph_monc_get_version_async, "", "");
KSYMTAB_FUNC(ceph_monc_blocklist_add, "", "");
KSYMTAB_FUNC(ceph_monc_init, "", "");
KSYMTAB_FUNC(ceph_monc_stop, "", "");
KSYMTAB_FUNC(ceph_monc_validate_auth, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addr, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addrvec, "", "");
KSYMTAB_FUNC(ceph_cls_lock, "", "");
KSYMTAB_FUNC(ceph_cls_unlock, "", "");
KSYMTAB_FUNC(ceph_cls_break_lock, "", "");
KSYMTAB_FUNC(ceph_cls_set_cookie, "", "");
KSYMTAB_FUNC(ceph_free_lockers, "", "");
KSYMTAB_FUNC(ceph_cls_lock_info, "", "");
KSYMTAB_FUNC(ceph_cls_assert_locked, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data, "", "");
KSYMTAB_FUNC(osd_req_op_raw_data_in_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pagelist, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bio, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvec_pos, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_iter, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pagelist, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_cls_response_data_pages, "", "");
KSYMTAB_FUNC(ceph_osdc_get_request, "", "");
KSYMTAB_FUNC(ceph_osdc_put_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_messages, "", "");
KSYMTAB_FUNC(osd_req_op_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_update, "", "");
KSYMTAB_FUNC(osd_req_op_extent_dup_last, "", "");
KSYMTAB_FUNC(osd_req_op_cls_init, "", "");
KSYMTAB_FUNC(osd_req_op_xattr_init, "", "");
KSYMTAB_FUNC(osd_req_op_alloc_hint_init, "", "");
KSYMTAB_FUNC(ceph_osdc_new_request, "", "");
KSYMTAB_FUNC(__ceph_alloc_sparse_ext_map, "", "");
KSYMTAB_FUNC(ceph_osdc_abort_requests, "", "");
KSYMTAB_FUNC(ceph_osdc_clear_abort_err, "", "");
KSYMTAB_FUNC(ceph_osdc_update_epoch_barrier, "", "");
KSYMTAB_FUNC(ceph_osdc_start_request, "", "");
KSYMTAB_FUNC(ceph_osdc_cancel_request, "", "");
KSYMTAB_FUNC(ceph_osdc_wait_request, "", "");
KSYMTAB_FUNC(ceph_osdc_sync, "", "");
KSYMTAB_FUNC(ceph_osdc_watch, "", "");
KSYMTAB_FUNC(ceph_osdc_unwatch, "", "");
KSYMTAB_FUNC(ceph_osdc_notify_ack, "", "");
KSYMTAB_FUNC(ceph_osdc_notify, "", "");
KSYMTAB_FUNC(ceph_osdc_list_watchers, "", "");
KSYMTAB_FUNC(ceph_osdc_flush_notifies, "", "");
KSYMTAB_FUNC(ceph_osdc_maybe_request_map, "", "");
KSYMTAB_FUNC(ceph_osdc_call, "", "");
KSYMTAB_FUNC(osd_req_op_copy_from_init, "", "");
KSYMTAB_FUNC(ceph_pg_pool_name_by_id, "", "");
KSYMTAB_FUNC(ceph_pg_poolid_by_name, "", "");
KSYMTAB_FUNC(ceph_pg_pool_flags, "", "");
KSYMTAB_FUNC(ceph_oloc_copy, "", "");
KSYMTAB_FUNC(ceph_oloc_destroy, "", "");
KSYMTAB_FUNC(ceph_oid_copy, "", "");
KSYMTAB_FUNC(ceph_oid_printf, "", "");
KSYMTAB_FUNC(ceph_oid_aprintf, "", "");
KSYMTAB_FUNC(ceph_oid_destroy, "", "");
KSYMTAB_FUNC(ceph_object_locator_to_pg, "", "");
KSYMTAB_FUNC(ceph_pg_to_acting_primary, "", "");
KSYMTAB_FUNC(ceph_calc_file_object_mapping, "", "");
KSYMTAB_FUNC(ceph_file_to_extents, "", "");
KSYMTAB_FUNC(ceph_iterate_extents, "", "");
KSYMTAB_FUNC(ceph_extent_to_file, "", "");
KSYMTAB_FUNC(ceph_get_num_objects, "", "");
KSYMTAB_FUNC(ceph_auth_is_authenticated, "", "");
KSYMTAB_FUNC(__ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_destroy_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_add_authorizer_challenge, "", "");
KSYMTAB_FUNC(ceph_auth_verify_authorizer_reply, "", "");
KSYMTAB_FUNC(ceph_auth_invalidate_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_more, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_done, "", "");
KSYMTAB_FUNC(ceph_auth_handle_bad_authorizer, "", "");
KSYMTAB_FUNC(ceph_entity_type_name, "", "");
KSYMTAB_FUNC(ceph_str_hash, "", "");
KSYMTAB_FUNC(ceph_str_hash_name, "", "");
KSYMTAB_FUNC(ceph_put_page_vector, "", "");
KSYMTAB_FUNC(ceph_release_page_vector, "", "");
KSYMTAB_FUNC(ceph_alloc_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_user_to_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_to_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_from_page_vector, "", "");
KSYMTAB_FUNC(ceph_zero_page_vector_range, "", "");
KSYMTAB_FUNC(ceph_create_snap_context, "", "");
KSYMTAB_FUNC(ceph_get_snap_context, "", "");
KSYMTAB_FUNC(ceph_put_snap_context, "", "");
KSYMTAB_FUNC(ceph_find_or_create_string, "", "");
KSYMTAB_FUNC(ceph_release_string, "", "");

SYMBOL_CRC(libceph_compatible, 0x466b85b8, "");
SYMBOL_CRC(ceph_msg_type_name, 0xb54676fa, "");
SYMBOL_CRC(ceph_check_fsid, 0x530ed38b, "");
SYMBOL_CRC(ceph_compare_options, 0x85190c30, "");
SYMBOL_CRC(ceph_parse_fsid, 0x4affd6c2, "");
SYMBOL_CRC(ceph_alloc_options, 0x987d3968, "");
SYMBOL_CRC(ceph_destroy_options, 0xd4d736db, "");
SYMBOL_CRC(ceph_parse_mon_ips, 0x81bb50f8, "");
SYMBOL_CRC(ceph_parse_param, 0x5fb64424, "");
SYMBOL_CRC(ceph_print_client_options, 0x99c778ff, "");
SYMBOL_CRC(ceph_client_addr, 0x47ecfa51, "");
SYMBOL_CRC(ceph_client_gid, 0xeb405654, "");
SYMBOL_CRC(ceph_create_client, 0x7095fd97, "");
SYMBOL_CRC(ceph_destroy_client, 0x3b1194cd, "");
SYMBOL_CRC(ceph_reset_client_addr, 0xbe318325, "");
SYMBOL_CRC(__ceph_open_session, 0x165d84b6, "");
SYMBOL_CRC(ceph_open_session, 0xeb7fbd9d, "");
SYMBOL_CRC(ceph_wait_for_latest_osdmap, 0xaccde13e, "");
SYMBOL_CRC(ceph_pr_addr, 0x6a7a38a0, "");
SYMBOL_CRC(ceph_msgr_flush, 0xafb8a407, "");
SYMBOL_CRC(ceph_con_close, 0x38ecf9a0, "");
SYMBOL_CRC(ceph_con_open, 0xcf64dd2a, "");
SYMBOL_CRC(ceph_con_init, 0x9e8c2111, "");
SYMBOL_CRC(ceph_addr_is_blank, 0xf254297e, "");
SYMBOL_CRC(ceph_con_send, 0xd4af1fe1, "");
SYMBOL_CRC(ceph_con_keepalive, 0x51b3db32, "");
SYMBOL_CRC(ceph_msg_data_add_pages, 0x885bb242, "");
SYMBOL_CRC(ceph_msg_data_add_pagelist, 0x830e0d06, "");
SYMBOL_CRC(ceph_msg_data_add_bio, 0x5c53ce2d, "");
SYMBOL_CRC(ceph_msg_data_add_bvecs, 0x578d66d1, "");
SYMBOL_CRC(ceph_msg_new2, 0x5c411d3d, "");
SYMBOL_CRC(ceph_msg_new, 0xde95c8d8, "");
SYMBOL_CRC(ceph_msg_get, 0xcaa1029a, "");
SYMBOL_CRC(ceph_msg_put, 0xf38c6d6a, "");
SYMBOL_CRC(ceph_msg_dump, 0xeb556303, "");
SYMBOL_CRC(ceph_buffer_new, 0x9fbba67f, "");
SYMBOL_CRC(ceph_buffer_release, 0xb72c162e, "");
SYMBOL_CRC(ceph_pagelist_alloc, 0xe76e7226, "");
SYMBOL_CRC(ceph_pagelist_release, 0x2a983d26, "");
SYMBOL_CRC(ceph_pagelist_append, 0xefce991c, "");
SYMBOL_CRC(ceph_pagelist_reserve, 0xefce3c3b, "");
SYMBOL_CRC(ceph_pagelist_free_reserve, 0x165b1948, "");
SYMBOL_CRC(ceph_pagelist_set_cursor, 0xf03fe862, "");
SYMBOL_CRC(ceph_pagelist_truncate, 0xc366bfa1, "");
SYMBOL_CRC(ceph_monc_want_map, 0xbfb5a142, "");
SYMBOL_CRC(ceph_monc_got_map, 0x6448a804, "");
SYMBOL_CRC(ceph_monc_renew_subs, 0x14a83982, "");
SYMBOL_CRC(ceph_monc_wait_osdmap, 0x43ae141f, "");
SYMBOL_CRC(ceph_monc_open_session, 0xc054f545, "");
SYMBOL_CRC(ceph_monc_do_statfs, 0x7873bd26, "");
SYMBOL_CRC(ceph_monc_get_version, 0x0c1c8f90, "");
SYMBOL_CRC(ceph_monc_get_version_async, 0x00ffadf3, "");
SYMBOL_CRC(ceph_monc_blocklist_add, 0x9098c62d, "");
SYMBOL_CRC(ceph_monc_init, 0xf436c451, "");
SYMBOL_CRC(ceph_monc_stop, 0x20315b70, "");
SYMBOL_CRC(ceph_monc_validate_auth, 0x4273ad9c, "");
SYMBOL_CRC(ceph_decode_entity_addr, 0xd4eb7735, "");
SYMBOL_CRC(ceph_decode_entity_addrvec, 0x50603ce3, "");
SYMBOL_CRC(ceph_cls_lock, 0x838cb6a1, "");
SYMBOL_CRC(ceph_cls_unlock, 0x4fd0144b, "");
SYMBOL_CRC(ceph_cls_break_lock, 0xc29c0047, "");
SYMBOL_CRC(ceph_cls_set_cookie, 0xb886c394, "");
SYMBOL_CRC(ceph_free_lockers, 0xa698f998, "");
SYMBOL_CRC(ceph_cls_lock_info, 0x8fbd7d9d, "");
SYMBOL_CRC(ceph_cls_assert_locked, 0x5213ac2a, "");
SYMBOL_CRC(osd_req_op_extent_osd_data, 0xcbff258a, "");
SYMBOL_CRC(osd_req_op_raw_data_in_pages, 0x2b324d08, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pages, 0x2175bb7a, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pagelist, 0x87ada2ba, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bio, 0x3fbca03b, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvecs, 0xc390cb92, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvec_pos, 0x1d604933, "");
SYMBOL_CRC(osd_req_op_extent_osd_iter, 0x68573992, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pagelist, 0xba7ed427, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pages, 0x2e0fa8e2, "");
SYMBOL_CRC(osd_req_op_cls_request_data_bvecs, 0x50e4bd12, "");
SYMBOL_CRC(osd_req_op_cls_response_data_pages, 0xcca107e1, "");
SYMBOL_CRC(ceph_osdc_get_request, 0xc8e5c71a, "");
SYMBOL_CRC(ceph_osdc_put_request, 0x832aa693, "");
SYMBOL_CRC(ceph_osdc_alloc_request, 0xbdbc546a, "");
SYMBOL_CRC(ceph_osdc_alloc_messages, 0x35248ca3, "");
SYMBOL_CRC(osd_req_op_init, 0x1f9c98f3, "");
SYMBOL_CRC(osd_req_op_extent_init, 0xa8072ef0, "");
SYMBOL_CRC(osd_req_op_extent_update, 0x1502551d, "");
SYMBOL_CRC(osd_req_op_extent_dup_last, 0x97b45f6c, "");
SYMBOL_CRC(osd_req_op_cls_init, 0xa9cdd24a, "");
SYMBOL_CRC(osd_req_op_xattr_init, 0xd81b2291, "");
SYMBOL_CRC(osd_req_op_alloc_hint_init, 0x24d159ac, "");
SYMBOL_CRC(ceph_osdc_new_request, 0x09034a44, "");
SYMBOL_CRC(__ceph_alloc_sparse_ext_map, 0xb5ef27ae, "");
SYMBOL_CRC(ceph_osdc_abort_requests, 0xf7782c25, "");
SYMBOL_CRC(ceph_osdc_clear_abort_err, 0x06a64106, "");
SYMBOL_CRC(ceph_osdc_update_epoch_barrier, 0xac5d108e, "");
SYMBOL_CRC(ceph_osdc_start_request, 0x38b9db10, "");
SYMBOL_CRC(ceph_osdc_cancel_request, 0x5197d895, "");
SYMBOL_CRC(ceph_osdc_wait_request, 0x391daec4, "");
SYMBOL_CRC(ceph_osdc_sync, 0xac3bf3f8, "");
SYMBOL_CRC(ceph_osdc_watch, 0x1b548d98, "");
SYMBOL_CRC(ceph_osdc_unwatch, 0x4ad9a89a, "");
SYMBOL_CRC(ceph_osdc_notify_ack, 0x5cae8421, "");
SYMBOL_CRC(ceph_osdc_notify, 0x4d744b64, "");
SYMBOL_CRC(ceph_osdc_list_watchers, 0x71f98447, "");
SYMBOL_CRC(ceph_osdc_flush_notifies, 0x6845e6d4, "");
SYMBOL_CRC(ceph_osdc_maybe_request_map, 0xd195c90e, "");
SYMBOL_CRC(ceph_osdc_call, 0x0fc17fd8, "");
SYMBOL_CRC(osd_req_op_copy_from_init, 0x010badbd, "");
SYMBOL_CRC(ceph_pg_pool_name_by_id, 0x32b54974, "");
SYMBOL_CRC(ceph_pg_poolid_by_name, 0xfaca1e43, "");
SYMBOL_CRC(ceph_pg_pool_flags, 0x8500b26e, "");
SYMBOL_CRC(ceph_oloc_copy, 0xbd2f79ae, "");
SYMBOL_CRC(ceph_oloc_destroy, 0x417a9131, "");
SYMBOL_CRC(ceph_oid_copy, 0x2087719e, "");
SYMBOL_CRC(ceph_oid_printf, 0xdf6ef4a1, "");
SYMBOL_CRC(ceph_oid_aprintf, 0x5aeeee62, "");
SYMBOL_CRC(ceph_oid_destroy, 0x2101cbc9, "");
SYMBOL_CRC(ceph_object_locator_to_pg, 0xf36f2136, "");
SYMBOL_CRC(ceph_pg_to_acting_primary, 0x16b4dbe9, "");
SYMBOL_CRC(ceph_calc_file_object_mapping, 0x9fefa3cb, "");
SYMBOL_CRC(ceph_file_to_extents, 0x38f2d94e, "");
SYMBOL_CRC(ceph_iterate_extents, 0xeef6cfa3, "");
SYMBOL_CRC(ceph_extent_to_file, 0xca80437b, "");
SYMBOL_CRC(ceph_get_num_objects, 0x3c8d7111, "");
SYMBOL_CRC(ceph_auth_is_authenticated, 0xe9bda066, "");
SYMBOL_CRC(__ceph_auth_get_authorizer, 0xceb040c7, "");
SYMBOL_CRC(ceph_auth_destroy_authorizer, 0xad703657, "");
SYMBOL_CRC(ceph_auth_add_authorizer_challenge, 0x45f5ccc2, "");
SYMBOL_CRC(ceph_auth_verify_authorizer_reply, 0x9adcdd4a, "");
SYMBOL_CRC(ceph_auth_invalidate_authorizer, 0xb156eda2, "");
SYMBOL_CRC(ceph_auth_get_authorizer, 0x3e7de007, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_more, 0x357f52f7, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_done, 0x280f6377, "");
SYMBOL_CRC(ceph_auth_handle_bad_authorizer, 0x1f62effc, "");
SYMBOL_CRC(ceph_entity_type_name, 0xdfc091f9, "");
SYMBOL_CRC(ceph_str_hash, 0x57baf885, "");
SYMBOL_CRC(ceph_str_hash_name, 0x63758856, "");
SYMBOL_CRC(ceph_put_page_vector, 0x72038e45, "");
SYMBOL_CRC(ceph_release_page_vector, 0x78eb6bf8, "");
SYMBOL_CRC(ceph_alloc_page_vector, 0x7c3c0d7d, "");
SYMBOL_CRC(ceph_copy_user_to_page_vector, 0x6fc69d76, "");
SYMBOL_CRC(ceph_copy_to_page_vector, 0x334f1590, "");
SYMBOL_CRC(ceph_copy_from_page_vector, 0x8ad42531, "");
SYMBOL_CRC(ceph_zero_page_vector_range, 0x33449b6b, "");
SYMBOL_CRC(ceph_create_snap_context, 0x9ca95932, "");
SYMBOL_CRC(ceph_get_snap_context, 0xbe3879aa, "");
SYMBOL_CRC(ceph_put_snap_context, 0x86fca7e4, "");
SYMBOL_CRC(ceph_find_or_create_string, 0x9bc6b539, "");
SYMBOL_CRC(ceph_release_string, 0xee120c03, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46655f4d, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xff0b90ac, "completion_done" },
	{ 0xebd2aec1, "flush_dcache_page" },
	{ 0xf8966884, "tcp_sock_set_cork" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x79960866, "fs_param_is_string" },
	{ 0xf29707ef, "vmalloc_to_page" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x6b38bb3, "dump_page" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xca9360b5, "rb_next" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0xa15de923, "iov_iter_advance" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xba6fc685, "unregister_key_type" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0xd59f46a1, "iov_iter_get_pages2" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x45791b4, "seq_lseek" },
	{ 0x2ac760a3, "fs_param_is_enum" },
	{ 0xe280a6a3, "logfc" },
	{ 0x951270c1, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x21d7fb3f, "crypto_alloc_aead" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x973ecb0c, "crypto_aead_setauthsize" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x7e402e58, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x7ef5ad65, "crypto_skcipher_setkey" },
	{ 0x148653, "vsnprintf" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdcbbd37f, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xd8a00066, "mempool_free" },
	{ 0x168a36b5, "register_key_type" },
	{ 0x2c41b000, "down_read_trylock" },
	{ 0x3c255617, "crypto_destroy_tfm" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x2409496e, "fs_param_is_u32" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb707b887, "mempool_create" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdd1984d4, "filemap_alloc_folio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xc67ea662, "unregister_sysctl_table" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x4aa96aab, "crypto_skcipher_decrypt" },
	{ 0xf10f8b50, "mempool_alloc" },
	{ 0x77bbf9a6, "__free_pages" },
	{ 0xa124de99, "kmem_cache_alloc" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x9f0d7074, "seq_escape_mem" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x187bce4b, "key_put" },
	{ 0x82692522, "crypto_aead_setkey" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd21cccf3, "down_write" },
	{ 0xd04dafeb, "__traceiter_sk_data_ready" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x606d8142, "up_write" },
	{ 0xea20719c, "crypto_shash_setkey" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x28dd44a2, "crypto_aead_encrypt" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x4926a163, "kmem_cache_free" },
	{ 0x61b5d619, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x95813e1b, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa1aae0b4, "proc_douintvec_minmax" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd49232bb, "iov_iter_kvec" },
	{ 0x1a623c34, "wait_for_completion_interruptible" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9707d858, "sock_sendmsg" },
	{ 0xcc92ba06, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xea9df3ec, "wait_for_completion_killable" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb90b348b, "sg_alloc_table_from_pages_segment" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x512aaba4, "kernel_connect" },
	{ 0x4991b6c7, "register_sysctl_sz" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0xf7be24bf, "iov_iter_bvec" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xece784c2, "rb_first" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0x6c33489d, "crypto_alloc_sync_skcipher" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xfe5bd484, "seq_read" },
	{ 0x343bd98b, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x32d82008, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa0b182b3, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0xda9027c7, "sock_create_kern" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x3ba723bd, "wait_for_completion_killable_timeout" },
	{ 0x5d1f5c78, "request_key_tag" },
	{ 0xed9fa8fe, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x16557a3c, "generic_key_instantiate" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc8dcdfd7, "mempool_destroy" },
	{ 0xd2413200, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xac4c9dc8, "seq_printf" },
	{ 0x5ed2ec27, "sock_recvmsg" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x5e432379, "set_page_dirty_lock" },
	{ 0x4ad1b0bd, "sock_release" },
	{ 0xb70789e, "__might_fault" },
	{ 0xa8c7d272, "iov_iter_discard" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xaaedc21a, "downgrade_write" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x87847c06, "seq_puts" },
	{ 0x543e25e, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1eaef2d9, "tcp_sock_set_nodelay" },
	{ 0x762b85a3, "__fs_parse" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x9e2016e7, "iov_iter_revert" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb08bcb9e, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xe14c3ce5, "crypto_alloc_shash" },
	{ 0xf129ace9, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xd42ff19c, "kernel_sendmsg" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xb61742fb, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x94dee2e4, "proc_dointvec_minmax" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F60B7BA1C1E963A4BBEB837");
