#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x0dfb6bb6, "");
SYMBOL_CRC(is_hsr_master, 0x77eede3f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc90c7535, "dev_set_mtu" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa0dbbad3, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x52a0108, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x424b4938, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbb69bbf7, "netdev_update_features" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xaf5b7766, "rtnl_link_register" },
	{ 0x4ae4b857, "genlmsg_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x94d3a1a1, "dev_set_promiscuity" },
	{ 0x45791b4, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0x9ff1696d, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x169945e7, "unregister_netdevice_queue" },
	{ 0xb1f3ef7a, "netlink_ack" },
	{ 0x87796938, "netdev_state_change" },
	{ 0x54b3cc73, "__pskb_copy_fclone" },
	{ 0x9171cdfa, "ether_setup" },
	{ 0xcd63c098, "netdev_err" },
	{ 0xcc2b76bb, "netdev_upper_dev_link" },
	{ 0xe68a1baa, "dev_addr_mod" },
	{ 0xbe4994e1, "netdev_core_stats_alloc" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xcd58b7dd, "netdev_rx_handler_unregister" },
	{ 0xb7f5463d, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xfb0016d6, "netlink_broadcast" },
	{ 0x5f8c8cf9, "__alloc_skb" },
	{ 0xa6796678, "skb_copy_expand" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x21faa47c, "__dev_get_by_index" },
	{ 0xf8d73fa1, "rtnl_link_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3bff08b5, "init_net" },
	{ 0x8e2c0e06, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5a1a19e2, "netlink_unicast" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x54c5b65b, "dev_get_by_index_rcu" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0xfa67b995, "netdev_printk" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xc5294929, "_raw_write_lock" },
	{ 0x139ac4e9, "skb_push" },
	{ 0x61b5d619, "debugfs_remove" },
	{ 0xf04848f3, "netdev_upper_dev_unlink" },
	{ 0xd342850f, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcd0ecc9c, "_raw_write_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa76ca35, "__pskb_pull_tail" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x927330c7, "netif_rx" },
	{ 0xebf936af, "__netdev_alloc_skb" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x6afd100b, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xfe5bd484, "seq_read" },
	{ 0x7c337631, "debugfs_rename" },
	{ 0x32d82008, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xda1f85c0, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xfe31f0d9, "call_netdevice_notifiers" },
	{ 0x41223fc3, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8a338e3, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xac4c9dc8, "seq_printf" },
	{ 0x830d8cfd, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x9850f096, "netif_carrier_on" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x8e35d047, "netdev_rx_handler_register" },
	{ 0x87847c06, "seq_puts" },
	{ 0x543e25e, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x22b07d86, "genl_unregister_family" },
	{ 0xfe54cf92, "dev_disable_lro" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xa6464377, "dev_kfree_skb_any_reason" },
	{ 0xb08bcb9e, "single_open" },
	{ 0xf129ace9, "debugfs_create_dir" },
	{ 0x1c94f3d7, "genl_register_family" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xff88ffc2, "netdev_info" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x92b1032d, "register_netdevice" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A305EE1D69C908602F9E65F");
