#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x6c22a1d6, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x84ea8fac, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x2dc8a24b, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xf6d838bf, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0xa072df54, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xdc74e7fa, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x7712b150, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x2fd5370a, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x8744dd43, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xe2fc81bc, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xfa6de136, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x7d499075, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x982b9734, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x22649b6e, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x131f1369, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x7a52bb86, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xbc17b7cf, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x1cbcb732, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xe7ec0c97, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xb54379fb, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x5af7878b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8e378c3d, "perf_trace_run_bpf_submit" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xec717cb0, "trace_event_buffer_reserve" },
	{ 0xc60eff60, "trace_event_buffer_commit" },
	{ 0xfb477bfe, "__trace_trigger_soft_disabled" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x6e15b50b, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0xcaefc9d8, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x8b893e6c, "bpf_trace_run1" },
	{ 0x74b039b8, "bpf_trace_run2" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf6399ea2, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8fcf1ce0, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xda9027c7, "sock_create_kern" },
	{ 0xd16ea278, "kernel_bind" },
	{ 0x512aaba4, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0x1aca37cb, "udp_sock_create6" },
	{ 0x2d3d3242, "kernel_sock_shutdown" },
	{ 0x4ad1b0bd, "sock_release" },
	{ 0xe3405ff8, "udp_sock_create4" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa30de34c, "rcu_bh_lock_map" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xf1fe3fd2, "ip_queue_xmit" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x9bf274fe, "pskb_expand_head" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xa9eb9fc2, "inet6_csk_xmit" },
	{ 0xb94c9ac6, "udp_set_csum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x97a8f36, "udp6_set_csum" },
	{ 0xbd2f77a, "dst_release" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x4fca433f, "sk_free" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x7344405a, "idr_find" },
	{ 0x37a0cba, "kfree" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6142b5b8, "skb_dequeue" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xf5eeff54, "idr_get_next_ul" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x192f2d86, "idr_alloc_u32" },
	{ 0x130744e4, "sockfd_lookup" },
	{ 0x4bac21c, "lock_sock_nested" },
	{ 0x5c6c757b, "release_sock" },
	{ 0x17b6bf2f, "fput" },
	{ 0x392e013c, "idr_replace" },
	{ 0x3d6fff71, "setup_udp_tunnel_sock" },
	{ 0x31992073, "skb_queue_tail" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa76ca35, "__pskb_pull_tail" },
	{ 0xa0431690, "skb_dump" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x78875e, "trace_event_reg" },
	{ 0xa8eaf39e, "trace_event_raw_init" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "D293F8DC0B380930B28E0B4");
