#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xe293c293, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x038ff883, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x53e01da7, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xcaa123f2, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x9e5b8977, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x47e43456, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x03c7b60e, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xa2c77310, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x19bbd283, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xbb6160c5, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xe579b2d2, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x97f36745, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x409e93a8, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x76e13507, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xac61ef18, "");
SYMBOL_CRC(nf_nat_follow_master, 0xeb2cf0a2, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0xf463c51b, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xe045ca99, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xb0fa1bf0, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x1eadd6ca, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x45e063aa, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x55c51f7c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3897223c, "nf_ct_ext_add" },
	{ 0x6fe9b8c4, "__do_once_done" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x4bdef741, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x691f467d, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xae1e5209, "nf_ip6_checksum" },
	{ 0x8ea99ffa, "skb_copy_bits" },
	{ 0xbd5e94b6, "nf_hook_entries_insert_raw" },
	{ 0xa64e26a4, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xb8c77e19, "nf_ct_seqadj_set" },
	{ 0x424b4938, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x1222903e, "nf_ct_helper_expectfn_unregister" },
	{ 0x6b5590a7, "__xfrm_decode_session" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x854c7233, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x55c9c858, "ip6_route_me_harder" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x9bf274fe, "pskb_expand_head" },
	{ 0x85102614, "register_pernet_subsys" },
	{ 0x5d1aa683, "nf_conntrack_tuple_taken" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x3bc2a06a, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcd95a080, "ipv6_skip_exthdr" },
	{ 0x284300e9, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xd286005, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x29c3e7d9, "ipv6_dev_get_saddr" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x26689da6, "nf_ct_expect_related_report" },
	{ 0x60215b87, "nf_conntrack_alter_reply" },
	{ 0x95f14fe2, "ip_route_me_harder" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf8d9fa37, "nf_hook_entries_delete_raw" },
	{ 0x8e730f1, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x12d7fce0, "nf_unregister_net_hooks" },
	{ 0xc0c849d2, "inet_select_addr" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xfce6a456, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x2b6e3270, "skb_checksum" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x83204b5, "nf_ct_delete" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x1b00b532, "nf_ip_checksum" },
	{ 0xff6d94a3, "register_btf_kfunc_id_set" },
	{ 0xa74015ab, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x99e9ca81, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x343bd98b, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x15e8f060, "__skb_checksum" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xa2e84465, "inet_proto_csum_replace4" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xbd2f77a, "dst_release" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1cf79001, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfa19bdf7, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "04EB0FC6FC9BFAB5B2B0F4D");
