#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nft_do_chain, "_gpl", "");
KSYMTAB_FUNC(nft_reg_track_update, "_gpl", "");
KSYMTAB_FUNC(nft_reg_track_cancel, "_gpl", "");
KSYMTAB_FUNC(__nft_reg_track_cancel, "_gpl", "");
KSYMTAB_FUNC(nft_request_module, "_gpl", "");
KSYMTAB_FUNC(nft_register_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_register_expr, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_expr, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate, "_gpl", "");
KSYMTAB_FUNC(nft_set_lookup_global, "_gpl", "");
KSYMTAB_FUNC(nf_tables_bind_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_activate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_destroy_set, "_gpl", "");
KSYMTAB_FUNC(nft_set_elem_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_set_catchall_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_register_obj, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_obj, "_gpl", "");
KSYMTAB_FUNC(nft_obj_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_obj_notify, "_gpl", "");
KSYMTAB_FUNC(nft_register_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_flowtable_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_flowtable, "_gpl", "");
KSYMTAB_FUNC(nf_tables_trans_destroy_flush_work, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_dependency, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_hooks, "_gpl", "");
KSYMTAB_FUNC(nft_parse_u32_check, "_gpl", "");
KSYMTAB_FUNC(nft_dump_register, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_load, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_store, "_gpl", "");
KSYMTAB_FUNC(nft_data_init, "_gpl", "");
KSYMTAB_FUNC(nft_data_release, "_gpl", "");
KSYMTAB_FUNC(nft_data_dump, "_gpl", "");
KSYMTAB_FUNC(__nft_release_basechain, "_gpl", "");
KSYMTAB_DATA(nft_trace_enabled, "_gpl", "");
KSYMTAB_FUNC(nft_expr_reduce_bitwise, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_eval, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_eval, "_gpl", "");
KSYMTAB_DATA(nft_meta_policy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_validate, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_reduce, "_gpl", "");
KSYMTAB_FUNC(nft_meta_inner_eval, "_gpl", "");

SYMBOL_CRC(nft_do_chain, 0x6a09a5b7, "_gpl");
SYMBOL_CRC(nft_reg_track_update, 0xa4016ba3, "_gpl");
SYMBOL_CRC(nft_reg_track_cancel, 0xea167599, "_gpl");
SYMBOL_CRC(__nft_reg_track_cancel, 0xece80ef6, "_gpl");
SYMBOL_CRC(nft_request_module, 0xf4f25095, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0x49003c6a, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0xa7f628cb, "_gpl");
SYMBOL_CRC(nft_register_expr, 0xa0e634dd, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0x9ad748d5, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0xaaa5472c, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0x7506114e, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0xc558ecc7, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0x37ba2c09, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0x72cdaba0, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0x436b33e1, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0x047ff874, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0xa34a3288, "_gpl");
SYMBOL_CRC(nft_register_obj, 0x6fe77464, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0x101f2986, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0xa1b40bd6, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0xa8d6ccc4, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0xccac7c50, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0x95510d24, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0x8da108ac, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0x5911d06e, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x3251d762, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0x8d6e1be5, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0x00e68c05, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0x328f4a0a, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0xe2b8cc13, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0x32e0f134, "_gpl");
SYMBOL_CRC(nft_data_init, 0x5a10de41, "_gpl");
SYMBOL_CRC(nft_data_release, 0xea186188, "_gpl");
SYMBOL_CRC(nft_data_dump, 0xc941e033, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0x5cf87465, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_expr_reduce_bitwise, 0xa6a2009e, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0xc5acc6fe, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0xe645d88e, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0x4cecbb60, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0x6dbaf6c0, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0xd5ce67e8, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0x9d3bf7f0, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0xc14a21c4, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0x87b3d76e, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0x0cc252ca, "_gpl");
SYMBOL_CRC(nft_meta_get_reduce, 0x2a90ce77, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0x0e5facf1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6fe9b8c4, "__do_once_done" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x7a52a062, "__netlink_dump_start" },
	{ 0x4046ad9c, "flow_rule_alloc" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x691f467d, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xda4b86c9, "__rht_bucket_nested" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0x8ea99ffa, "skb_copy_bits" },
	{ 0x1526ae31, "__nlmsg_put" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x424b4938, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaa031871, "nla_reserve" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x9b70a1d4, "nla_put_64bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0xaf3e95b4, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0x5558b26c, "flow_block_cb_free" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc9668a06, "lockdep_rht_bucket_is_held" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0x9df6d826, "nfnetlink_subsys_register" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0x55c9c858, "ip6_route_me_harder" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x82fb1cd2, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xab78f808, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xff593473, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x5a72443e, "lockdep_nfnl_is_held" },
	{ 0x6d20b09b, "__dev_get_by_name" },
	{ 0x85102614, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xa904b6c1, "lockdep_rht_mutex_is_held" },
	{ 0xc33a355b, "__ip_options_compile" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x7a655e14, "nf_route" },
	{ 0xa916b694, "strnlen" },
	{ 0x5f8c8cf9, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xd286005, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xdd03826e, "nf_unregister_net_hook" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xe3c3bdb3, "nf_register_net_hook" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x575b35f0, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x95f14fe2, "ip_route_me_harder" },
	{ 0xc4ae009a, "skb_store_bits" },
	{ 0x54c5b65b, "dev_get_by_index_rcu" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xb1e51581, "nfnetlink_unicast" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xd342850f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8e730f1, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd978a5e, "rhashtable_walk_start_check" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xce08368f, "flow_indr_dev_setup_offload" },
	{ 0x231d2047, "rhashtable_walk_stop" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xfce6a456, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xd06bedc6, "rhashtable_free_and_destroy" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x2b6e3270, "skb_checksum" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0x16a82174, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xd8ae209a, "nfnetlink_send" },
	{ 0xbc9be8ee, "__get_task_comm" },
	{ 0xb3789337, "lockdep_recursion" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa76ca35, "__pskb_pull_tail" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xece784c2, "rb_first" },
	{ 0xa40eb0e0, "nfnetlink_subsys_unregister" },
	{ 0x7be18aa1, "hardirqs_enabled" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xed49c79a, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6afd100b, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x343bd98b, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xfbc20f8b, "rhashtable_insert_slow" },
	{ 0x421ad6fb, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0x15e8f060, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xa2e84465, "inet_proto_csum_replace4" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5d8ab751, "rhltable_init" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xbd2f77a, "dst_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x9ed682c3, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x1d6a8844, "from_kuid_munged" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xd6b7406e, "rht_bucket_nested" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x15437646, "rhashtable_walk_exit" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb505d2cb, "nfnetlink_has_listeners" },
	{ 0x5efde415, "flush_work" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "054CA0BDDF7A790DB33C7EE");
