#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0xeca8de12, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x025ff9a2, "_gpl");
SYMBOL_CRC(tls_get_record, 0xf66ad715, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0xa87bfd58, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xf2f56879, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x38ff852d, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x9c17d205, "tcp_bpf_sendmsg_redir" },
	{ 0xebd2aec1, "flush_dcache_page" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2eab2554, "tcp_read_sock" },
	{ 0x9da88a45, "bpf_trace_run4" },
	{ 0x8ea99ffa, "skb_copy_bits" },
	{ 0x9b70348b, "sk_page_frag_refill" },
	{ 0x424b4938, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x98e2507f, "tcp_sendmsg_locked" },
	{ 0xe77c0f05, "consume_skb" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x6b38bb3, "dump_page" },
	{ 0x6e15b50b, "trace_raw_output_prep" },
	{ 0xbdcaca27, "sk_psock_msg_verdict" },
	{ 0x49666d32, "bpf_trace_run6" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0xfb477bfe, "__trace_trigger_soft_disabled" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0xcaefc9d8, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd59f46a1, "iov_iter_get_pages2" },
	{ 0x9d7fff81, "___pskb_trim" },
	{ 0xa8eaf39e, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x951270c1, "__put_devmap_managed_page_refs" },
	{ 0xd8ee80bf, "clean_acked_data_enable" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x67c109eb, "skb_splice_bits" },
	{ 0x21d7fb3f, "crypto_alloc_aead" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x973ecb0c, "crypto_aead_setauthsize" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0x7e402e58, "crypto_aead_decrypt" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x649afe08, "sk_stream_error" },
	{ 0x91f710ed, "sk_msg_recvmsg" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xc484e67b, "sk_msg_memcopy_from_iter" },
	{ 0xd2611db2, "sk_error_report" },
	{ 0x85102614, "register_pernet_subsys" },
	{ 0x26de1a0d, "put_cmsg" },
	{ 0x48a902a0, "__sk_flush_backlog" },
	{ 0xc60eff60, "trace_event_buffer_commit" },
	{ 0x3c255617, "crypto_destroy_tfm" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xb2e8ad3b, "sk_psock_tls_strp_read" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8affa3a0, "sk_msg_clone" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x5f8c8cf9, "__alloc_skb" },
	{ 0xdd7a3ae8, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x687da98, "iov_iter_extract_pages" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xf81de91b, "tcp_recv_skb" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x82692522, "crypto_aead_setkey" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x8e378c3d, "perf_trace_run_bpf_submit" },
	{ 0xd21cccf3, "down_write" },
	{ 0xd04dafeb, "__traceiter_sk_data_ready" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x606d8142, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x28dd44a2, "crypto_aead_encrypt" },
	{ 0x7e0eed04, "bpf_trace_run5" },
	{ 0x4fca433f, "sk_free" },
	{ 0xc4ae009a, "skb_store_bits" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbac893e4, "__sk_mem_reclaim" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0xb0fbda56, "sk_stream_wait_memory" },
	{ 0xd342850f, "nla_put" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x78875e, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd49232bb, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa73d7b86, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x4bac21c, "lock_sock_nested" },
	{ 0xde90a0f7, "sk_msg_return_zero" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x48db02dd, "skb_copy_datagram_iter" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x8b893e6c, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0xfce6a456, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x4e32d4c7, "sock_efree" },
	{ 0xf7be24bf, "iov_iter_bvec" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x58c66688, "kfree_skb_list_reason" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2052ee94, "clean_acked_data_disable" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x481cd3cc, "sk_msg_free_partial" },
	{ 0x74a76053, "down_read" },
	{ 0x6afd100b, "skb_trim" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0x2e1f2e60, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x88ab23bc, "tcp_register_ulp" },
	{ 0x9c2ab0b8, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x7ae78075, "sk_psock_drop" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9a7ad59, "skb_page_frag_refill" },
	{ 0xec717cb0, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0xd8ccf633, "sk_msg_free_nocharge" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xed9fa8fe, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd2413200, "__folio_put" },
	{ 0xf3d4b617, "remove_proc_entry" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xac4c9dc8, "seq_printf" },
	{ 0x3511de33, "proc_create_net_single" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x830d8cfd, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xbd2f77a, "dst_release" },
	{ 0x4369a50c, "_copy_from_iter" },
	{ 0xb70789e, "__might_fault" },
	{ 0x5c3085c2, "skb_copy_header" },
	{ 0x8e46359a, "sk_msg_trim" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xf16c74dd, "netdev_sk_get_lowest_dev" },
	{ 0x1712e299, "sk_msg_alloc" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x6f97369a, "_copy_from_iter_nocache" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xe84b71b, "tcp_rate_check_app_limited" },
	{ 0x7c60b347, "tcp_poll" },
	{ 0x9e2016e7, "iov_iter_revert" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x949e412e, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6a54d041, "skb_to_sgvec" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xfaa4b453, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xef030abd, "tcp_read_done" },
	{ 0x5c6c757b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1FCA2FCFBD6EDCEF93846FF");
