#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x20b62a5c, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x705dbfb1, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xfa260bf4, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x9f444d48, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xfb80a810, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xa09d5ce4, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x814c6090, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x18c516ff, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xf7c539bb, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x6635a915, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xd0c02f67, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x05071259, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xc5fd2522, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xdf0c5110, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x6cb8fcda, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xf4e7018b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x2d466a45, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xdd88d05b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x78006305, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x1d2faf5c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xaf28a15e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x40612e12, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xbd442778, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xaa7d3e66, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x7d063fbd, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xed9237c5, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xa2c908d5, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x585bbae7, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x84193bda, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xeea352a1, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x0e407c2f, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xc046e097, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xaa1b46da, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xad6a3404, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x5df01515, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0xfbc8f9d2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f7f3462, "vsock_enqueue_accept" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd4130890, "_copy_to_iter" },
	{ 0x12e32b18, "vsock_insert_connected" },
	{ 0x424b4938, "skb_put" },
	{ 0xe77c0f05, "consume_skb" },
	{ 0x6e15b50b, "trace_raw_output_prep" },
	{ 0xfb477bfe, "__trace_trigger_soft_disabled" },
	{ 0x6bedb95, "vsock_remove_sock" },
	{ 0xcaefc9d8, "trace_event_printf" },
	{ 0x81e4116c, "vsock_deliver_tap" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa8eaf39e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb4795e1, "bpf_trace_run8" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xd2611db2, "sk_error_report" },
	{ 0xc60eff60, "trace_event_buffer_commit" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x40d2babf, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x5f8c8cf9, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x8e378c3d, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x8e2c0e06, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4fca433f, "sk_free" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x78875e, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xd03a3639, "__skb_recv_datagram" },
	{ 0x4bac21c, "lock_sock_nested" },
	{ 0x28ce8ff2, "vsock_stream_has_data" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xaa02f15d, "vsock_find_connected_socket" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x4e32d4c7, "sock_efree" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x98a28df9, "bpf_trace_run10" },
	{ 0x2ec5a010, "vsock_core_get_transport" },
	{ 0xa23463f4, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xec717cb0, "trace_event_buffer_reserve" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x4369a50c, "_copy_from_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0xbab41f42, "vsock_create_connected" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xd2ca1ee4, "vsock_assign_transport" },
	{ 0x9e2016e7, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x5c6c757b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x22605515, "vsock_data_ready" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "1E83FB8A08E3BA8A9F42A67");
