#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0xbf4b351d, "");
SYMBOL_CRC(snd_unregister_device, 0xac7d92cd, "");
SYMBOL_CRC(snd_device_alloc, 0x325420b4, "_gpl");
SYMBOL_CRC(snd_card_new, 0xb3854cd0, "");
SYMBOL_CRC(snd_devm_card_new, 0x804562c4, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0x00017590, "_gpl");
SYMBOL_CRC(snd_card_ref, 0xdfdc6506, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0xc03045bb, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x62e25eba, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0xdae7e718, "");
SYMBOL_CRC(snd_card_free, 0xb917b1bc, "");
SYMBOL_CRC(snd_card_set_id, 0x47384ed3, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0x9df69764, "_gpl");
SYMBOL_CRC(snd_card_register, 0x68e0ff57, "");
SYMBOL_CRC(snd_component_add, 0x068bccc7, "");
SYMBOL_CRC(snd_card_file_add, 0x7e33be1b, "");
SYMBOL_CRC(snd_card_file_remove, 0xcffa4514, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0x3e3a3509, "_gpl");
SYMBOL_CRC(snd_power_wait, 0x78ecd225, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0x409dfec6, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0x6aef954f, "");
SYMBOL_CRC(snd_ctl_notify, 0xa62f6b77, "");
SYMBOL_CRC(snd_ctl_notify_one, 0x32c221a5, "");
SYMBOL_CRC(snd_ctl_new1, 0xe708d991, "");
SYMBOL_CRC(snd_ctl_free_one, 0xc77e47e2, "");
SYMBOL_CRC(snd_ctl_add, 0x00719529, "");
SYMBOL_CRC(snd_ctl_replace, 0xcff70d92, "");
SYMBOL_CRC(snd_ctl_remove, 0xb7ae3997, "");
SYMBOL_CRC(snd_ctl_remove_id, 0xa77d1753, "");
SYMBOL_CRC(snd_ctl_activate_id, 0xe94cac27, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x0837a6fe, "");
SYMBOL_CRC(snd_ctl_rename, 0x37be882c, "");
SYMBOL_CRC(snd_ctl_find_numid_locked, 0x1ce577d1, "");
SYMBOL_CRC(snd_ctl_find_numid, 0x0e0df26d, "");
SYMBOL_CRC(snd_ctl_find_id_locked, 0x952559da, "");
SYMBOL_CRC(snd_ctl_find_id, 0x1d015c6a, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0xa4bacb26, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0xd3d0bc3c, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0x6f80f2b2, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0xa1ff7156, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0x3ed1a3b0, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0xf7aa5423, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0x76d9a923, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0xb1173714, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0xc4ce080e, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0x95b36ac7, "");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0xe5d00df9, "");
SYMBOL_CRC(snd_fasync_helper, 0xa8d811f8, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0x9097d154, "");
SYMBOL_CRC(snd_device_disconnect, 0x3a5718f3, "_gpl");
SYMBOL_CRC(snd_device_free, 0xf588fdf1, "");
SYMBOL_CRC(snd_device_register, 0xf0d57f20, "");
SYMBOL_CRC(snd_device_get_state, 0x1047c872, "_gpl");
SYMBOL_CRC(snd_seq_root, 0xd1b0be4f, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0x0cf8fe48, "");
SYMBOL_CRC(snd_info_create_card_entry, 0xe76218c9, "");
SYMBOL_CRC(snd_info_free_entry, 0x1af0d304, "");
SYMBOL_CRC(snd_info_register, 0x9d9209fd, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0x8f6e0770, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x691f467d, "try_module_get" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0xd4130890, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xce5b3f8f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0xe53fb77c, "kill_fasync" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x74a18de1, "proc_mkdir_mode" },
	{ 0x69de03b2, "device_initialize" },
	{ 0x3fa2a08d, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xb2dcd9c5, "xa_store_range" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x45791b4, "seq_lseek" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xad6b0d4a, "proc_create_data" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xb43265e9, "devm_remove_action" },
	{ 0xdac51632, "import_ubuf" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xc9dff7b3, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xd655f67, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xee3b9409, "devres_add" },
	{ 0x5001eb2c, "single_open_size" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3e3f03f1, "dev_driver_string" },
	{ 0xe5c027d8, "_raw_read_unlock_irqrestore" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcdf99e2d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x3883421c, "_raw_read_lock_irqsave" },
	{ 0xd286005, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x61651be, "strcat" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x890178a5, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0x5a1d27ad, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xd7ae5b72, "init_uts_ns" },
	{ 0xa1655192, "xa_load" },
	{ 0x139ca9ad, "noop_llseek" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0xea046da1, "__devres_alloc_node" },
	{ 0x702f82ae, "fasync_helper" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x6d236517, "device_del" },
	{ 0x1b18e76f, "proc_mkdir" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xde111b5, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x4251d3dc, "param_ops_charp" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xfcbb10ed, "proc_remove" },
	{ 0x4973352a, "_raw_write_unlock_irqrestore" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0xfe5bd484, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x19b95610, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x3527eae4, "proc_set_size" },
	{ 0x8bb445ff, "__register_chrdev" },
	{ 0x35911395, "kobject_set_name" },
	{ 0x56470118, "__warn_printk" },
	{ 0xac4c9dc8, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x4369a50c, "_copy_from_iter" },
	{ 0xb70789e, "__might_fault" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xaaedc21a, "downgrade_write" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0xc40171c5, "stream_open" },
	{ 0x543e25e, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x64c8f5a9, "pid_vnr" },
	{ 0x48cd93c8, "devres_find" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0xfcc566fd, "__devm_add_action" },
	{ 0xf4195816, "_raw_write_lock_irqsave" },
	{ 0x30541133, "sound_class" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x1366fe77, "release_resource" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd9273a40, "proc_symlink" },
	{ 0x94b8338d, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb08bcb9e, "single_open" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x5f55a825, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "E0A4B8A1A080C020D3BF5B0");
