#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drbd_conn_str, "", "");
KSYMTAB_FUNC(drbd_role_str, "", "");
KSYMTAB_FUNC(drbd_disk_str, "", "");
KSYMTAB_FUNC(drbd_set_st_err_str, "", "");

SYMBOL_CRC(drbd_conn_str, 0x7730f22d, "");
SYMBOL_CRC(drbd_role_str, 0x35131b36, "");
SYMBOL_CRC(drbd_disk_str, 0xaf27bebf, "");
SYMBOL_CRC(drbd_set_st_err_str, 0x127a5901, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x527b7b52, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x734148a8, "lc_seq_printf_stats" },
	{ 0xcc3562c4, "set_disk_ro" },
	{ 0x300d1eda, "__blk_alloc_disk" },
	{ 0x3087c0b1, "bdev_alignment_offset" },
	{ 0xe914e41e, "strcpy" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x691f467d, "try_module_get" },
	{ 0xf8966884, "tcp_sock_set_cork" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf1f932b6, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x18566ad2, "blk_start_plug" },
	{ 0x7344405a, "idr_find" },
	{ 0x8d507427, "param_ops_uint" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfba16232, "lc_get_cumulative" },
	{ 0x6690ffd7, "bio_split_to_limits" },
	{ 0x9d0364f8, "disk_update_readahead" },
	{ 0x415c8dbe, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0xaa031871, "nla_reserve" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x6b38bb3, "dump_page" },
	{ 0x9b70a1d4, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe2452a15, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xea7e9141, "mempool_init" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x4ae4b857, "genlmsg_put" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x45791b4, "seq_lseek" },
	{ 0x9bfd9987, "blk_queue_write_cache" },
	{ 0x951270c1, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x564edfed, "kernel_accept" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdcbbd37f, "kmem_cache_create" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x836e8e0c, "sched_set_fifo_low" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xd8a00066, "mempool_free" },
	{ 0xc8e8d81b, "tcp_sock_set_quickack" },
	{ 0x574f6251, "bio_end_io_acct_remapped" },
	{ 0xec115292, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x3c255617, "crypto_destroy_tfm" },
	{ 0x26bad4d3, "wait_for_completion_interruptible_timeout" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x2675693b, "lc_del" },
	{ 0x993f86e7, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xaf9118fc, "put_disk" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xfb0016d6, "netlink_broadcast" },
	{ 0x2d140a58, "genl_unlock" },
	{ 0xa3e15eaa, "blk_queue_flag_set" },
	{ 0x12de578e, "lc_committed" },
	{ 0x1d2ebc6a, "lc_get" },
	{ 0x5f8c8cf9, "__alloc_skb" },
	{ 0xf10f8b50, "mempool_alloc" },
	{ 0x93228d66, "idr_get_next" },
	{ 0x7dcfaa22, "blkdev_put" },
	{ 0x77bbf9a6, "__free_pages" },
	{ 0x605a6fd2, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x19ed011d, "submit_bio" },
	{ 0xd286005, "module_put" },
	{ 0xd802313e, "bio_start_io_acct" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xac3eae4b, "bdev_discard_alignment" },
	{ 0x96d40a48, "lc_try_get" },
	{ 0xf3b2465f, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x94d6884d, "flush_signals" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xde03b66f, "bio_put" },
	{ 0x459a960a, "bio_endio" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1bd4a702, "copy_highpage" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3bff08b5, "init_net" },
	{ 0x606d8142, "up_write" },
	{ 0xea20719c, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa67cfc0, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdbdee578, "lc_element_by_index" },
	{ 0x5a1a19e2, "netlink_unicast" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0x8e085964, "submit_bio_noacct" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0x2d3d3242, "kernel_sock_shutdown" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x10de5231, "set_cpus_allowed_ptr" },
	{ 0x61b5d619, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x95813e1b, "seq_putc" },
	{ 0xd342850f, "nla_put" },
	{ 0x8bbac4fa, "blkdev_get_by_path" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0xb35cf1b8, "crypto_shash_digest" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd49232bb, "iov_iter_kvec" },
	{ 0xa3c298de, "blk_queue_segment_boundary" },
	{ 0x8b741bdf, "blkdev_issue_zeroout" },
	{ 0xcd279169, "nla_find" },
	{ 0x1ac23fbb, "blk_stack_limits" },
	{ 0xf1e046cc, "panic" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9707d858, "sock_sendmsg" },
	{ 0xcf19a3a2, "bio_add_page" },
	{ 0xcc92ba06, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8acbe083, "del_gendisk" },
	{ 0x4cefd56, "blk_queue_max_discard_sectors" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xaeb959aa, "lc_create" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x59b4a781, "blk_set_stacking_limits" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0xba24f038, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xcce778a4, "bio_alloc_clone" },
	{ 0x544ed968, "lock_acquire" },
	{ 0xf0e20f9b, "lc_try_lock" },
	{ 0xf7be24bf, "iov_iter_bvec" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x75e88edc, "lc_destroy" },
	{ 0x491020e7, "timer_shutdown_sync" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x3d82cc00, "blk_queue_max_segments" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0xbf18a077, "lc_reset" },
	{ 0x7c593433, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6afd100b, "skb_trim" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x7484a5ac, "kthread_create_on_node" },
	{ 0xa79000a0, "lc_is_used" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xfe5bd484, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd76ef62b, "lc_seq_dump_details" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x32d82008, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8f0f70a1, "blk_queue_max_write_zeroes_sectors" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xa0b182b3, "crypto_shash_final" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xda9027c7, "sock_create_kern" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xf9229207, "param_ops_bool" },
	{ 0xe1fef3c0, "bioset_init" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xed9fa8fe, "alloc_pages" },
	{ 0xd2413200, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf3d4b617, "remove_proc_entry" },
	{ 0xb519f82c, "radix_tree_tagged" },
	{ 0xac4c9dc8, "seq_printf" },
	{ 0x5ed2ec27, "sock_recvmsg" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x6e19d7a5, "kobject_uevent" },
	{ 0x4ad1b0bd, "sock_release" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x5b411b1, "bd_link_disk_holder" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x87847c06, "seq_puts" },
	{ 0x543e25e, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1eaef2d9, "tcp_sock_set_nodelay" },
	{ 0xb8eae6a, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x22b07d86, "genl_unregister_family" },
	{ 0x1073dc2c, "proc_create_single_data" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0xff64ab61, "blk_queue_max_hw_sectors" },
	{ 0xcb562e6, "lc_put" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x94b8338d, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc4d8d7a4, "lc_find" },
	{ 0xb08bcb9e, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xe14c3ce5, "crypto_alloc_shash" },
	{ 0xf129ace9, "debugfs_create_dir" },
	{ 0x1c94f3d7, "genl_register_family" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x2b9da7a4, "genl_lock" },
	{ 0xa7b5a237, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x85693d99, "mempool_exit" },
	{ 0x8acbb17e, "fs_bio_set" },
	{ 0xb61742fb, "kmem_cache_destroy" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x8d468098, "blkdev_issue_discard" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "lru_cache");


MODULE_INFO(srcversion, "E101BCE78F2AA7247827232");
