#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x67e5b56b, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xe2978d9e, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x65ba6187, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0xb79bedd1, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0xa1754e1b, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0xc9e80f0f, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x143b771c, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x5b1b681c, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xe5eac116, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x40aa7f7b, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x7226ca26, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x835975ae, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x0c06a7d6, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xd285a004, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x475d1234, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x4910c601, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xdf7a88d6, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x6b96454c, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xa6c0c79f, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0xd7112054, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0xff4083c8, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0xd0c9ed88, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x73d6b78a, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0xe4a36431, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xba0ab4a4, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x0e939dd1, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0xf48b7c31, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x67a451d6, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xb4e11645, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0xf3db9441, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x9c0c7cae, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xd33ad234, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x0f6bac35, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x81bcde8c, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x7857f454, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x05708454, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x17c72c39, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x9a3b342a, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0xdcb0db8b, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xd679545a, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x4ae82c42, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x1c52538d, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x42e4bb65, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xc8a7c461, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xcfda3cbd, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0xd0c0fca8, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x44b56af3, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x4b23627b, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0xd2b20a6c, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x03773ccb, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x1b23e80a, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x369f55df, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0xd3abb01f, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0xc67dadf8, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0xd44de221, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x9212ca6a, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x52cadc58, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x7f4659f8, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x7517534e, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x4cf9650d, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x2413fab3, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xfcb8341d, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x82feac6c, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0xd24cc5d1, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xdc8b8327, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0xd1dbaf48, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x82313125, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x556b26f9, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0xe72748fd, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x8f15a382, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x54b352d8, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xb3d12f55, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0xcd1ab8a8, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x806e31fa, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x36ca8258, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x96202dd2, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x83a18e98, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xa7bb5b08, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x8412ab11, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x5cbd8a5b, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x0e20a4fd, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x742a2dce, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0x46ca83c7, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x8598b17d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12119aa4, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x84c930d2, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9da88a45, "bpf_trace_run4" },
	{ 0xf444c0b0, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xce5b3f8f, "dev_set_name" },
	{ 0x7964fac8, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x6e15b50b, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xef75ead1, "cdev_device_del" },
	{ 0x49666d32, "bpf_trace_run6" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x4ddad947, "device_unregister" },
	{ 0xfb477bfe, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcaefc9d8, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x87c870f2, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x69de03b2, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xa8eaf39e, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x82cf6932, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x74b039b8, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb43265e9, "devm_remove_action" },
	{ 0xc9dff7b3, "get_device" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xd655f67, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x3cc53975, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3e3f03f1, "dev_driver_string" },
	{ 0xc60eff60, "trace_event_buffer_commit" },
	{ 0x68cd0cc3, "pci_read_config_dword" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xf93c78bc, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x3c68112b, "cdev_device_add" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27f036e7, "walk_iomem_res_desc" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcdf99e2d, "put_device" },
	{ 0x6b65ef96, "bus_for_each_dev" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x3731a480, "sysfs_create_link" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xe6a89eb6, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x32040443, "compat_ptr_ioctl" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x8e378c3d, "perf_trace_run_bpf_submit" },
	{ 0x93b94d0d, "sysfs_update_group" },
	{ 0x6817bd35, "bus_unregister" },
	{ 0xd21cccf3, "down_write" },
	{ 0x8b33cf18, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x890178a5, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x67d166a0, "debugfs_create_bool" },
	{ 0x6d2930eb, "bus_find_device" },
	{ 0x5a1d27ad, "device_add" },
	{ 0x328efdfc, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa1655192, "xa_load" },
	{ 0x139ca9ad, "noop_llseek" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x56d051b, "device_attach" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9e330775, "kernfs_find_and_get_ns" },
	{ 0x61b5d619, "debugfs_remove" },
	{ 0x5fa634be, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x78875e, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x7994145d, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6dde513f, "device_find_child" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x9ede2189, "devm_release_action" },
	{ 0x6d236517, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xcc37256, "down_read_interruptible" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x3ce70c2b, "alloc_free_mem_region" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xde111b5, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdb722fcf, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd00f1c14, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x74a76053, "down_read" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0x9c2ab0b8, "bpf_trace_run3" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x6b40cc7e, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xec717cb0, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xcc97fb, "down_write_killable" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x19b95610, "xa_destroy" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0x18b3aa87, "kernfs_put" },
	{ 0xf3096a6c, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xac4c9dc8, "seq_printf" },
	{ 0xb8dbaae6, "device_match_name" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4f338dfe, "pci_walk_bus" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0xf930b65, "xa_find_after" },
	{ 0xfcc566fd, "__devm_add_action" },
	{ 0x8faea00f, "pci_find_dvsec_capability" },
	{ 0x8237b405, "device_find_child_by_name" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xa5dea1f6, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xf81687fa, "pci_write_config_word" },
	{ 0xf129ace9, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x1600a2b, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5849fb38, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5e7c7c, "pci_bus_type" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x3d3a4a16, "__request_region" },
	{ 0xd197f971, "bus_register" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9EA208E9FC2818C03E2E0FD");
