#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_bcache_request_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_request_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_request_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_request_end, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_request_end, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_request_end, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_bypass_sequential, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_bypass_sequential, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_bypass_sequential, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_bypass_congested, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_bypass_congested, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_bypass_congested, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_read_retry, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_read_retry, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_read_retry, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_cache_insert, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_cache_insert, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_cache_insert, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_journal_replay_key, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_journal_replay_key, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_journal_replay_key, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_journal_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_journal_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_journal_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_journal_full, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_journal_full, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_journal_full, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_journal_entry_full, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_journal_entry_full, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_journal_entry_full, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_cache_cannibalize, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_cache_cannibalize, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_cache_cannibalize, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_alloc, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_alloc, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_alloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_alloc_fail, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_alloc_fail, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_alloc_fail, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_free, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_free, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_free, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_gc_coalesce, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_gc_coalesce, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_gc_coalesce, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_gc_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_gc_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_gc_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_gc_end, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_gc_end, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_gc_end, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_gc_copy, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_gc_copy, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_gc_copy, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_gc_copy_collision, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_gc_copy_collision, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_gc_copy_collision, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_insert_key, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_insert_key, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_insert_key, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_split, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_split, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_split, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_compact, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_compact, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_compact, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_set_root, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_set_root, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_set_root, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_invalidate, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_invalidate, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_invalidate, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_alloc_fail, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_alloc_fail, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_alloc_fail, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_writeback, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_writeback, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_writeback, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_writeback_collision, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_writeback_collision, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_writeback_collision, "_gpl", "");

SYMBOL_CRC(__tracepoint_bcache_request_start, 0xea3a1ab2, "_gpl");
SYMBOL_CRC(__traceiter_bcache_request_start, 0x27cc152d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_request_start, 0x8ad20d61, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_request_end, 0x71a90620, "_gpl");
SYMBOL_CRC(__traceiter_bcache_request_end, 0xbfbeeb67, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_request_end, 0x80e3881d, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_bypass_sequential, 0xfd5d057b, "_gpl");
SYMBOL_CRC(__traceiter_bcache_bypass_sequential, 0xf912e2f2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_bypass_sequential, 0x0bc0be45, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_bypass_congested, 0x44bb87a3, "_gpl");
SYMBOL_CRC(__traceiter_bcache_bypass_congested, 0x48237c0a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_bypass_congested, 0x6026e276, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_read, 0x3a3eb678, "_gpl");
SYMBOL_CRC(__traceiter_bcache_read, 0xfeb3dbc6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_read, 0x9a6f4d9f, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_write, 0x6119e203, "_gpl");
SYMBOL_CRC(__traceiter_bcache_write, 0xd56d2f7c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_write, 0x5fd7c423, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_read_retry, 0x8b9fa1d8, "_gpl");
SYMBOL_CRC(__traceiter_bcache_read_retry, 0x76cd794c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_read_retry, 0x15f3de09, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_cache_insert, 0x05058957, "_gpl");
SYMBOL_CRC(__traceiter_bcache_cache_insert, 0xb5a62a8c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_cache_insert, 0x5d9c8fc8, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_replay_key, 0x37b31e4f, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_replay_key, 0x2766fb04, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_replay_key, 0xf6249e5f, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_write, 0xfc0a0b57, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_write, 0xb0bfef2b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_write, 0x9ce21c84, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_full, 0xfed8327b, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_full, 0x517bfc6b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_full, 0xa64134e4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_entry_full, 0xdd1455a7, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_entry_full, 0xeaeb627d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_entry_full, 0x1c83d5b7, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_cache_cannibalize, 0x4b96c8a0, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_cache_cannibalize, 0xa9c63c6e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_cache_cannibalize, 0xec92a163, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_read, 0xd8aa1746, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_read, 0x4ae4dd05, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_read, 0x46c66897, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_write, 0xa09a6b09, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_write, 0x265e4cee, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_write, 0x51d0e534, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_alloc, 0xec3327c6, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_alloc, 0xbcaa5c62, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_alloc, 0xc8ae4213, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_alloc_fail, 0x93c8c39b, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_alloc_fail, 0x3d0089c2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_alloc_fail, 0xda06fe86, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_free, 0x47b2af54, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_free, 0xbb6cc7ea, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_free, 0x6e74dca7, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_gc_coalesce, 0xf021519f, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_gc_coalesce, 0x1c599ebe, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_gc_coalesce, 0x06bceaa1, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_start, 0x66232cfe, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_start, 0x92909c58, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_start, 0xe16c06b3, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_end, 0x81d4d2d1, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_end, 0x8541fa38, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_end, 0xba843c3f, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_copy, 0x5f9386a1, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_copy, 0xad6440b4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_copy, 0x181a1930, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_copy_collision, 0x8f7308be, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_copy_collision, 0xec29e22a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_copy_collision, 0x79eeb380, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_insert_key, 0xd9f63855, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_insert_key, 0x492ab768, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_insert_key, 0xfd6b5d80, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_split, 0x063306f1, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_split, 0xb9a44584, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_split, 0x22ae6324, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_compact, 0x8bba9251, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_compact, 0xd425f2dc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_compact, 0x4a2d1241, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_set_root, 0x04b25810, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_set_root, 0xf6b46b12, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_set_root, 0x1b083369, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_invalidate, 0x362eda19, "_gpl");
SYMBOL_CRC(__traceiter_bcache_invalidate, 0x8123db1f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_invalidate, 0xa842a5c8, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_alloc_fail, 0x3feb7def, "_gpl");
SYMBOL_CRC(__traceiter_bcache_alloc_fail, 0xb807cbce, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_alloc_fail, 0xa187023e, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_writeback, 0x6e7df078, "_gpl");
SYMBOL_CRC(__traceiter_bcache_writeback, 0x17a83e40, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_writeback, 0x6697827f, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_writeback_collision, 0x37808fd7, "_gpl");
SYMBOL_CRC(__traceiter_bcache_writeback_collision, 0x64e39418, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_writeback_collision, 0x2af60833, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb28e4fe, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xcc3562c4, "set_disk_ro" },
	{ 0x300d1eda, "__blk_alloc_disk" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x691f467d, "try_module_get" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf1f932b6, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9da88a45, "bpf_trace_run4" },
	{ 0x8d507427, "param_ops_uint" },
	{ 0xa6b7dd0c, "blk_queue_logical_block_size" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd7e56a4e, "simple_strtoll" },
	{ 0xbeea2433, "bio_copy_data" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x9043bf36, "set_blocksize" },
	{ 0xf29707ef, "vmalloc_to_page" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x415c8dbe, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x6b38bb3, "dump_page" },
	{ 0x6e15b50b, "trace_raw_output_prep" },
	{ 0xb6156fda, "bio_init_clone" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xca9360b5, "rb_next" },
	{ 0x2bd8a8bb, "blk_fill_rwbs" },
	{ 0xfb477bfe, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcaefc9d8, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x66cb57fb, "up" },
	{ 0xea7e9141, "mempool_init" },
	{ 0xc7a5bd07, "kobject_init" },
	{ 0xf1c34030, "register_shrinker" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0xa8eaf39e, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x9bfd9987, "blk_queue_write_cache" },
	{ 0x951270c1, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x74b039b8, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0xeaf3cb23, "crc64_be" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xab78f808, "__module_get" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdcbbd37f, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4fdc0f71, "up_read_non_owner" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xd8a00066, "mempool_free" },
	{ 0x2c41b000, "down_read_trylock" },
	{ 0x574f6251, "bio_end_io_acct_remapped" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xec115292, "wake_up_process" },
	{ 0xc60eff60, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x50b37d8, "bio_clone_blkg_association" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaf9118fc, "put_disk" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x18c6b009, "fs_kobj" },
	{ 0xa3e15eaa, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xf10f8b50, "mempool_alloc" },
	{ 0x5911fa93, "unregister_shrinker" },
	{ 0x7dcfaa22, "blkdev_put" },
	{ 0x77bbf9a6, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x19ed011d, "submit_bio" },
	{ 0xd286005, "module_put" },
	{ 0xd802313e, "bio_start_io_acct" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x3731a480, "sysfs_create_link" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf3b2465f, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x5112659, "lockdep_set_lock_cmp_fn" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x15fb176a, "kobject_uevent_env" },
	{ 0xde03b66f, "bio_put" },
	{ 0x459a960a, "bio_endio" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x8e378c3d, "perf_trace_run_bpf_submit" },
	{ 0xd7e1b9bb, "__bio_advance" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x7243e38f, "kobject_add" },
	{ 0x606d8142, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x328efdfc, "sysfs_remove_link" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x15250dc3, "blkdev_get_by_dev" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa67cfc0, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x48eaf5e2, "set_capacity" },
	{ 0x8e085964, "submit_bio_noacct" },
	{ 0xaa8c0973, "down" },
	{ 0x7e0eed04, "bpf_trace_run5" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x61b5d619, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x8bbac4fa, "blkdev_get_by_path" },
	{ 0x78875e, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xad4df101, "zero_fill_bio_iter" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8acbe083, "del_gendisk" },
	{ 0x4cefd56, "blk_queue_max_discard_sectors" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x1ffa5c72, "kthread_stop" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x6f225ac0, "down_trylock" },
	{ 0xec960eb4, "read_cache_page_gfp" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8b893e6c, "bpf_trace_run1" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xba24f038, "bd_unlink_disk_holder" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0xf2cb18ff, "bio_init" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xcce778a4, "bio_alloc_clone" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd2a4eb1, "bio_reset" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xece784c2, "rb_first" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x90cc0ac4, "down_write_trylock" },
	{ 0x804af811, "kobject_create_and_add" },
	{ 0x74a76053, "down_read" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3ab0e561, "bio_free_pages" },
	{ 0x7484a5ac, "kthread_create_on_node" },
	{ 0x9c2ab0b8, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x32d82008, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x2671b3b7, "kobject_del" },
	{ 0xec717cb0, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xe1fef3c0, "bioset_init" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xed9fa8fe, "alloc_pages" },
	{ 0xd2413200, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x372e30aa, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xb70789e, "__might_fault" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x5b411b1, "bd_link_disk_holder" },
	{ 0xaaedc21a, "downgrade_write" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xc29bf967, "strspn" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0xbf466572, "down_read_non_owner" },
	{ 0xa276eaf1, "lock_set_class" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf129ace9, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xa7b5a237, "bio_alloc_bioset" },
	{ 0x654bbcd8, "blk_queue_io_opt" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x77fe07bc, "kobject_get" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x85693d99, "mempool_exit" },
	{ 0xe3297b2d, "__lockdep_no_validate__" },
	{ 0xb61742fb, "kmem_cache_destroy" },
	{ 0xb4edcc63, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x8d468098, "blkdev_issue_discard" },
	{ 0x4034d8bf, "kobject_put" },
	{ 0x61b7b126, "simple_strtoull" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "ED83858DF40EEFF71274258");
