#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0xfb2a445c, "_gpl");
SYMBOL_CRC(mux_chip_register, 0x92c7e545, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0x68c04f7a, "_gpl");
SYMBOL_CRC(mux_chip_free, 0xa01635ab, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0xe1eb8ade, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0x57879437, "_gpl");
SYMBOL_CRC(mux_control_states, 0x253e76ef, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0x0de9f3b5, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0x2acb9c90, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0x0824a415, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0xae76208f, "_gpl");
SYMBOL_CRC(mux_control_put, 0x6278170c, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0x1378b2d2, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0x0a89c654, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb917d1be, "ida_destroy" },
	{ 0xd3e88e6b, "of_node_put" },
	{ 0xce5b3f8f, "dev_set_name" },
	{ 0x9b9d4d1e, "of_property_match_string" },
	{ 0xa4e166af, "device_match_of_node" },
	{ 0x66cb57fb, "up" },
	{ 0x69de03b2, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xee3b9409, "devres_add" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcdf99e2d, "put_device" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x890178a5, "_dev_err" },
	{ 0x5a1d27ad, "device_add" },
	{ 0x670b2129, "__of_parse_phandle_with_args" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xea046da1, "__devres_alloc_node" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x264b3f69, "class_unregister" },
	{ 0x6f225ac0, "down_trylock" },
	{ 0x6d236517, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0xad0c79f2, "down_killable" },
	{ 0xa9b42b97, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xacf3ee73, "class_find_device" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "79E11A47F875A5B5A0162E7");
