#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cnic_register_driver, "", "");
KSYMTAB_FUNC(cnic_unregister_driver, "", "");

SYMBOL_CRC(cnic_register_driver, 0x4341c77b, "");
SYMBOL_CRC(cnic_unregister_driver, 0x636af174, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdcb764ad, "memset" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdbe0d7f7, "dma_free_attrs" },
	{ 0x46eb6b34, "dma_alloc_attrs" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x2205c0f, "uio_event_notify" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcd63c098, "netdev_err" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x4829a47e, "memcpy" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x9ff1696d, "netdev_warn" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3bff08b5, "init_net" },
	{ 0xea5902d5, "ip6_route_output_flags" },
	{ 0xbd2f77a, "dst_release" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x37a0cba, "kfree" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x53df7429, "finish_wait" },
	{ 0xc5294929, "_raw_write_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcd0ecc9c, "_raw_write_unlock" },
	{ 0x2f57a08, "uio_unregister_device" },
	{ 0xedb780ca, "pci_dev_put" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x44c1af1e, "ip_route_output_flow" },
	{ 0x2b50af60, "vlan_dev_real_dev" },
	{ 0xf53b1c6e, "vlan_dev_vlan_id" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xff88ffc2, "netdev_info" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfea71e5a, "pci_dev_get" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x3f75b01b, "_raw_read_lock" },
	{ 0xe41f2809, "_raw_read_unlock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x60364008, "__uio_register_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xc6cbbc89, "capable" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "uio");


MODULE_INFO(srcversion, "E84C2A4B2472204CCEC0A28");
