#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nic_register_event, "", "");
KSYMTAB_FUNC(nic_unregister_event, "", "");

SYMBOL_CRC(nic_register_event, 0x55af7528, "");
SYMBOL_CRC(nic_unregister_event, 0x89ae0f40, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9da88a45, "bpf_trace_run4" },
	{ 0x81949865, "devlink_unregister" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xf91494f9, "pci_release_selected_regions" },
	{ 0xf444c0b0, "devm_kmalloc" },
	{ 0xe54cca57, "pci_enable_device" },
	{ 0xbb0ebcd6, "skb_tstamp_tx" },
	{ 0x4f54e957, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6e15b50b, "trace_raw_output_prep" },
	{ 0x1dd2f40d, "devm_iounmap" },
	{ 0xe8a1343, "phy_mii_ioctl" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xfb477bfe, "__trace_trigger_soft_disabled" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xcaefc9d8, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x66cb57fb, "up" },
	{ 0xd653033b, "pci_num_vf" },
	{ 0x78fccbba, "flow_rule_match_eth_addrs" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x1ac46bbb, "ptp_clock_index" },
	{ 0xb4024337, "pci_request_regions" },
	{ 0xa8eaf39e, "trace_event_raw_init" },
	{ 0xc193015f, "phy_attached_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf724b5a6, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x9b808211, "pci_sriov_get_totalvfs" },
	{ 0x3a141122, "devlink_register" },
	{ 0x6b938114, "devlink_free" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x74b039b8, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x783a32a5, "pcim_iounmap" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xb0610c81, "pci_irq_vector" },
	{ 0x1cbfdc99, "flow_rule_match_ipv4_addrs" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xd655f67, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xcd63c098, "netdev_err" },
	{ 0xc60eff60, "trace_event_buffer_commit" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7d475435, "phy_connect_direct" },
	{ 0x4876ec24, "_dev_info" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x3ee1eb0b, "pci_select_bars" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x69919988, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xc59bf08d, "hnae3_unregister_ae_algo" },
	{ 0x8e378c3d, "perf_trace_run_bpf_submit" },
	{ 0x8b33cf18, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x890178a5, "_dev_err" },
	{ 0x3bff08b5, "init_net" },
	{ 0x8d92039b, "phy_suspend" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xda3e4ac0, "ptp_clock_register" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xaa8c0973, "down" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x46eb6b34, "dma_alloc_attrs" },
	{ 0xb0f18fd6, "phy_loopback" },
	{ 0x65ea4593, "mdiobus_read" },
	{ 0x78875e, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x70aa56b9, "phy_start" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xf4689d50, "linkmode_set_pause" },
	{ 0xde111b5, "_dev_warn" },
	{ 0x366d8fdd, "flow_rule_match_ports" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xbadc466, "pci_set_master" },
	{ 0xf0eb98b, "flow_rule_match_ipv6_addrs" },
	{ 0xb7e90289, "ptp_clock_unregister" },
	{ 0x7cc5fb90, "phy_start_aneg" },
	{ 0xe6550016, "hnae3_set_client_init_flag" },
	{ 0xf1234c82, "phy_set_asym_pause" },
	{ 0xd30d4b93, "devm_mdiobus_alloc_size" },
	{ 0x1ff936d, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x403f75e, "dma_set_coherent_mask" },
	{ 0x6118fdbf, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xdc708409, "rps_may_expire_flow" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xdbe0d7f7, "dma_free_attrs" },
	{ 0xec717cb0, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf4a3adf1, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf83128a, "flow_rule_match_vlan" },
	{ 0xa771c7ed, "mdiobus_write" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x11d07542, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x4a5c86aa, "hnae3_register_ae_algo" },
	{ 0x96c18a72, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xb70789e, "__might_fault" },
	{ 0xb4e44a47, "__mdiobus_register" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96e7f1b, "pcim_iomap" },
	{ 0x34ab611, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x430ec98c, "dma_set_mask" },
	{ 0x49b0d62, "devm_ioremap_wc" },
	{ 0xd51d4f77, "phy_resume" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0xff27cc63, "genphy_read_status" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa6464377, "dev_kfree_skb_any_reason" },
	{ 0x484d8cab, "dcb_ieee_delapp" },
	{ 0x9bd5e6f3, "phy_stop" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xb49fecff, "hnae3_unregister_ae_algo_prepare" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7b6312c2, "pci_free_irq_vectors" },
	{ 0xd1e1c5d, "flow_rule_match_control" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xa60a3630, "dcb_ieee_setapp" },
	{ 0x7ce33f8, "phy_disconnect" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "hnae3");

MODULE_ALIAS("pci:v000019E5d0000A220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A222sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A223sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A224sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A225sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A226sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A228sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D89FD1C389F7E9B2527F015");
