#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iavf_register_client, "", "");
KSYMTAB_FUNC(iavf_unregister_client, "", "");

SYMBOL_CRC(iavf_register_client, 0x5c566514, "");
SYMBOL_CRC(iavf_unregister_client, 0xee8a13e3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53ceee8a, "alloc_etherdev_mqs" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6d4a3e31, "pci_save_state" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa0dbbad3, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa2376daf, "flow_rule_match_enc_keyid" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8ea99ffa, "skb_copy_bits" },
	{ 0xe54cca57, "pci_enable_device" },
	{ 0xbb0ebcd6, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x74584b60, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbb69bbf7, "netdev_update_features" },
	{ 0xe77c0f05, "consume_skb" },
	{ 0x83a29ded, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x6e15b50b, "trace_raw_output_prep" },
	{ 0xfb477bfe, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x5eb7a29d, "dma_unmap_page_attrs" },
	{ 0xcaefc9d8, "trace_event_printf" },
	{ 0xf7370f56, "system_state" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8060a07b, "__pci_register_driver" },
	{ 0x3f22a1ae, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x78fccbba, "flow_rule_match_eth_addrs" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xde694b84, "skb_add_rx_frag" },
	{ 0xb4024337, "pci_request_regions" },
	{ 0xa8eaf39e, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe3e46116, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x74b039b8, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x9ff1696d, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x53b4868, "pci_set_power_state" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x1cbfdc99, "flow_rule_match_ipv4_addrs" },
	{ 0x7c74b9fb, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x169945e7, "unregister_netdevice_queue" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xd655f67, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x315e9f8a, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xcd63c098, "netdev_err" },
	{ 0x9bf274fe, "pskb_expand_head" },
	{ 0x3e3f03f1, "dev_driver_string" },
	{ 0x2f31d9d8, "pci_restore_msi_state" },
	{ 0xc60eff60, "trace_event_buffer_commit" },
	{ 0xe68a1baa, "dev_addr_mod" },
	{ 0xb7fd9c0b, "eth_type_trans" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xcc370b16, "dma_map_page_attrs" },
	{ 0x2d9141d5, "irq_set_affinity_notifier" },
	{ 0xf26b03b8, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x42922e8c, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcd95a080, "ipv6_skip_exthdr" },
	{ 0xfe0d2634, "pci_enable_msix_range" },
	{ 0x116848ea, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x77bbf9a6, "__free_pages" },
	{ 0x18af0a61, "__hw_addr_unsync_dev" },
	{ 0x4876ec24, "_dev_info" },
	{ 0x7da42530, "napi_gro_receive" },
	{ 0x3d88d73f, "netif_device_attach" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xb95ac5d0, "eth_get_headlen" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x4e53af84, "flow_block_cb_setup_simple" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x69919988, "flow_rule_match_basic" },
	{ 0x61651be, "strcat" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x8e378c3d, "perf_trace_run_bpf_submit" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x890178a5, "_dev_err" },
	{ 0xbaa481c3, "softnet_data" },
	{ 0x99300390, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x29b2af89, "netif_set_real_num_tx_queues" },
	{ 0x8f463b63, "netif_set_real_num_rx_queues" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x46eb6b34, "dma_alloc_attrs" },
	{ 0x7dc9fba8, "napi_enable" },
	{ 0x78875e, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x61c15e11, "free_netdev" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa750b09, "ethtool_op_get_link" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x7cb08bf, "netif_tx_stop_all_queues" },
	{ 0x93fcd625, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x83721493, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xde111b5, "_dev_warn" },
	{ 0x366d8fdd, "flow_rule_match_ports" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb8094ee8, "netif_schedule_queue" },
	{ 0x3aa7acd1, "__alloc_pages" },
	{ 0xbadc466, "pci_set_master" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd1251a06, "netdev_set_tc_queue" },
	{ 0xf0eb98b, "flow_rule_match_ipv6_addrs" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xa76ca35, "__pskb_pull_tail" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x1ff936d, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x403f75e, "dma_set_coherent_mask" },
	{ 0x9c2ab0b8, "bpf_trace_run3" },
	{ 0xa8376db3, "__page_frag_cache_drain" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x819e5182, "netdev_reset_tc" },
	{ 0xdbe0d7f7, "dma_free_attrs" },
	{ 0xec717cb0, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf4a3adf1, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf83128a, "flow_rule_match_vlan" },
	{ 0x703b653e, "napi_build_skb" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8a338e3, "netif_carrier_off" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x53891ae8, "__hw_addr_sync_dev" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x9850f096, "netif_carrier_on" },
	{ 0x6530e73d, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x9bd13155, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x34ab611, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x430ec98c, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x5a55d81d, "__napi_schedule_irqoff" },
	{ 0xae6d09a6, "napi_schedule_prep" },
	{ 0xe3b7775b, "napi_consume_skb" },
	{ 0x628b279b, "pci_read_config_byte" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0x695eebdf, "napi_disable" },
	{ 0xa6464377, "dev_kfree_skb_any_reason" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xd1e1c5d, "flow_rule_match_control" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9efd555d, "skb_clone_tx_timestamp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xff88ffc2, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x92b1032d, "register_netdevice" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d0000154Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001571sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001889sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B985ED50E09D348565419A4");
