#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x3955527d, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x82d5f868, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x702f82ae, "fasync_helper" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x7aae7795, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xff88ffc2, "netdev_info" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xdcb764ad, "memset" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc42aff0b, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9850f096, "netif_carrier_on" },
	{ 0xb8a338e3, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd342850f, "nla_put" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xed49c79a, "from_kgid_munged" },
	{ 0x1d6a8844, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd3c4e876, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0xee4da39d, "dev_get_tstats64" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x7cb08bf, "netif_tx_stop_all_queues" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaf5b7766, "rtnl_link_register" },
	{ 0xf5d814a0, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf8d73fa1, "rtnl_link_unregister" },
	{ 0x5075e0e6, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x4bac21c, "lock_sock_nested" },
	{ 0x16e73554, "sk_detach_filter" },
	{ 0x5c6c757b, "release_sock" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xbc817c3e, "xdp_return_frame" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9ad9bd3e, "__wake_up_sync_key" },
	{ 0xe53fb77c, "kill_fasync" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd2413200, "__folio_put" },
	{ 0x951270c1, "__put_devmap_managed_page_refs" },
	{ 0x6b38bb3, "dump_page" },
	{ 0x7da42530, "napi_gro_receive" },
	{ 0xf26b03b8, "napi_complete_done" },
	{ 0x9a573584, "build_skb" },
	{ 0x424b4938, "skb_put" },
	{ 0x1d0fb6f3, "skb_set_owner_w" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x16d277fc, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xbf8b47f8, "sock_init_data_uid" },
	{ 0x4fca433f, "sk_free" },
	{ 0xd4dbd405, "bpf_prog_put" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe62a3971, "skb_queue_purge_reason" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xf67c39c8, "napi_get_frags" },
	{ 0xf0b9fd86, "iov_iter_single_seg_count" },
	{ 0x9bf274fe, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x695eebdf, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x23e3505b, "xdp_rxq_info_unreg" },
	{ 0x7c74b9fb, "__netif_napi_del" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd286005, "module_put" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xbe4994e1, "netdev_core_stats_alloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x29b2af89, "netif_set_real_num_tx_queues" },
	{ 0x8f463b63, "netif_set_real_num_rx_queues" },
	{ 0x169945e7, "unregister_netdevice_queue" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x87796938, "netdev_state_change" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb70789e, "__might_fault" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x3b8d4654, "bpf_prog_get_type_dev" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x3af89cb5, "xdp_rxq_info_is_reg" },
	{ 0x5ee0de4a, "sk_attach_filter" },
	{ 0x8992911b, "__xdp_rxq_info_reg" },
	{ 0x8c449416, "xdp_rxq_info_reg_mem_model" },
	{ 0x83a29ded, "netif_napi_add_weight" },
	{ 0x7dc9fba8, "napi_enable" },
	{ 0x6d20b09b, "__dev_get_by_name" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x966b1a7b, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xe7a90654, "alloc_netdev_mqs" },
	{ 0xeaa3d98c, "ip_tunnel_header_ops" },
	{ 0x92b1032d, "register_netdevice" },
	{ 0x93fcd625, "netif_tx_wake_queue" },
	{ 0x9171cdfa, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe68a1baa, "dev_addr_mod" },
	{ 0x61c15e11, "free_netdev" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x48db02dd, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd4130890, "_copy_to_iter" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xa15de923, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcd63c098, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe77c0f05, "consume_skb" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x544ed968, "lock_acquire" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xac4c9dc8, "seq_printf" },
	{ 0xa73d7b86, "sock_recv_errqueue" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf59f3af4, "__cant_migrate" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xec08b731, "skb_partial_csum_set" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x6b98ffa0, "__skb_flow_dissect" },
	{ 0xa76ca35, "__pskb_pull_tail" },
	{ 0x33587eb1, "__skb_get_hash_symmetric" },
	{ 0xb0560255, "xdp_do_redirect" },
	{ 0xb17fe252, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xe91e8585, "__traceiter_xdp_exception" },
	{ 0x973af561, "xdp_return_frame_rx_napi" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x3208846f, "xdp_convert_zc_to_xdp_frame" },
	{ 0xb7fd9c0b, "eth_type_trans" },
	{ 0xbde2161a, "do_xdp_generic" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xa8376db3, "__page_frag_cache_drain" },
	{ 0x616bbfc0, "xdp_master_redirect" },
	{ 0xef846429, "sk_filter_trim_cap" },
	{ 0x9efd555d, "skb_clone_tx_timestamp" },
	{ 0x1c28ba8b, "skb_tx_error" },
	{ 0xbb0ebcd6, "skb_tstamp_tx" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xa444e4d, "skb_copy_ubufs" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x9d7fff81, "___pskb_trim" },
	{ 0x9a7ad59, "skb_page_frag_refill" },
	{ 0x535ac5d8, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x4369a50c, "_copy_from_iter" },
	{ 0xfaa4b453, "iov_iter_npages" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x6f4fcd96, "skb_copy_datagram_from_iter" },
	{ 0xae6d09a6, "napi_schedule_prep" },
	{ 0xd31e7ef5, "sock_alloc_send_pskb" },
	{ 0x4903f453, "zerocopy_sg_from_iter" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x139ac4e9, "skb_push" },
	{ 0xb95ac5d0, "eth_get_headlen" },
	{ 0x45e11a05, "napi_gro_frags" },
	{ 0x9e2016e7, "iov_iter_revert" },
	{ 0x7e704e1e, "__napi_schedule" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfdef6ff5, "dev_get_mac_address" },
	{ 0x3dc9ff08, "get_net_ns" },
	{ 0x730e55cf, "open_related_ns" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xbb69bbf7, "netdev_update_features" },
	{ 0x53dee706, "make_kgid" },
	{ 0xb5cfffcc, "make_kuid" },
	{ 0x822710ea, "init_user_ns" },
	{ 0x576176fb, "from_kuid" },
	{ 0x4558f895, "dev_set_mac_address_user" },
	{ 0xfe31f0d9, "call_netdevice_notifiers" },
	{ 0xb9164c79, "from_kgid" },
	{ 0xab78f808, "__module_get" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa750b09, "ethtool_op_get_link" },
	{ 0xb0d59993, "ethtool_op_get_ts_info" },
	{ 0x8adeb8e2, "passthru_features_check" },
	{ 0xbca07da, "eth_mac_addr" },
	{ 0xe3e46116, "eth_validate_addr" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B7E71A42AB775C689A61957");
