#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x4bfe5477, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x509f910d, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x85d2c36c, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x92f9a702, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x52afdf99, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x46771e42, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xa58a0d19, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x2635e297, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xd3d6e786, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xf54800ce, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x30a8375b, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xae0670c5, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x4c4abfad, "_gpl");
SYMBOL_CRC(usbnet_open, 0x225aed11, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x0e1751cb, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x59c317ef, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xbce80a56, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x5990c67e, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x04ca10da, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x4a612b7a, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x357db1fe, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x18fbf222, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x26d45647, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xcfd22f24, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x2c402d1e, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x3dfde8db, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x1ec9bde7, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xacf7af64, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x53783bde, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x0b9f3ba9, "");
SYMBOL_CRC(usbnet_manage_power, 0xc4f6cb71, "");
SYMBOL_CRC(usbnet_link_change, 0x9ef6adf7, "");
SYMBOL_CRC(usbnet_read_cmd, 0xb14365d3, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x0286309f, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x087295fb, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x770e4535, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x0c7755ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x5d7caba7, "usb_set_interface" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x1531268, "usb_string" },
	{ 0xd655f67, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xe68a1baa, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1ff936d, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xe62a3971, "skb_queue_purge_reason" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x299e75d6, "usb_get_urb" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x8bc6659c, "usb_unlink_urb" },
	{ 0x970fee5f, "usb_free_urb" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0xa465a051, "usb_submit_urb" },
	{ 0xcd63c098, "netdev_err" },
	{ 0xebac1a6e, "mii_ethtool_get_link_ksettings" },
	{ 0x73303e87, "mii_ethtool_set_link_ksettings" },
	{ 0xef3838b9, "mii_nway_restart" },
	{ 0x9251c69f, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0x7c062556, "unregister_netdev" },
	{ 0xe77c0f05, "consume_skb" },
	{ 0x93ee5c9c, "usb_get_from_anchor" },
	{ 0x35380a13, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x61c15e11, "free_netdev" },
	{ 0xff88ffc2, "netdev_info" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x116848ea, "netif_device_detach" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x3d88d73f, "netif_device_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef30c6a, "usb_control_msg" },
	{ 0x4829a47e, "memcpy" },
	{ 0xaf41015f, "usb_autopm_get_interface" },
	{ 0x91e06ac9, "usb_autopm_put_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe0d8b57b, "usb_alloc_urb" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0xa0d2e2b7, "mii_link_ok" },
	{ 0xa750b09, "ethtool_op_get_link" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0xb8a338e3, "netif_carrier_off" },
	{ 0x9850f096, "netif_carrier_on" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x53ceee8a, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xdcb764ad, "memset" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xa9ca811c, "register_netdev" },
	{ 0xdfa4856a, "pm_runtime_enable" },
	{ 0x9017b505, "usb_check_bulk_endpoints" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x57e44d08, "skb_defer_rx_timestamp" },
	{ 0x927330c7, "netif_rx" },
	{ 0xb7fd9c0b, "eth_type_trans" },
	{ 0x31992073, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6142b5b8, "skb_dequeue" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x9efd555d, "skb_clone_tx_timestamp" },
	{ 0x6caec367, "usb_autopm_get_interface_async" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xa6464377, "dev_kfree_skb_any_reason" },
	{ 0xbb0ebcd6, "skb_tstamp_tx" },
	{ 0x1fa3d17a, "usb_anchor_urb" },
	{ 0xebf936af, "__netdev_alloc_skb" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x93fcd625, "netif_tx_wake_queue" },
	{ 0x4f380cc2, "usb_autopm_get_interface_no_resume" },
	{ 0x424b4938, "skb_put" },
	{ 0xd601d20c, "usb_clear_halt" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbca07da, "eth_mac_addr" },
	{ 0xe3e46116, "eth_validate_addr" },
	{ 0xee4da39d, "dev_get_tstats64" },
	{ 0xb0d59993, "ethtool_op_get_ts_info" },
	{ 0x94b8338d, "param_ops_int" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "014B19EBEDC46A67F9DFFDB");
