#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x8027b313, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xdfecc25f, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xd7461a60, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x0fbca3d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe1cef63d, "__skb_checksum_complete" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5f0d540c, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xda4b86c9, "__rht_bucket_nested" },
	{ 0x8ea99ffa, "skb_copy_bits" },
	{ 0x1526ae31, "__nlmsg_put" },
	{ 0x45295aa6, "netdev_adjacent_change_commit" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xbca07da, "eth_mac_addr" },
	{ 0x424b4938, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5335b0b2, "ip6_dst_hoplimit" },
	{ 0x7964fac8, "param_ops_ushort" },
	{ 0xe77c0f05, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x9b70a1d4, "nla_put_64bit" },
	{ 0xe3405ff8, "udp_sock_create4" },
	{ 0x45001dc9, "dst_cache_set_ip4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x188dba6d, "udp_tunnel6_xmit_skb" },
	{ 0xaf5b7766, "rtnl_link_register" },
	{ 0x9fe305a8, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc9668a06, "lockdep_rht_bucket_is_held" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe3e46116, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x82fb1cd2, "rhashtable_init" },
	{ 0x6273567, "gro_cells_init" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xda5f143e, "rtnl_create_link" },
	{ 0x44c1af1e, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x169945e7, "unregister_netdevice_queue" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xe1e40539, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x9171cdfa, "ether_setup" },
	{ 0xe54f04c9, "udp_tunnel_drop_rx_port" },
	{ 0xcc2b76bb, "netdev_upper_dev_link" },
	{ 0x9bf274fe, "pskb_expand_head" },
	{ 0x85102614, "register_pernet_subsys" },
	{ 0xa904b6c1, "lockdep_rht_mutex_is_held" },
	{ 0xe68a1baa, "dev_addr_mod" },
	{ 0xbe4994e1, "netdev_core_stats_alloc" },
	{ 0xb7fd9c0b, "eth_type_trans" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x993f86e7, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x5f8c8cf9, "__alloc_skb" },
	{ 0xe3be88b2, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x41f29eb7, "eth_gro_complete" },
	{ 0x87be1e0c, "rtnl_set_sk_err" },
	{ 0x617463d1, "eth_gro_receive" },
	{ 0x660ad0d7, "rtnl_configure_link" },
	{ 0x3f4d9850, "skb_tunnel_check_pmtu" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x33309424, "peernet2id" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf3f314ef, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x21faa47c, "__dev_get_by_index" },
	{ 0xf8d73fa1, "rtnl_link_unregister" },
	{ 0x575b35f0, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf20a242, "ipv6_stub" },
	{ 0x8e2c0e06, "skb_pull" },
	{ 0xc3ed80e4, "gro_find_complete_by_type" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x54c5b65b, "dev_get_by_index_rcu" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x140b14b1, "gro_cells_receive" },
	{ 0x139ac4e9, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xf04848f3, "netdev_upper_dev_unlink" },
	{ 0xd342850f, "nla_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x61c15e11, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x49d539ea, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xda230a3d, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x4bac21c, "lock_sock_nested" },
	{ 0xa750b09, "ethtool_op_get_link" },
	{ 0x926ede82, "nexthop_find_by_id" },
	{ 0x6248f44a, "arp_create" },
	{ 0x4022faef, "__ethtool_get_link_ksettings" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x1da8e56c, "netdev_adjacent_change_prepare" },
	{ 0xbe94a6b7, "rtnl_register_module" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xfce6a456, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xd06bedc6, "rhashtable_free_and_destroy" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x16a82174, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x47d60586, "netdev_adjacent_change_abort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x36c260ee, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfce88371, "__iptunnel_pull_header" },
	{ 0xa76ca35, "__pskb_pull_tail" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xee4da39d, "dev_get_tstats64" },
	{ 0x927330c7, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xa05fc4c6, "rhashtable_destroy" },
	{ 0x3d6fff71, "setup_udp_tunnel_sock" },
	{ 0x1aca37cb, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6afd100b, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1ff936d, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xfbbd8883, "skb_scrub_packet" },
	{ 0xdd23451f, "nexthop_select_path" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xfbc20f8b, "rhashtable_insert_slow" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xcd16c8e9, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x540b1f75, "neigh_destroy" },
	{ 0x1ec05f09, "dst_cache_get_ip6" },
	{ 0xbe88ea6, "dst_cache_get_ip4" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xf9229207, "param_ops_bool" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x21b3069e, "udp_tun_rx_dst" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x6fe86c7b, "dst_cache_set_ip6" },
	{ 0xb9714c42, "rtnl_notify" },
	{ 0x18e307e8, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x83e1446e, "__netif_rx" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x830d8cfd, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x223ce50b, "metadata_dst_alloc" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xbd2f77a, "dst_release" },
	{ 0x6b06a916, "unregister_nexthop_notifier" },
	{ 0x82bf7510, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xebbb8a7c, "udp_tunnel_notify_del_rx_port" },
	{ 0xe939518, "register_nexthop_notifier" },
	{ 0x2bfa8577, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xd6b7406e, "rht_bucket_nested" },
	{ 0xc8c2554e, "gro_find_receive_by_type" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xff88ffc2, "netdev_info" },
	{ 0xa0431690, "skb_dump" },
	{ 0x9a225f63, "neigh_lookup" },
	{ 0x5c6c757b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x92b1032d, "register_netdevice" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "0F20521482EED7C47C6C344");
