#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0xcc5287cd, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4404a8fb, "nvme_remove_admin_tag_set" },
	{ 0x8e929088, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0xea42e3fa, "nvme_uninit_ctrl" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb917d1be, "ida_destroy" },
	{ 0x73170417, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xdd8af66e, "nvmf_free_options" },
	{ 0x7f3f8620, "blk_mq_tagset_wait_completed_request" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0x99210374, "blk_mq_complete_request_remote" },
	{ 0x5eb7a29d, "dma_unmap_page_attrs" },
	{ 0x75e22537, "nvme_setup_cmd" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x73b024aa, "nvme_start_ctrl" },
	{ 0x3f22a1ae, "dma_sync_single_for_device" },
	{ 0xaf24dcf1, "nvme_alloc_admin_tag_set" },
	{ 0x3522dcd3, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x4c531922, "nvmf_reg_read32" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xacb77d13, "nvme_delete_ctrl" },
	{ 0xc9dff7b3, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x1020f916, "nvme_should_fail" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x3e3f03f1, "dev_driver_string" },
	{ 0x5cc3d9c2, "nvmf_get_address" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xcc370b16, "dma_map_page_attrs" },
	{ 0xa26ed210, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xfde5caa3, "nvme_remove_io_tag_set" },
	{ 0x7122e23, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc92e590d, "nvme_mpath_start_request" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x6219061c, "nvmf_unregister_transport" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcdf99e2d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x80392a40, "nvme_change_ctrl_state" },
	{ 0x4876ec24, "_dev_info" },
	{ 0x46ab6ace, "nvme_init_ctrl" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xb9613fd2, "nvme_alloc_io_tag_set" },
	{ 0x12b89ee9, "nvme_fail_nonready_command" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x15fb176a, "kobject_uevent_env" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x890178a5, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4c7a29f2, "device_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x410ea0f4, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0xbde3183f, "__blk_rq_map_sg" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x439b36a, "nvmf_reg_read64" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x264b3f69, "class_unregister" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xd9347d9c, "nvmf_connect_admin_queue" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xcda9691, "nvme_enable_ctrl" },
	{ 0x64a6e33, "nvme_unquiesce_admin_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x83721493, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xde111b5, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xebe2375e, "nvme_unquiesce_io_queues" },
	{ 0x20dd553a, "blk_mq_update_nr_hw_queues" },
	{ 0xfbac84ff, "nvmf_reg_write32" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84d65996, "nvmf_should_reconnect" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x29d38b7e, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3ce5d088, "device_destroy" },
	{ 0xabe13a3, "__blk_should_fake_timeout" },
	{ 0xbe655fdd, "nvme_set_queue_count" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x1f67f8fd, "nvmf_register_transport" },
	{ 0x7e4324b4, "blk_mq_start_request" },
	{ 0xe93f1868, "nvme_quiesce_io_queues" },
	{ 0x6405d4ab, "blk_mq_tagset_busy_iter" },
	{ 0xd9423613, "nvme_stop_ctrl" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x22b94f67, "dma_unmap_sg_attrs" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x8b754efe, "nvme_init_ctrl_finish" },
	{ 0x23279724, "nvme_reset_ctrl" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x2487c0c2, "nvme_quiesce_admin_queue" },
	{ 0xa9b42b97, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd3cffa86, "__nvme_check_ready" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xa0b013fb, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "nvme-fabrics");


MODULE_INFO(srcversion, "0EFC9970D86DA59401000BA");
