#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(spi_dv_device, "", "");
KSYMTAB_FUNC(spi_schedule_dv_device, "", "");
KSYMTAB_FUNC(spi_display_xfer_agreement, "", "");
KSYMTAB_FUNC(spi_populate_width_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_sync_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_ppr_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_tag_msg, "_gpl", "");
KSYMTAB_FUNC(spi_print_msg, "", "");
KSYMTAB_FUNC(spi_attach_transport, "", "");
KSYMTAB_FUNC(spi_release_transport, "", "");

SYMBOL_CRC(spi_dv_device, 0xc9a4b97c, "");
SYMBOL_CRC(spi_schedule_dv_device, 0x0f763c5a, "");
SYMBOL_CRC(spi_display_xfer_agreement, 0x4d1d55aa, "");
SYMBOL_CRC(spi_populate_width_msg, 0xcffa2aff, "_gpl");
SYMBOL_CRC(spi_populate_sync_msg, 0xa0c71dac, "_gpl");
SYMBOL_CRC(spi_populate_ppr_msg, 0x0ef06974, "_gpl");
SYMBOL_CRC(spi_populate_tag_msg, 0x939122df, "_gpl");
SYMBOL_CRC(spi_print_msg, 0x3686ea09, "");
SYMBOL_CRC(spi_attach_transport, 0x9322785e, "");
SYMBOL_CRC(spi_release_transport, 0x2cbac084, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x2e173531, "_dev_printk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2b870bbd, "scsi_execute_cmd" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdcb764ad, "memset" },
	{ 0x311d0e1e, "scsi_device_set_state" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xd651f57a, "sdev_prefix_printk" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x94cd540, "scsi_is_host_device" },
	{ 0x82cf6932, "device_for_each_child" },
	{ 0x94c3c5fe, "scsi_is_sdev_device" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x93b94d0d, "sysfs_update_group" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x204c5067, "scsi_dev_info_add_list" },
	{ 0x2733eaf7, "scsi_dev_info_list_add_keyed" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x4d3a94e8, "transport_class_register" },
	{ 0x2421a95d, "anon_transport_class_register" },
	{ 0xe0cb5aae, "scsi_get_device_flags_keyed" },
	{ 0x4876ec24, "_dev_info" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xb2867033, "transport_class_unregister" },
	{ 0xe94427c3, "anon_transport_class_unregister" },
	{ 0x97bdfa60, "scsi_dev_info_remove_list" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x1edcf4fc, "scsi_autopm_get_device" },
	{ 0x34d11a0c, "scsi_device_get" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x1bebb90c, "scsi_device_quiesce" },
	{ 0xb59454d2, "scsi_target_quiesce" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x462c7a42, "scsi_target_resume" },
	{ 0x37a0cba, "kfree" },
	{ 0xb6299ba5, "scsi_device_put" },
	{ 0xba3cb098, "scsi_autopm_put_device" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x7f9b669b, "attribute_container_register" },
	{ 0xf54fa4fa, "attribute_container_unregister" },
	{ 0x29a7eeea, "sysfs_chmod_file" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x439fdbb1, "scsi_is_target_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0320EA18D0FE8B79D171F06");
