#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0x5a5879c8, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0xb0c99d5a, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x3a06ceec, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0xea648638, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0xf0c395c6, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0xf4485e6a, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x221c6a8d, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0xa8c98e40, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0xedb26c89, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x270efffe, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x54ca03d4, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0xaef406e6, "");
SYMBOL_CRC(vfio_unpin_pages, 0xb1d9e09f, "");
SYMBOL_CRC(vfio_dma_rw, 0xa514e335, "");
SYMBOL_CRC(vfio_file_iommu_group, 0xb2d496ad, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x8010bfa5, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x10748b76, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x0934f37d, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0xe35a00ac, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xfb74951b, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x32cbfb55, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0xf23c070f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x691f467d, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb3107bdf, "anon_inode_getfile" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x5075e0e6, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb917d1be, "ida_destroy" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xce5b3f8f, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xef75ead1, "cdev_device_del" },
	{ 0x633b5f72, "iommu_group_get" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x6e9a7a23, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0xc4508ed9, "__xa_erase" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5e6bde8e, "refcount_dec_and_mutex_lock" },
	{ 0x69de03b2, "device_initialize" },
	{ 0xd802643d, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xd655f67, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x26bad4d3, "wait_for_completion_interruptible_timeout" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x3c68112b, "cdev_device_add" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcdf99e2d, "put_device" },
	{ 0x4876ec24, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd286005, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x32040443, "compat_ptr_ioctl" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x17b6bf2f, "fput" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x606d8142, "up_write" },
	{ 0x5a1d27ad, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa1655192, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x7b47bd5b, "class_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x6d236517, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xde111b5, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf5d814a0, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6d74982b, "__xa_cmpxchg" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf53f89a9, "__pm_runtime_resume" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xf9229207, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x19b95610, "xa_destroy" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb70789e, "__might_fault" },
	{ 0xd55cda9d, "device_iommu_capable" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0xd1403c0f, "iommu_group_add_device" },
	{ 0xcc36ef45, "try_wait_for_completion" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xb180685d, "__pm_runtime_idle" },
	{ 0x5849fb38, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x575b01b9, "eventfd_ctx_fileget" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0x5bf89626, "iommu_group_remove_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "74CB95D4595B66BC2B8ADFD");
