#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0xc4c984a3, "_gpl");
SYMBOL_CRC(dccp_req_err, 0xdd90baff, "");
SYMBOL_CRC(dccp_v4_send_check, 0x0f3aeb92, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x50248b18, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x1df83942, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xf2341927, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x4442ed75, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0xd585cfdc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x919428e8, "__inet_lookup_established" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3abfc10b, "inet_bhash2_reset_saddr" },
	{ 0x169089c1, "inet_csk_addr2sockaddr" },
	{ 0x9cdc1212, "inet_unregister_protosw" },
	{ 0xf1fe3fd2, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6d52c667, "dccp_shutdown" },
	{ 0x13b57004, "inet_bhash2_update_saddr" },
	{ 0x9e71a38c, "dccp_connect" },
	{ 0xa5115aee, "dccp_rcv_state_process" },
	{ 0x43c95671, "dccp_reqsk_send_ack" },
	{ 0x44b158e0, "inet_lookup_reuseport" },
	{ 0x8d19330e, "__inet_lookup_listener" },
	{ 0x559996cc, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6ac7ada4, "sock_common_getsockopt" },
	{ 0x914a067f, "inet_bind" },
	{ 0x97dcb198, "__inet_inherit_port" },
	{ 0x588ffd5, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x97f2e511, "inet_register_protosw" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xbb9520fe, "__xfrm_policy_check" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x89306b9e, "sock_common_setsockopt" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x44c1af1e, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xe81922b8, "inet_csk_reqsk_queue_hash_add" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xd2611db2, "sk_error_report" },
	{ 0x85102614, "register_pernet_subsys" },
	{ 0x4a6ae371, "inet_ehash_nolisten" },
	{ 0x122c3a7e, "_printk" },
	{ 0xbf7bb362, "inet_getname" },
	{ 0xff76f851, "inet_stream_connect" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8384c2b9, "proto_unregister" },
	{ 0x2a345e9d, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd29c473a, "inet_ehashfn" },
	{ 0x6c8bef54, "inet_twsk_purge" },
	{ 0x528a56df, "dccp_done" },
	{ 0xb14d6194, "inet_release" },
	{ 0xba673466, "__sk_dst_check" },
	{ 0x415ef784, "dccp_disconnect" },
	{ 0x49b5abab, "ip_route_output_key_hash" },
	{ 0x16532b81, "proto_register" },
	{ 0x7aeb25b5, "inet_hash" },
	{ 0x1428ba63, "__sk_receive_skb" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xcda3e71e, "dccp_poll" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe8d1bdaa, "inet_ctl_sock_create" },
	{ 0xe6ae33e9, "dccp_death_row" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xfb6186ab, "inet_csk_get_port" },
	{ 0xcd80944c, "inet_ioctl" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0xfcb01883, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x8c678ddd, "inet_accept" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf4314746, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x81213ed2, "inet_add_protocol" },
	{ 0x7361b372, "inet_shutdown" },
	{ 0x4fca433f, "sk_free" },
	{ 0x764cd600, "dccp_close" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0x538b6e78, "dccp_reqsk_init" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x36fde962, "inet_hash_connect" },
	{ 0x4926a163, "kmem_cache_free" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x9d00a461, "inet_csk_route_child_sock" },
	{ 0x1dfd6884, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x572d95e6, "security_sk_classify_flow" },
	{ 0xdeba96c2, "inet_csk_update_pmtu" },
	{ 0x5be5e3d9, "dccp_getsockopt" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xc9d6abfa, "dccp_parse_options" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xfce6a456, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x2b6e3270, "skb_checksum" },
	{ 0x4e70ac85, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5514ed75, "sock_no_mmap" },
	{ 0xa76ca35, "__pskb_pull_tail" },
	{ 0x9e429074, "dccp_child_process" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x9e1777c2, "sock_common_recvmsg" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xb605e2a7, "dccp_setsockopt" },
	{ 0xcf7bb76e, "dccp_ioctl" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xa047ce4b, "inet_sk_rebuild_header" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xa19389c6, "inet_del_protocol" },
	{ 0x5ea6ef84, "dccp_recvmsg" },
	{ 0xbea71fb7, "inet_sendmsg" },
	{ 0xc94a9e8c, "dccp_check_req" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x55270ce2, "dccp_create_openreq_child" },
	{ 0x2e8fe912, "inet_csk_prepare_forced_close" },
	{ 0xbcad9dab, "security_skb_classify_flow" },
	{ 0x5f970ad6, "sock_pfree" },
	{ 0x282b5bf, "dccp_rcv_established" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x95265436, "dccp_send_sync" },
	{ 0xbd2f77a, "dst_release" },
	{ 0x4ad1b0bd, "sock_release" },
	{ 0xc280c368, "dccp_make_response" },
	{ 0x6562f406, "dccp_destroy_sock" },
	{ 0xe9eeb912, "dccp_ctl_make_reset" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x38f33a9, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7223d22c, "sk_setup_caps" },
	{ 0x34881d06, "ip_build_and_send_pkt" },
	{ 0x601480da, "dccp_sendmsg" },
	{ 0x9b8baea7, "ip_setsockopt" },
	{ 0x1516c2a9, "dccp_hashinfo" },
	{ 0x79c11341, "inet_twsk_put" },
	{ 0xc26ebe12, "inet_unhash" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xda34ae44, "ip_getsockopt" },
	{ 0x474c3964, "dccp_set_state" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xfd66c27f, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x4a1f7b86, "inet_csk_reqsk_queue_drop" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "9DA0A26EFC48E12227569C8");
