#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x1ccc7c4a, "");
SYMBOL_CRC(wpan_phy_for_each, 0x57f7c945, "");
SYMBOL_CRC(wpan_phy_new, 0x584bbe5c, "");
SYMBOL_CRC(wpan_phy_register, 0xd6d0b010, "");
SYMBOL_CRC(wpan_phy_unregister, 0x5f2571dd, "");
SYMBOL_CRC(wpan_phy_free, 0x3751ca5c, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x04965e43, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x5f405e9e, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x6ff132ef, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xbdc1c9dc, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x5c597bdc, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xdc16a21b, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x11313081, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x9e9cc9f6, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0xa14503e4, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x5a9defc0, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0xf80e66d7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9da88a45, "bpf_trace_run4" },
	{ 0x424b4938, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xce5b3f8f, "dev_set_name" },
	{ 0xeb54ab9c, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6e15b50b, "trace_raw_output_prep" },
	{ 0x9b70a1d4, "nla_put_64bit" },
	{ 0xfb477bfe, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0xcaefc9d8, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69de03b2, "device_initialize" },
	{ 0x4ae4b857, "genlmsg_put" },
	{ 0xa8eaf39e, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x74b039b8, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xc9dff7b3, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xf87a6e0f, "device_rename" },
	{ 0xc60eff60, "trace_event_buffer_commit" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcdf99e2d, "put_device" },
	{ 0xfb0016d6, "netlink_broadcast" },
	{ 0x5f8c8cf9, "__alloc_skb" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xce8937a5, "class_for_each_device" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x21faa47c, "__dev_get_by_index" },
	{ 0x8e378c3d, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3bff08b5, "init_net" },
	{ 0x8e2c0e06, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a1d27ad, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x5a1a19e2, "netlink_unicast" },
	{ 0x18853816, "dev_get_by_index" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x139ac4e9, "skb_push" },
	{ 0xd342850f, "nla_put" },
	{ 0x78875e, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x264b3f69, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x8fcf1ce0, "unregister_pernet_device" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x8b893e6c, "bpf_trace_run1" },
	{ 0x6d236517, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb908604e, "dev_set_mac_address" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xa76ca35, "__pskb_pull_tail" },
	{ 0x6afd100b, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x9c2ab0b8, "bpf_trace_run3" },
	{ 0x343bd98b, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdcafc2e0, "get_net_ns_by_pid" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xec717cb0, "trace_event_buffer_reserve" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb8dbaae6, "device_match_name" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x52267543, "dev_get_by_name" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x22b07d86, "genl_unregister_family" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x1c94f3d7, "genl_register_family" },
	{ 0x8a6181a, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf6399ea2, "register_pernet_device" },
	{ 0x402ebe23, "get_net_ns_by_fd" },
	{ 0xa9b42b97, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xacf3ee73, "class_find_device" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "09D61B79C7F666EA2474C47");
