#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_defrag_ipv6_enable, "_gpl", "");
KSYMTAB_FUNC(nf_defrag_ipv6_disable, "_gpl", "");
KSYMTAB_FUNC(nf_ct_frag6_gather, "_gpl", "");

SYMBOL_CRC(nf_defrag_ipv6_enable, 0xb397f275, "_gpl");
SYMBOL_CRC(nf_defrag_ipv6_disable, 0x14bb341d, "_gpl");
SYMBOL_CRC(nf_ct_frag6_gather, 0x0f14c4fb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x8d0eb6d1, "icmp6_send" },
	{ 0x8ea99ffa, "skb_copy_bits" },
	{ 0xdc019d85, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x7617a414, "inet_frag_queue_insert" },
	{ 0xc5b3539c, "inet_frags_init" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x2e531b4f, "inet_frag_pull_head" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x85102614, "register_pernet_subsys" },
	{ 0x6ddcc303, "register_net_sysctl_sz" },
	{ 0x122c3a7e, "_printk" },
	{ 0x34ba3617, "inet_frag_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcd95a080, "ipv6_skip_exthdr" },
	{ 0xf74f0db3, "inet_frag_reasm_finish" },
	{ 0x284300e9, "nf_register_net_hooks" },
	{ 0x4ba37ed6, "fqdir_init" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3bff08b5, "init_net" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x54c5b65b, "dev_get_by_index_rcu" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4b7e92ad, "inet_frags_fini" },
	{ 0x99a001ae, "proc_doulongvec_minmax" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x12d7fce0, "nf_unregister_net_hooks" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xd34703d7, "nf_defrag_v6_hook" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xfce6a456, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa76ca35, "__pskb_pull_tail" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x2d1cd7e8, "inet_frag_reasm_prepare" },
	{ 0xf07761dc, "inet_frag_find" },
	{ 0x2bcc8c57, "fqdir_exit" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xbd2f77a, "dst_release" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa8f6c843, "ip_frag_ecn_table" },
	{ 0x12ad23cc, "unregister_net_sysctl_table" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xae013c62, "pskb_trim_rcsum_slow" },
	{ 0x323d9dcb, "inet_frag_kill" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B91DA520435F1AD0B7BB4E8");
