#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xe3e038b0, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x3a378b4c, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x7a52028b, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x631464c9, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x4709d127, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x78bd35fa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3897223c, "nf_ct_ext_add" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x33587eb1, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd7430e, "nsh_pop" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x4bdef741, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb78baaba, "nf_ct_set_timeout" },
	{ 0x7a211ef6, "dev_get_stats" },
	{ 0x6028e57f, "__nla_put" },
	{ 0x691f467d, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc9dc9fcb, "dev_fill_metadata_dst" },
	{ 0x9da88a45, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x8ea99ffa, "skb_copy_bits" },
	{ 0x6abea251, "nf_ct_handle_fragments" },
	{ 0xbca07da, "eth_mac_addr" },
	{ 0x424b4938, "skb_put" },
	{ 0x22be2005, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa44fae62, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe77c0f05, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x55c51f7c, "nf_ct_nat" },
	{ 0xaa031871, "nla_reserve" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x75f77a0, "skb_eth_pop" },
	{ 0x6e15b50b, "trace_raw_output_prep" },
	{ 0xb7af0e16, "skb_gso_validate_mac_len" },
	{ 0x9b70a1d4, "nla_put_64bit" },
	{ 0xa86cb6f1, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x57ce8260, "nf_ct_helper" },
	{ 0xfb477bfe, "__trace_trigger_soft_disabled" },
	{ 0x67f0921a, "__skb_ext_del" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0xcaefc9d8, "trace_event_printf" },
	{ 0x91a1541e, "rtnl_delete_link" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xaf5b7766, "rtnl_link_register" },
	{ 0x24a288e, "nf_connlabels_put" },
	{ 0x4ae4b857, "genlmsg_put" },
	{ 0x9d7fff81, "___pskb_trim" },
	{ 0xa8eaf39e, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x94d3a1a1, "dev_set_promiscuity" },
	{ 0xd345874f, "nf_ct_destroy_timeout" },
	{ 0xdffe9f76, "nf_ct_add_helper" },
	{ 0xc4f5b93d, "nf_conntrack_helper_put" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0x4d3a0d0f, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4c46658f, "nf_ct_skb_network_trim" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x169945e7, "unregister_netdevice_queue" },
	{ 0xdcbbd37f, "kmem_cache_create" },
	{ 0xaa81859d, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x916758a3, "node_states" },
	{ 0x9171cdfa, "ether_setup" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x9bf274fe, "pskb_expand_head" },
	{ 0x6be15557, "skb_csum_hwoffload_help" },
	{ 0xc60eff60, "trace_event_buffer_commit" },
	{ 0xe68a1baa, "dev_addr_mod" },
	{ 0x251496, "nf_connlabels_replace" },
	{ 0xb7fd9c0b, "eth_type_trans" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xe7a90654, "alloc_netdev_mqs" },
	{ 0x993f86e7, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x6c1323ac, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xcd58b7dd, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xfb0016d6, "netlink_broadcast" },
	{ 0x6e5008b, "skb_eth_push" },
	{ 0x8c006455, "nf_conncount_count" },
	{ 0x5f8c8cf9, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xa124de99, "kmem_cache_alloc" },
	{ 0x4812f8a7, "skb_mpls_pop" },
	{ 0x23a4d941, "skb_vlan_pop" },
	{ 0xea66bae5, "dst_init" },
	{ 0xd286005, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xf8d73fa1, "rtnl_link_unregister" },
	{ 0x8e378c3d, "perf_trace_run_bpf_submit" },
	{ 0x575b35f0, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3bff08b5, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xbf20a242, "ipv6_stub" },
	{ 0x976bd8a7, "skb_mpls_update_lse" },
	{ 0x8e2c0e06, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x5a1a19e2, "netlink_unicast" },
	{ 0x7e0eed04, "bpf_trace_run5" },
	{ 0x54c5b65b, "dev_get_by_index_rcu" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x139ac4e9, "skb_push" },
	{ 0x4926a163, "kmem_cache_free" },
	{ 0xf04848f3, "netdev_upper_dev_unlink" },
	{ 0xd342850f, "nla_put" },
	{ 0x78875e, "trace_event_reg" },
	{ 0x8e730f1, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x61c15e11, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x727506b3, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x8fcf1ce0, "unregister_pernet_device" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa750b09, "ethtool_op_get_link" },
	{ 0xfbae7884, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x57570b4f, "nf_nat_helper_put" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa76ca35, "__pskb_pull_tail" },
	{ 0x83204b5, "nf_ct_delete" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x85352faa, "nf_conncount_init" },
	{ 0x266ed14c, "skb_vlan_push" },
	{ 0xee4da39d, "dev_get_tstats64" },
	{ 0x927330c7, "netif_rx" },
	{ 0xebf936af, "__netdev_alloc_skb" },
	{ 0xa429cd59, "netdev_master_upper_dev_link" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x15156df, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74a76053, "down_read" },
	{ 0x99e9ca81, "inet_proto_csum_replace16" },
	{ 0x6afd100b, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xfbbd8883, "skb_scrub_packet" },
	{ 0x83eda920, "nf_ct_deliver_cached_events" },
	{ 0x421ad6fb, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x1c28ba8b, "skb_tx_error" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xda1f85c0, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xec717cb0, "trace_event_buffer_reserve" },
	{ 0x15e8f060, "__skb_checksum" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xa2e84465, "inet_proto_csum_replace4" },
	{ 0x88c03813, "nf_conncount_destroy" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x6583323f, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb7aa84d3, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x52267543, "dev_get_by_name" },
	{ 0x830d8cfd, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x223ce50b, "metadata_dst_alloc" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xbd2f77a, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3507cbaa, "peernet2id_alloc" },
	{ 0x79646e7, "nf_ct_get_tuplepr" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x8e35d047, "netdev_rx_handler_register" },
	{ 0xa0211cdf, "ip_do_fragment" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x22b07d86, "genl_unregister_family" },
	{ 0xfe54cf92, "dev_disable_lro" },
	{ 0x78e125b4, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xa6464377, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1c94f3d7, "genl_register_family" },
	{ 0xec1f8be7, "nf_ct_tmpl_free" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x77f7de63, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x26befc9f, "__skb_gso_segment" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xb4832b1, "skb_mpls_push" },
	{ 0xf6399ea2, "register_pernet_device" },
	{ 0xb440dfa6, "nf_conntrack_in" },
	{ 0xb64cdd73, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xb986606f, "kmalloc_caches" },
	{ 0xc4a547df, "kmem_cache_alloc_node" },
	{ 0xa0431690, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb61742fb, "kmem_cache_destroy" },
	{ 0x6f3ed89a, "__skb_vlan_pop" },
	{ 0xacea933f, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x92b1032d, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,nf_conncount");


MODULE_INFO(srcversion, "C60B4C9C00F6A436E9C3A1A");
