#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0x0f96edf6, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x12e32b18, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x00e118f5, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x166f410b, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x40d2babf, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xaa02f15d, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x06bedb95, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0xdcd6b7a1, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0xcbf32010, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0xf48a76ae, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x4f7f3462, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0xd2ca1ee4, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0xbab41f42, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x28ce8ff2, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x32032624, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xa23463f4, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x22605515, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x9cb812a1, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x731be098, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x2ec5a010, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xc28b1b1b, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x382e0823, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x3603b93f, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x648f5440, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x81e4116c, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe590981e, "sock_map_close" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc66247c2, "sock_queue_rcv_skb_reason" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x691f467d, "try_module_get" },
	{ 0x5075e0e6, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe77c0f05, "consume_skb" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0x53df7429, "finish_wait" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb07dd549, "sock_map_unhash" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xab78f808, "__module_get" },
	{ 0x91f710ed, "sk_msg_recvmsg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x7a8dbd36, "ns_capable_noaudit" },
	{ 0x18571655, "__put_cred" },
	{ 0xd2611db2, "sk_error_report" },
	{ 0xe62a3971, "skb_queue_purge_reason" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8384c2b9, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc1293c02, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x16532b81, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd286005, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x5e0a0f3a, "sk_msg_is_readable" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4fca433f, "sk_free" },
	{ 0x24ff1836, "kfree_skb_reason" },
	{ 0xab61aebb, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x82435328, "sock_no_listen" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa73d7b86, "sock_recv_errqueue" },
	{ 0x4bac21c, "lock_sock_nested" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x16d277fc, "sk_alloc" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x4e70ac85, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf5d814a0, "misc_register" },
	{ 0x5514ed75, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x1d8f7312, "nonseekable_open" },
	{ 0x7ae78075, "sk_psock_drop" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xda1f85c0, "__dev_queue_xmit" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x822710ea, "init_user_ns" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x830d8cfd, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x13d08fd, "sock_no_ioctl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xb0f2059c, "sock_init_data" },
	{ 0x5c6c757b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcfe6b0af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1C59688C8C333F16BCDD38A");
